2004-04-21  Jens Finke  <jens@triq.net>

	* libeog/eog-full-screen.c (eog_full_screen_instance_init):
	Check actual monitor/screen size. Fixes xinerama problems
	in #137137 partially.

2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

   * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-02  Iñaki Larrañaga  <dooteo@euskalgnu.org>

	* configure.in: Added "eu" (Basque) to ALL_LINGUAS.

2004-03-31  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "af" to ALL_LINGUAS.

======== 2.6.0 ======

2004-03-22  Jens Finke  <jens@triq.net>

	* configure.in: Updated library requirements.
	Bumped version to 2.6.0.

	* NEWS: Updated.

2004-03-19  Seth Nickell  <seth@gnome.org>

	* libeog/eog-file-selection.c: (eog_file_selection_new):

	If using VFS, allow the file chooser to return non-local
 	URIs. Fixes a regression caused by GTK+ API change.

2004-03-22  Jens Finke  <jens@triq.net>

	* help/it/eog-it.omf,
	* help/it/eog.xml,
	* help/it/eog_start_window.png: Italian documentation
	update by Lucca Feretti <elle.uca@libero.it>. #136620

2004-03-22  Guntupalli Karunakar  <karunakar@freedomink.org>

   * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

2004-03-17  Gareth Owen  <gowen72@yahoo.com>

	* configure.in: Added en_GB to ALL_LINGUAS

======= 2.5.91 =======

2004-03-15  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.5.91

	* NEWS: Updated.

======= 2.5.90 =======

2004-03-08  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.5.90

	* NEWS: updated.

2004-03-08  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.c (eog_collection_item_update):
	New function.
	(eog_collection_item_set_pixbuf): Delay emit of SIZE_CHANGED
	signal until the item actually has been updated on the canvas
	level.

2004-03-05  Jens Finke  <jens@triq.net>

	Fixes #134981.

	* art/loading.png: New file, borrowed from nautilus.

	* art/Makefile.am: Added loading.png to icons data.

	* collection/eog-collection-item.c (get_busy_pixbuf): Indicate
	busy state by new loading icon.

2004-03-05  Jens Finke  <jens@triq.net>

	* libeog/eog-file-selection.c (eog_folder_selection_new): Removed
	this function, incorporated the functionality into eog_file_selection_new.

2004-03-05  Jonathan Blandford  <jrb@gnome.org>

	* libeog/eog-file-selection.c: There are now 4 actions. - Fixes #135816

2004-03-01  Jens Finke  <jens@triq.net>

	* libeog/eog-file-selection.c: (eog_file_selection_new): Don't set
	'folder-mode' property, allow multiple selections.
	(eog_folder_selection_new): Set chooser action to
	GTK_FILE_CHOOSER_ACTION_SELECT_FOLDER.

2004-03-01  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	* libeog/eog-file-selection.c: (eog_file_selection_add_filter),
	(eog_file_selection_new):
	Fix FileFilter (see #128396).

2004-02-26  Breda McColgan <breda.mccolgan@sun.com>

	* help/C/eog.xml: Updated based on technical review comments from Jens.
	* help/C/eog-C.omf: Updated date and software version.

2004-02-23  Ole Laursen  <olau@hardworking.dk>

	* libgpi/gpi-dialog.glade: Removed the dummy title "dialog1" of
	the dialog so that it won't show up in .po files (fixes bug
	#119170).

======= 2.5.6 =======

2004-02-23  Jens Finke  <jens@triq.net>

    * configure.in: Bumped version to 2.5.6

    * NEWS: Updated

2004-02-23  Danilo Šegan  <dsegan@gmx.net>

	* collection/eog-collection-view.c (eog_collection_view_get_prop):
	Mark "Images: %i/%i" for translation.

2004-02-21  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "en_CA" to ALL_LINGUAS.

2004-02-19  Jens Finke  <jens@triq.net>

	Fixes bug #134857. Hint by Jan Arne Petersen.

	* shell/recent-files/egg-recent-model.c: Updated from libegg.

2004-02-19  Jens Finke  <jens@triq.net>

	Fix AIX compilation problems - #134866.

	* libeog/eog-image.h
	* shell/eog-window.h: No trailing comma after last enum constant.

	* libeog/eog-scroll-view.c: No C++ comments in C source files.

2004-02-19  Jens Finke  <jens@triq.net>

	* MAINTAINERS,
	* AUTHORS,
	* TODO,
	* HACKING: Updated.

2004-02-19  Alessio Frusciante  <algol@firenze.linux.it>

	* eog.schemas.in: Fixed some typos.

2004-02-18  Breda McColgan <breda.mccolgan@sun.com>

	* help/C/eog.xml: Updated for GNOME 2.6 release.
	* help/C/eog-C.omf: Updated for GNOME 2.6 release.
	* help/C/l10n.txt: Updated for GNOME 2.6 release.
	* help/C/figures/eog_start_window.png: Updated for GNOME 2.6 release.

====== 2.5.5 ======

2004-02-16  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.5.5

	* NEWS: Updated.

2004-02-15  Jens Finke  <jens@triq.net>

	* libeog/eog-file-selection.c (eog_folder_selection_new),
	(eog_file_selection_new): Don't force specific window size.

2004-02-15  Jens Finke  <jens@triq.net>

	Don't lost exif data scroll position when switching to a new image
	in collection view. Fixes #123463.

	* libeog/eog-info-view.c (clear_single_row), (clear_values): New
	functions.
	(set_row_data): New function. Set data for a given treeview path
	or appends a new row if it doesn't exist.
	(append_row): Removed.
	(add_image_size_attribute): Use set_row_data.
	(exif_entry_cb): Use hashtable to determine the row for a given
	exif attribute.
	(eog_info_view_set_image),
	(image_changed_cb): Clear list, but don't use new model.

====== 2.5.4 =======

2004-02-03  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.5.4

	* NEWS: Updated.

2004-02-02  Jens Finke  <jens@triq.net>

	Applied patch by Christian Neumair. Fixes bug #128796.

	* collection/GNOME_EOG_Collection.server.in.in: Add mnemonic for
	"View as Image Collection".

2004-02-02  Jens Finke   <jens@triq.net>

	Fixes #132263.

	* collection/eog-collection-view.c (have_broken_filenames),
	(get_title_from_uri): New function.
	(eog_collection_view_get_prop): Obtain title from base_uri.
	(get_collection_model): Connect to list-prepared signal.

	* collection/eog-save-dialog.c (eg_save_dialog_update): Removed
	debug output.

	* libeog/eog-image-list.[ch] (eog_image_list_dispose),
	(eog_image_list_instance_init): Init/free new attributes.
	(real_dir_loading),
	(real_file_loading): Determine base uri.
	(prepare_loading_context): Don't leak info object on error.
	(eog_image_list_get_base_uri): New function.

	* libeog/eog-image.c (eog_image_get_caption): Copy static string
	in error case.

2004-01-29  Jason Leach  <leach@wam.umd.edu>

	* shell/recent-files/egg-recent-view-gtk.c:
	* shell/recent-files/egg-recent-view-gtk.h: Add these to the
	repository, egg-recent.h needs them.

	* shell/recent-files/Makefile.am (EGG_RECENT_FILES): Add
	egg-recent-view-gtk.[ch] here.
	(#132823, Malcolm Tredinnick)

2004-01-27  Balamurali Viswanathan  <balamurali.viswanathan@wipro.com>

	* libeog/eog-file-selection.c (response_cb): Check for the
	existence of the file only if "Save" button  is clicked on the
	save image dialog. Solves bug #131654

2004-01-27  Jason Leach  <leach@wam.umd.edu>

	* shell/recent-files/Makefile.am (regenerate-built-sources): New
	make target to automate updating the libegg sources.

	* shell/recent-files/update-from-egg.sh: The small script that
	makes updating simple.

	* shell/recent-files/egg-recent-item.c:
	* shell/recent-files/egg-recent-item.h:
	* shell/recent-files/egg-recent-model.c:
	* shell/recent-files/egg-recent-util.c:
	* shell/recent-files/egg-recent.h:
	Sync these files with their latest copies from libegg so as to
	include any bugfixes since 2003-04-12, the previous sync.
	(#121455, Laurent Vivier)

2004-01-18  Jens Finke  <jens@triq.net>

	* shell/Makefile.am (INCLUDES): Removed $(GCONF_CFLAGS), these are
	now all in $(EOG_CFLAGS). Patch by German Poo Caaman~o, fixes
	#131766.

2004-01-14  Jens Finke  <jens@triq.net>

	* shell/main.c (sort_files): Deal with uri == NULL. Fixes bug
	#130726 partly, at least doesn't crash anymore.
	(show_nonexistent_file): Better error message.
	(handle_cmdline_args),
	(string_array_to_list): Use GSList instead of GList.

====== 2.5.3 =======

2004-01-13  Jens Finke  <jens@triq.net>

	* configure.in: Release time again: 2.5.3.

	* Makefile.am (EXTRA_DIST): Removed OrigTree.pm stuff, intltool
	changed once again.

	* NEWS: Updated.

2004-01-11  Jens Finke  <jens@triq.net>

	* libeog/uta.c (uta_find_first_glom_rect): Fixed logic typo. Patch
	by Dave Jones (davej@redhat.com), report by Telsa Gwynne, fixes bug
	#130924.

2004-01-09  Roozbeh Pournader  <roozbeh@sharif.edu>

	* THANKS: fixed a typo (#130946).

2004-01-06  Jens Finke  <jens@triq.net>

	* libeog/eog-image-jpeg.c (eog_image_jpeg_save): Check for
	successful tmp file creation.
	(eog_image_jpeg_save_lossless): Use
	gnome_vfs_get_local_path_from_uri.

	* libeog/eog-image-view.c (save_uri): Deal with text_uri == NULL.

2004-01-03  Jens Finke  <jens@triq.net>

	Allow loading of multiple single images into a collection
	view. [Got broken when switching to EogImageList.]

	* collection/Makefile.am (SOURCES): Added
	eog-collection-view-iface.[ch].

	* collection/eog-collection-view-iface.[ch]: New files.

	* idl/Eog.idl: Removed old cruft. New GNOME::EOG::CollectionView
	interface.

	* collection/eog-collection-view.c (get_collection_model): New func.
	(load_uri_cb): Reworked
	(load_uri_list_cb): New func.
	(eog_collection_view_construct): Add EOG::CollectionView interface.

	* collection/GNOME_EOG_Collection.server.in.in: Added
	IDL:GNOME/EOG/CollectionView:1.0 to list of repo_ids.

	* libeog/eog-image-list.c (real_file_loading),
	(eog_image_list_add_files): New func.
	(eog_image_list_add_directory): Clean up.

	* shell/eog-window.c (add_control_to_ui): New func.
	(eog_window_open_list),
	(eog_window_open): Reworked functions. *_open_list uses the
	CollectionView::loadURIList interface, while *_open uses
	BonobPersistFile::load.

2004-01-03  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" in ALL_LINGUAS.

2003-12-31  Jens Finke  <jens@triq.net>

	Preview for the file selector.

	* libeog/eog-file-selection.c (eog_file_selection_dispose),
	(eog_file_selection_finalize), (eog_file_selection_class_init),
	(eog_file_selection_instance_init),
	(set_preview_label),
	(set_preview_pixbuf),
	(update_preview_cb),
	(eog_file_selection_add_preview): New functions.
	(eog_file_selection_new): Add preview widget.

	* libeog/eog-file-selection.h: Added pointer to private struct.

====== 2.5.2.1 =====

2003-12-29  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.5.2.1

	* Makefile.am: Added OrigTree.pm from intltool-modules to
	EXTRA_DIST - #130062.

	* NEWS: Updated.

2003-12-27  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.c (ensure_max_string_width):
	Prefer non-alphanumeric characters for positions to wrap caption.

2003-12-27  Jens Finke  <jens@triq.net>

	Indicate modified images by bold caption in collection view.

	* collection/eog-collection-item.c (image_changed_cb): Update
	caption too.
	(get_item_image_caption): New function.
	(transform_caption): Removed.
	(eog_collection_item_construct): Use get_item_image_caption, use
	markup property for caption item.

===== 2.5.2 =====

2003-12-22  Jens Finke  <jens@triq.net>

	* configure.in: Version 2.5.2

	* NEWS: Updated.

2003-12-21  Jens Finke  <jens@triq.net>

	* libeog/eog-image-list.c (compare_quarks),
	(get_supported_mime_types), (is_supported_mime_type): New
	functions.
	(directory_visit_cb): Put only images into the list, which are
	actually supported by GdkPixbuf.

2003-12-21  Jens Finke  <jens@triq.net>

	* libeog/eog-file-selection.c (eog_file_selection_add_filter):
	Added filter which displays 'All Files'.

2003-12-21  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view.c (save_image_loading_finished):
	Adapted to new eog_image_save signature.

	* libeog/eog-file-selection.[ch] (eog_file_selection_add_filter):
	Attach GdkPixbufFormat to filter for further reference.
	(eog_file_selection_get_format): New function.

	* libeog/eog-image-jpeg.[ch] (get_tmp_filepath),
	(move_file_to_uri): New functions.
	(eog_image_jpeg_save),
	(eog_image_jpeg_save_lossless): Dump data to temporary file first
	and move it to final destination afterwards.

	* libeog/eog-image.[ch] (real_image_load): Set image status to failed
	if we read 0 bytes.
	(eog_image_save): Added GdkPixbufFormat parameter, better
	retrieving of target filetype.

	* viewer/eog-image-view.c (verb_SaveAs_cb): Get image format from
	file chooser.
	(save_uri): New function, which takes an additional
	GdkPixbufFormat parameter.

2003-12-19  Jens Finke  <jens@triq.net>

	* libeog/eog-image.c (eog_image_save): Update URI and clear
	caption strings after save.

	* libeog/eog-image.h (eog_image_save): non-const target URI.

	* viewer/eog-image-view.c (eog_image_view_get_prop): View caption
	of modified images with appended asterisk.
	(image_changed_cb): Notify listerns about title change, too.

2003-12-14  Jens Finke  <jens@triq.net>

	* libeog/eog-full-screen.c (prepare_data): Disable automatic image
	switching for single images always.

2003-12-13  Thomas Vander Stichele  <thomas at apestaart dot org>

        * configure.in: added ACLOCAL_AMFLAGS so maintainer builds pick up m4's

2003-12-11  Kaushal Kumar  <kaushal.kumar@wipro.com>

	* libeog/eog-file-selection.c (eog_file_selection_add_filter):
	Fix compilation (Bugzilla bug #129083).

2003-12-10  Jens Finke  <jens@triq.net>

	* libeog/eog-file-selection.c: Mark "All Images" string for translation.

2003-12-10  Jan Arne Petersen  <jpetersen@uni-bonn.de>

	Use the new gtk+ 2.4 file chooser and add file filter support.

	* libeog/eog-file-selection.c: (is_filename_valid): replace
	gtk_file_selection_* methods with gtk_file_chooser_* methods.
	(response_cb): use the new gtk_file_chooser_get_current_folder method.
	(eog_file_selection_construct): add file filter support.
	(eog_file_selection_new): replace gtk_file_selection_* methods with
	gtk_file_chooser_* methods.

	* libeog/eog-file-selection.h: change super class of EogFileSelection
	from GtkFileSelection to GtkFileChooserDialog

	* shell/eog-window.c: (verb_FileOpen_cb): replace gtk_file_selection_* methods with
        gtk_file_chooser_* methods.
	(open_uri_list_cleanup), (eog_window_drag_data_received): the uri-list is now a GSList
	instead of a GList.

	* shell/eog-window.h: the uri-list is now a GSList instead of a GList.

	* shell/main.c: (sort_files), (open_uri_list_cb): the uri-list is now a GSList
	instead of a GList.

	* viewer/eog-image-view.c: (verb_SaveAs_cb): replace gtk_file_selection_* methods with
        gtk_file_chooser_* methods.

===== 2.5.1 =====

2003-12-08  Jens Finke  <jens@triq.net>

	* NEWS: Updated.

	Released 2.5.1

2003-12-08  Jens Finke  <jens@triq.net>

	Patch by pasupathi.duraisamy@wipro.com - Bug #119469

	* libeog/eog-file-selection.c (replace_file): New function
	(response_cb): Check if the file exists and ask user if she wants
	to overwrite it.

2003-12-08  Jens Finke  <jens@triq.net>

	Lossless saving for local/unmodified files and local/modified jpeg
	images. Needs more testing.

	* Makefile.am:
	* acconfig.h: Added jpegutils compile magic.

	* configure.in: Bumped version to 2.5.1. Define ENABLE_JPEG.

	* viewer/Makefile.am,
	* collection/Makefile.am: Link to libeog-jpegutils conditionally.

	* libeog/Makefile.am: Include jpegutils dir.

	* libeog/eog-image-jpeg.[ch]: Build only if HAVE_JPEG is true.
	(eog_image_jpeg_save_lossless): New function.

	* libeog/eog-image-private.h: New file_type attribute.

	* libeog/eog-image.c (real_image_load): Store file format used for
	loading of the image.
	(is_local_uri),
	(get_save_file_type_by_suffix): New functions.
	(eog_image_save): Reworked function. Tries to be as smart as
	possible in using the least lossy save method.

	* libeog/eog-transform.[ch] (eog_transform_get_transform_type):
	New function.

	* jpegutils/*: New files, borrowed from GThumb.

2003-11-24  Jens Finke  <jens@triq.net>

	Display filesize information.

	* libeog/eog-image-private.h: Added bytes attribute.

	* libeog/eog-image.[ch](real_image_load): Init bytes attribute.
	(eog_image_get_bytes): New public function.

	* libeog/eog-info-view.c (add_image_size_attribute): Display
	filesize information.
	(loading_info_finished_cb): Load size attributes again (for the
	special case, where the image is already loaded).

	* viewer/eog-image-view.c (eog_image_view_get_prop): Display
	filesize in the statusbar.

2003-11-24  Jens Finke  <jens@triq.net>

	Select/show the image in the wraplist, that was last viewed in the
	slideshow on returning from fullscreen mode. Fixes #118617.

	* collection/eog-collection-view.c (slideshow_hide_cb): New function
	(verb_SlideShow_cb): Register for hide signal of the fullscreen widget.

	* collection/eog-wrap-list.c (eog_wrap_list_set_current_image):
	New function.

	* libeog/eog-full-screen.[ch] (eog_full_screen_hide): Don't
	destroy widget.
	(prepare_data): Set current iter also in the single image case.
	(eog_full_screen_get_last_image): New public function.

	* libeog/eog-image-list.c (eog_image_list_iter_valid): Check for iter != NULL.

	* viewer/eog-image-view.c (verb_FullScreen_cb): Destroy fullscreen
	widget on hide signal.

===== 2.5.0.1 ====

2003-11-10  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.5.0.1

	* NEWS: Updated

2003-11-06  Breda McColgan  <Breda.McColgan@sun.com>

	* help/C/eog.xml: Updated for GNOME 2.4.2
	* help/C/eog-C.omf : Updated to reflect new manual version number and date
	* help/C/l10n.txt: Updated Summary of Changes section
	* help/C/figures/eog_start_window.png: Updated screenshot

2003-11-03  Jens Finke  <jens@triq.net>

	Allow tool-/statusbar hiding. Based on a patch by Kaushal Kumar,
	fixes #114231.

	* eog.schemas.in: Added new keys for storing toolbar and statusbar
	visibility state.

	* shell/eog-shell-ui.xml: Added View/Toolbar and View/Statusbar items.

	* shell/eog-window.c (verb_ShowHideAnyBar_cb),
	(toolbar_visibility_changed_cb),
	(statusbar_visibility_changed_cb): New functions.
	(eog_window_destroy): Remove config change listener.
	(eog_window_construct): Setup show/hide stuff.
	(adapt_window_size): Consider statusbar visibility on window
	height calculation.

2003-11-03  Jens Finke  <jens@triq.net>

	* libeog/Makefile.am (SOURCES): Added eog-config-keys.h

	* libeog/eog-config-keys.h: New file. Contains definitions for all GConf keys.

	* viewer/eog-image-view.[ch]:
	* shell/eog-preferences.c:
	* shell/main.c
	* libeog/eog-full-screen.c: Use eog-config-keys.h defintions.

2003-11-02  Jens Finke  <jens@triq.net>

	* shell/Makefile.am
	* collection/Makefile.am: Link against X_LIBS.

2003-11-02  Jens Finke  <jens@triq.net>

	Based on a patch by Shivaram Upadhyayula. Fixes #104805.

	* acconfig.h: undef HAVE_SUNKEYSYM_H

	* configure.in: Ensure that we link against X libs.

	* libeog/eog-full-screen.[ch] (eog_full_screen_enable_SunF36): New
	function.
	(eog_full_screen_key_press): Quit on SunXK_F36.

	* viewer/eog-image-view-ui.xml:
	* collection/eog-collection-view-ui.xml: Added hidden
	slideshow/fullscreen menuitem with SunF36 accel.

	* viewer/eog-image-view.c (eog_image_view_create_ui):
	* collection/eog-collection-view.c (eog_collection_view_create_ui):
	Add callback for hidden fullscreen item on Sun keyboards.

	* viewer/Makefile.am: Link against X_LIBS.

2003-10-29  Jens Finke  <jens@triq.net>

	Improved slideshow component: automatic browsing, upscale flag,
	endless loop / single run

	* eog.glade: Reworked the slideshow preferences page.
	Rephrased image interpolation text - #122543.

	* eog.schemas.in: New keys in /apps/eog/full_screen: loop,
	upscale, seconds.

	* libeog/eog-full-screen.c:
	(check_automatic_switch): New function.
	(eog_full_screen_show): Setup timer for automatic browsing.
	(eog_full_screen_hide): Remove timer.
	(show_next_image): Consider loop flag. If set, stop browsing on
	first or last image.
	(eog_full_screen_key_press): Pause/continue automatic browsing
	with 'p' key.
	(eog_full_screen_destroy): Free first iter.
	(eog_full_screen_instance_init): Init new attributes.
	(prepare_data): Remeber first iter.
	(eog_full_screen_new): Obtain configuration values.

	* eog_image_list.[ch] (eog_image_list_iter_equal): New function.

	* eog-preferences.c (spin_button_changed_cb): New function.
	(eog_preferences_show): Connect widgets on slideshow preferences
	page.

2003-10-27  Jens Finke  <jens@triq.net>

	Consider eog/window/open_new_window configuration key again. Fixes
	long-time bug #91189.

	* eog.schemas.in: Set default of the open_new_window key to false.

	* shell/eog-window.c (eog_window_open_list): Deactivate control.

	* shell/main.c (open_window): Query open_new_window key to
	determine if the current window should be reused or not.

2003-10-26  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view.c (free_image_list): New
	function, which releases a list of images returned by
	eog_wrap_list_get_selected_images.
	(save_image_init_loading): Don't add another ref to an image.
	(verb_SlideShow_cb),
	(save_dlg_response_cb),
	(apply_transformation),
	(verb_Undo_cb): Free image list.

2003-10-26  Jens Finke  <jens@triq.net>

	* collection/eog-collection-model.[ch]: Removed.

	* collection/Makefile.am (SOURCES): Removed eog-collection-mode.[ch].

	* collection/eog-collection-view.c:
	* collection/eog-wrap-list.c:
	Replaced EogCollectionModel with EogImageList.

	* libeog/Makefile.am (SOURCES): Added eog-image-list.[ch].

	* libeog/eog-image-list.[ch]: New files.

	* libeog/eog-full-screen.[ch]: Uses new EogImageList object. Large
	refactoring, simplified code.

	* libeog/libeog-marshal.list: Added two declarations.

	* collection/eog-collection-view.c (verb_SlideShow_cb):
	* viewer/eog-image-view.c (verb_FullScreen_cb): Adapted to new
	EogFullScreen API.

2003-10-26  Jens Finke  <jens@triq.net>

	* libeog/eog-image-private.h: Added EogImageStatus enumeration.

	* libeog/eog-image.c:
	(eog_image_new_uri),
	(real_image_load),
	(eog_image_load),
	(eog_image_free_mem_private),
	(eog_image_cancel_load),
	(eog_image_is_loaded): Store image status explicitly in private
	status attribute.
	(real_image_load): Free exif data on cancel.
	(eog_image_cancel_load): Don't join thread, this isn't actually
	required in the current design.

2003-10-26  Jens Finke  <jens@triq.net>

	* configure.in: We require libexif 0.5.12.

	* libeog/eog-image.c (exif_loader_write): Removed.
	(real_image_load): Use ExifLoader from libexif.

	* libeog/eog-image-private.h: Include exif-data.h

2003-10-25  Jens Finke  <jens@triq.net>

	Introduced EogImageCache, which caches the last five loaded images
	and takes care of free'ing them if the cache overflows.

	* libeog/eog-image-cache.[ch]: New files.

	* libeog/Makefile.am (SOURCES): Added new files.

	* collection/eog-collection-view.c (handle_selection_changed):
	Don't free used memory for displayed image explicitly.

	* libeog/eog-full-screen.c (show_next_image),
	(eog_full_screen_destroy): Dito.

	* libeog/eog-image-private.h (eog_image_free_mem_private): New
	declaration.

	* libeog/eog-image.c (eog_image_dispose): Use eog_image_free_mem
	function.
	(real_image_load): Add image to cache on successful loading.
	(eog_image_load): Inform cache that this is the last recently used
	image.
	(eog_image_free_mem): Free image resources and remove image from
	cache.
	(eog_image_free_mem_private): Only free image resources.

2003-10-21  Jens Finke  <jens@triq.net>

	* collection/Makefile.am: Don't distribute auto-generated files in
	the tarball. - #125118

===== 2.5.0 =====

2003-10-20  Jens Finke  <jens@triq.net>

	* NEWS: Updated.

2003-10-12  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.c (set_pixbuf),
	(eog_collection_item_construct): Use named constants instead of
	constant values for padding, spacing etc.
	(eog_collection_item_get_size): Removed.
	(eog_collection_item_get_heights): Renamed into
	eog_collection_item_get_size, return also the width of the item.

	* collection/eog-collection-item.h: New named constants for
	spacing, padding and maximal item width.

	* collection/eog-wrap-list.c Dropped support for different layout
	modes.
	(get_item_view_position): Removed unused variables.
	(do_layout_check): Use MAX_ITEM_WIDTH constant. Removed support
	for different layout modes (horizontal, rectangle).
	(calculate_row_height): Adapt to new eog_collection_item_size
	signature.
	(do_item_rearrangement): Use MAX_ITEM_WIDTH constant for
	calculation. Adapted to eog_collection_item_size changes.

	* collection/eog-collection-view.c (layout_changed_cb): Removed.

2003-10-12  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.c (set_pixbuf): Added flag wether
	or not a frame should be shown around the thumbnail.
	(thumbnail_finished_cb),
	(image_changed_cb): Show frame.
	(thumbnail_failed_cb),
	(eog_collection_item_construct): Hide frame.

	* configure.in: Bumped version to 2.5.0.

2003-10-12  Jens Finke  <jens@triq.net>

	* collection/eog-canvas-pixbuf.c (compute_viewport_affine),
	(eog_canvas_pixbuf_point): Free pixbuf.

	* collection/eog-collection-item.c (set_pixbuf): dito.

2003-10-12  Jens Finke  <jens@triq.net>

	Better thumbnail layout in collection view.

	* collection/eog-canvas-pixbuf.[ch]: New files. Like
	GnomeCanvasPixbuf but doesn't ignore transparent parts when
	checking for point in item.

	* collection/Makefile.am (SOURCES): Added new files.

	* collection/eog-collection-item.[ch]
	(eog_collection_item_point): Removed.
	(eog_collection_item_class_init): Added 'size_changed' signal.
	(set_pixbuf): Emit 'size_changed' signal if the size of the pixbuf
	changed.
	(eog_collection_item_construct): Use EogCanvasPixbuf
	class. Removed background item.
	(eog_collection_item_get_heights): New function.

	* collection/eog-wrap-list.c (get_item_view_position): Read
	row/col position from the item's user data.
	(handle_item_size_changed): New function, invokes layout checks.
	(add_image): Connect to item's size_changed signal.
	(set_item_position): New function.
	(calcualte_row_height): New function.
	(calculate_item_position): Removed.
	(rearrange_single_item): Removed.
	(do_item_rearrangement): Calculate exact height for each row,
	align images properly.
	(do_update): Handle new ITEM_SIZE_CHANGED update hint.

2003-10-11  Jens Finke  <jens@triq.net>

	* Makefile.am: Changed variable names to fit their purpose better.

	* eog.desktop.in: Added X-GNOME-DocPath entry. - #123101

2003-10-11  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view.c (eog_image_view_get_prop): Mark the
	whole status string for translation not only 'pixel'. - #124196

2003-10-09  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view.c (eog_image_view_get_prop): Mark
	'pixel' for translation - #124196.

===== gnome-2-4 branch =======

2003-10-03  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view.c (eog_collection_view_get_prop):
	Use eel_format_uri_for_display for formatting the window title.

2003-09-28  Jens Finke  <jens@triq.net>

	Code cleanup. Monitor image modifications.

	* libeog/eog-info-view.c: Better management of image callback ids.
	(add_image_size_attribute),
	(add_image_filename_attribute),
	(add_image_exif_attribute): New functions
	(fill_list): Removed.
	(loading_size_prepared_cb): Use add_image_size_attribute.
	(image_changed_cb): New function.
	(eog_info_view_set_image): Use add_image_filename_attribute.

2003-09-28  Jens Finke  <jens@triq.net>

	Fixes the duplicated entries for width/height information in the
	image info view.

	* libeog/eog-info-view.c: (fill_list): Don't add image
	width/height information here, this is always already done by the
	loading_size_prepared_cb function.

2003-09-28  Jens Finke  <jens@triq.net>

	* configure.in: Added switch for disabling libexif support.

2003-09-21  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view.c (create_user_interface): Create
	horizontal splitter to hold info view only if libexif is
	available. Otherwise put the image view directly into the vertical
	pane.

	* libeog/eog-scroll-view.c (paint_rectangle): Check if widget is
	drawable (fixes crash on shutdown). Check if scaled image width
	and height is > 1.

2003-09-21  Hidetoshi Tajima <hidetoshi.tajima@sun.com>

	* shell/main.c (show_nonexistent_files): Prepare non-ascii uris
	for display correctly. - #122671.

2003-09-15  Jens Finke  <jens@triq.net>

	* libeog/eog-image.c (have_broken_filenames): New function.
	(eog_image_get_caption): Be smart when translate caption to utf8
	encoding. Use eel_make_valid_utf8 as last fallback.

	* viewer/eog-image-view.c (load_uri_cb): Ensure that we have a
	valid uri with eel_make_uri_from_input. Fixes #117838.

===== 2.4.0 =====

2003-09-09  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.4.0

	* NEWS: Updated.

2003-09-08  Jens Finke  <jens@triq.net>

	This patch is approved by the release team.

	* collection/eog-collection-view.c (create_user_interface): Use
	gtk_hpaned instead of specialised
	eog_horizontal_splitter. Otherwise we will _always_ crash if no
	libexif support is compiled in (which is probably the default
	setup). This needs fixing in further versions.

2003-09-05  Guntupalli Karunakar  <karunakar@freedomink.org>

	* hi.po: Added "hi" to ALL_LINGUAS.

2003-09-04  Irene Ryan <irene.ryan@sun.com>

	* help/C/eog.xml: updated Help to reflect changes for GNOME 2.4 in
	V2.3.5 of the application.
	* help/C/eog-C.omf: updated manual version and date information
	* help/C/l10n.txt: updated instructions for L10N teams

====== 2.3.90 =====

2003-09-01  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.3.90

	* NEWS: Updated.

2003-08-28  William Jon McCann  <mccann@jhu.edu>

	* Makefile.am: Removed ACLOCAL_AMFLAGS.  Fixes bug #120871.

====== 2.3.6 =====

2003-08-25  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.3.6

	* NEWS: Updated.

2003-08-06  Martin Kretzschmar  <m_kretzschmar@gmx.net>

	* libeog/eog-hig-dialog.c (eog_hig_dialog_new): add terminating
	NULL in g_object_set.

2003-07-25  Jens Finke  <jens@triq.net>

        Based on a patch by Gustavo J. A. M. Carneiro
	<gustavo@users.sourceforge.net> - #118204.

	* configure.in: Require libbonoboui >= 2.3.3.

	* collection/main.c (main),
	* viewer/main.c (main): Make the factory wait for one minute after
	becoming unused before deciding to quit. This default behavior can
	be disabled by adding the --nowait commandline parameter.

2003-07-21  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view.c (load_uri_cb):
	* collection/main.c (eog_collection_factory):
	* libeog/eog-image.c (update_exif_data):
	* libeog/eog-scroll-view.c (display_map_event):
	* viewer/eog-image-view.c (finalize),
	(load_uri_cb):
	* viewer/main.c (eog_image_viewer_factory): Kicked out/ #ifdef'd
	debug output.

2003-07-21  Andreas Köhler <andi5.py@gmx.net>

	* shell/main.c (show_nonexistent_files): Actually destroy the
	dialog - #117673.

2003-07-21  Andreas Köhler <andi5.py@gmx.net>

	Fixes bug #117270.

	* collection/eog-collection-view.c
	(eog_collection_view_create_ui),
	* viewer/eog-image-view.c (eog_image_view_create_ui): Make
	separator in edit menu visible.

	* shell/eog-shell-ui.xml: Added initially hidden separator which
	will be shown explicitly if required.

2003-07-20  Martin Kretzschmar <m_kretzschmar@gmx.net>

	* libeog/eog-hig-dialog.c (eog_hig_dialog_new): Don't print
	additional newline after message text - #117799.

====== 2.3.5 =====

2003-07-16  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.3.5

	* NEWS: Updated

2003-07-16  Jens Finke  <jens@triq.net>

	* collection/eog-wrap-list.c (do_item_rearrangement): Set scroll
	region height correctly.

2003-07-16  Jens Finke  <jens@triq.net>

	* shell/eog-window.c (verb_HelpAbout_cb): Don't mark copyright
	string for translation - #117449.

2003-07-14  Jens Finke  <jens@triq.net>

	* libeog/eog-hig-dialog.c (eog_hig_dialog_new): Set empty title.

2003-07-14  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.[ch]
	(eog_collection_item_get_size): New function.

	* collection/eog-collection-view.c
	(create_user_interface): Set wrap list scroll policy to
	automatic. Patch by Andreas Köhler.

	* collection/eog-wrap-list.c
	(get_item_view_position),
	(do_layout_check),
	(calculate_item_position),
	(do_item_rearrangement): Improved horizontal item
	arrangement. Should produce less empty space now.

2003-07-13  John Fleck <jfleck@inkstain.net>

	* Makefile.am
	* autogen.sh
	* configure.in
	* help/C/Makefile.am
	* help/de/Makefile.am
	* help/es/Makefile.am
	* help/fr/Makefile.am
	* help/it/Makefile.am
	* help/ja/Makefile.am
	* help/ko/Makefile.am
	* help/sv/Makefile.am
	* help/zh_CN/Makefile.am
	* help/zh_TW/Makefile.am
	remove:
	* xmldocs.make
	update to new docs build system.
	Requires latest gnome-common to build from cvs


2003-07-13  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>

	* configure.in: Added "cy" (Welsh) to ALL_LINGUAS

2003-07-06  Jens Finke  <jens@triq.net>

	* libeog/eog-hig-dialog.[ch] (eog_hig_dialog_new): Set string
	parameter to const.

	* viewer/eog-image-view.c (eog_image_view_get_prop): Don't show
	anything in the statusbar if no image is loaded. If the image size
	isn't known show only the zoom factor.
	(image_loading_failed_cb): New function. Presents error dialog to
	the user.
	(load_uri_cb): Connect to loading_failed signal for an image and
	disconnect signals properly from previously loaded image.
	(eog_image_view_construct): Save BonoboControl reference.

2003-07-06  Jens Finke  <jens@triq.net>

	This patch should fix bug #114189.

	* libeog/eog-image.c (real_image_load): Connect to size prepared
	signal even for images in non-progressive loading mode.

	* shell/eog-window.c (widget_realized_cb): New function.
	(eog_window_construct): Connect to realize signal of statusbar to
	notice when the widget's size is determined.
	(adapt_window_size): Perform resize only if all required
	information are available.
	(property_changed),
	(check_for_control_properties): Set desired width/height directly.

2003-07-05  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.c: Draw a black frame around each
	thumbnail.

2003-07-05  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view.c (handle_selection_changed):
	Check for info_view != NULL.
	(create_user_interface): Create info view only if exif library is
	installed (we don't show any other relevant infos yet.)  Use
	special eog splitter widgets.

	* libeog/Makefile.am (SOURCES): Added new eog splitter files.

	* libeog/eog-horizontal-splitter.[ch],
	* libeog/eog-vertical-splitter.[ch]: Specilised new eog splitters
	widgets.

2003-07-02  Jens Finke  <jens@triq.net>

	General UI polishing.

	* collection/eog-collection-view-ui.xml: Removed empty tips. Added
	pixmaps to rotate menu functions.

	* shell/eog-window.c (verb_HelpAbout_cb): Unified copyright sign.-
	#101726, patch by Christian Neumair.

	* viewer/eog-image-view-ctrl-ui.xml: Added pixmaps to zoom menu
	items.

	* viewer/eog-image-view-ui.xml: Added undo function.

	* viewer/eog-image-view.c (verb_Undo_cb): Call image undo function.

2003-07-02  Jordi Mallach  <jordi@sindominio.net>

	* eog.desktop.in: Add X-Bugzilla entries.

====== 2.3.4 =====

2003-07-02  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 2.3.4

	* NEWS: Updated.

	* README: Updated.

2003-06-30  Jens Finke  <jens@triq.net>

	* eog.schemas.in: Kicked out long time deprecated gconf keys.

2003-06-30  Jens Finke  <jens@triq.net>

	* shell/eog-preferences.c (eog_preferences_show): Hide 'slide
	show' preferences page, since options haven't been implemented
	until feature freeze.

2003-06-29  Jens Finke  <jens@triq.net>

	* art/stock-rotate-90-16.png,
	* art/stock-rotate-270-16.png,
	* art/stock-rotate-180-16.png: New icons.
	* art/Makefile.am (icons_DATA): Added new icons.

	* viewer/eog-image-view-ui.xml: Added menu icons for rotate
	operations.

	* viewer/eog-image-view.c (popup_menu_cb): Handle
	rotate operations from context menu.
	(popup_entries): Added rotate functions.

2003-06-29  Jens Finke  <jens@triq.net>

	* libgpi/gpi-dialog.glade: Removed atk property strings,
	they don't seem to be necessary here - #116015.

2003-06-25  Jens Finke  <jens@triq.net>

	* shell/eog-window.c (eog_window_construct): Disable bonobo
	toolbar configuration.

2003-06-25  Jens Finke  <jens@triq.net>

	* libeog/eog-image.c (create_thumbnails): Check if image is
	altered and create/update thumbnail if necessary.

2003-06-23  Jens Finke  <jens@triq.net>

	* collection/eog-slide-show.[ch],
	* collection/eog-collection-preferences.[ch]: Removed deprecated
	files.

	* collection/Makefile.am (SOURCES): Removed above files.

	* viewer/eog-embeddable.c,
	* viewer/eog-embeddable.h,
	* viewer/eog-embeddable-view.c,
	* viewer/eog-embeddable-view.h,
	* viewer/eog-control.c,
	* viewer/eog-control.h,
	* viewer/eog-full-screen.c,
	* viewer/eog-full-screen.h,
	* viewer/eog-util.h,
	* viewer/eog-util.c,
	* viewer/eog-image.c,
	* viewer/eog-image.h,
	* viewer/eog-image-io.c,
	* viewer/eog-image-io.h:

	Removed long outdated source files. Most of the functionality is
	now in libeog.

	* viewer/Makefile.am (SOURCES): Removed above files.

2003-06-21  Jens Finke  <jens@triq.net>

	* collection/eog-save-dialog.[ch]: New files.

	* collection/Makefile.am (LDADD): Added libjpeg flags.
	(SOURCES): Added eog-save-dialg.[ch].

	* collection/eog-collection-view-ui.xml: Added File/Save item.

	* collection/eog-collection-view.c
	(save_image_init_loading),
	(set_commands_sensitive_state),
	(save_image_loading_failed),
	(save_image_loading_finished),
	(save_dlg_close),
	(save_dlg_delete_cb),
	(save_dlg_response_cb),
	(verb_Save_cb): New functions for saving a bunch of files.
	(eog_collection_view_construct): Save reference to control object.

	* viewer/Makefile.am (LDADD): Added libjpeg flags.

	* viewer/eog-image-view.c (image_changed_cb): New
	function. Notifies bonobo listeners when the image changed.
	(load_uri_cb): Connect to image_changed signal.

2003-06-15  Taneem Ahmed  <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-06-12  Jens Finke  <jens@triq.net>

	* configure.in: Added check for optional libjpeg.

	* libeog/Makefile.am (SOURCES): Added eog-image-private.h,
	eog-image-jpeg.[ch].

	* libeog/eog-image.c (update_exif_data): New function.
	(exif_loader_write): Fixed byte skipping computation.
	(real_image_load): Update image size in exif data if
	transformation has been applied. Emit transformed signal only in
	progressive mode.
	(image_transform): Update image size in exif and private data.
	(eog_image_undo): Update modified flag, fixed mem leaks.
	(eog_image_save): If target file is jpeg and image has exif data,
	use jpeg save method to preserve exif data. Remove all
	transformation objects.
	(eog_image_is_modified): New function.

	* libeog/eog-image-private.h: New. Moved EogImagePrivate definition to
	here. Makeing it accessable by associated classes.

	* libeog/eog-image-jpeg.[ch]: New. Provides special functions for
	saving jpegs.

2003-06-10  SamÃºel JÃ³n Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" into ALL_LINGUAS

2003-06-05  Christian Schaller <Uraeus@gnome.org>

	* GNOME_EOG.server.in.in: Add image/svg+xml to supported mimetype list i
	since just image/SVG isn't the proper mimetype. This tiny fix should
	make the moz-bonobo stuff be able to display SVG files properly

2003-06-05  Jens Finke  <jens@triq.net>

	* Makefile.am (EXTRA_DIST): Removed config.rpath.

	* NEWS, configure.in: Prepared release 2.3.3.

	* xmldocs.make: Applied build fix patch by Art Haas
	<ahaas@airmail.net>

2003-06-05  Abel Cheung  <maddog@linux.org.hk>

	* eog.schemas.in: Fix description typo. (800x800 is incorrect,
	  no a localization issue. #106052 can be closed.)

2003-05-31  Jens Finke <jens@triq.net>

	* collection/eog-wrap-list.c
	(eog_wrap_list_drag_data_get_cb): New function.
	(eog_wrap_list_instance_init): Register as drag source.

	* libeog/eog-image.[ch] (eog_image_get_uri): New function.

2003-05-31  Jens Finke <jens@triq.net>

	Added progress indication.

	* collection/eog-collection-view.c: New property "image/progress".
	(image_progress_cb): New function.
	(apply_transformation): Setup the progress indication stuff.
	(handle_selection_changed): Connect to the image progress changed
	signal.
	(eog_collection_view_construct): Register "image/progress" property.

	* collection/eog-collection-view-ui.xml: Added "Undo" mnemonic.

	* libeog/eog-image.c (eog_image_class_init): New signal
	"progress".
	(check_load_status): Check for progress changes and emit signal if
	appropriate.
	(transform_progress_hook_async): New function.
	(real_image_load): Determine file size of image to load and update
	progress status. Ref/unref clean up when transforming the image.
	(check_progress_sync),
	(transform_progress_hook_sync): New functions.
	(image_transform): Register progress hooks on image transformation.
	(eog_image_transform): Init progress check function.

	* libeog/eog-transform.[ch] (eog_transform_apply): Added callback
	function, which is called in intervalls to update progress status.

	* shell/eog-window.c (eog_window_construct): Show progressbar on statusbar.
	(check_for_control_properties),
	(property_changed_cb): Handle progress property.

	* viewer/eog-image-view.c (image_progress_cb): New functin.
	(load_uri_cb): Connect to object's progress signal.
	(eog_image_view_construct): Register "image/progress" property.

2003-05-27  Abel Cheung  <maddog@linux.org.hk>

	* eog.schemas.in: Fix description typo.

2003-05-24  Lutz Mueller <lutz@users.sourceforge.net>

	* libgpi/test-gpi.c: New. Won't get installed.
	* libgpi/Makefile.am: Hook up test-gpi.c
	* libgpi/gpi-dialog-pixbuf-page.c: Fix typo.
	* libgpi/gpi-mgr-pixbuf.c: At least show the numbers. Resizing needs
	  still to be done.

2003-05-12  Lutz Mueller <lutz@users.sourceforge.net>

	* configure.in: Use GPI_CFLAGS in order to speed up compilation of
	  files in libgpi.

2003-05-12  Lutz Mueller <lutz@users.sourceforge.net>

	* eog-print-setup.[c,h]
	* eog-preview.[c,h]
	* eog-preview-page.[c,h]: Removed. Code moved to libgpi.

2003-05-12  Lutz Mueller <lutz@users.sourceforge.net>

	* libgpi/*: New. Ideas from the printing code in EOG-1.0.
	* configure.in
	* Makefile.am
	* viewer/Makefile.am
	* viewer/eog-image-view-ui.xml
	* viewer/eog-image-view.c: Hook up libgpi.

2003-05-12  Jens Finke <jens@triq.net>

	Using affine matrices for describing transformations applied to an
	image. In collection view, transformations will be delayed and
	applied only on the thumbnails until the image is really
	loaded.

	* configure.in: Check for libart.

	* collection/eog-collection-item.c (image_changed_cb): Update
	thumbnail if image has been modified.
	(eog_collection_item_construct): Connect to changed signal.

	* collection/eog-collection-view-ui.xml: Added menu entries for
	rotation, flipping and undo.

	* collection/eog-collection-view.c (verb_Undo_cb),
	(apply_transformation), (verb_FlipHorizontal_cb),
	(verb_FlipVertical_cb), (verb_Rotate90ccw_cb),
	(verb_Rotate90cw_cb), (verb_Rotate180_cb): New functions.
	(handle_selection_changed): Check if the same image is selected.

	* libeog/Makefile.am (SOURCES): Added eog-transform.[ch]

	* libeog/eog-transform.[ch]: New files. GObject wrapper around an
	affine transformation.

	* libeog/eog-image.[ch] (eog_image_dispose): Consider undo stack and
	current transformation.
	(check_load_status): Emit image changed if loading is done and
	transformation applied.
	(real_image_load): Changed the mutex locking strategie. The
	post-loading transformation is done asynchronously.
	(image_transform),
	(eog_image_undo),
	(eog_image_transform): New functions, which provide the
	modification interface.
	(eog_iamge_flip_vertical), (eog_image_flip_horizontal),
	(eog_image_rotate_clock_wise),
	(eog_image_rotate_counter_clock_wise), (eog_image_rotate180): Removed.

	* viewer/eog-image-view.c (apply_transformation): New function,
	which applies a transformation to an EogImage object.
	(verb_FlipHorizontal_cb), (verb_FlipVertical_cb),
	(verb_Rotate*_cb): Instantiate an appropriate EogTransform object
	and use the apply_transformation function.

2003-05-09  Paisa Seeluangsawat  <paisa@colorado.edu>

	* configure.in (ALL_LINGUAS): Added "th".

2003-05-09  Danilo Å egan  <dsegan@gmx.net>

	* configure.in: Added "sr" and "sr@Latn" to ALL_LINGUAS.

2003-05-05  Federico Mena Quintero  <federico@ximian.com>

	* collection/eog-wrap-list.c (do_layout_check): Compute the right
	number of rows or columns.

2003-05-04  Jens Finke  <jens@triq.net>

	* shell/recent-files/Makefile.am (SOURCES): Added egg-recent.h.

	* configure.in: Bumped version to 2.3.1

	* NEWS: Updated

	Released version 2.3.1.

2003-04-28  Jens Finke  <jens@triq.net>

	* libeog/eog-full-screen.c (show_next_image): Free images only if
	we have more than three.
	(eog_full_screen_instance_init): Actually, do fullscreen again
	(erm, forgot my testing code :)
	(check_advance_loading): Initiate image loading only, if it hasn't
	been loaded yet.

	* libeog/eog-image.[ch] (real_image_load): Removed assert for now
	so that we don't crash eventually with exif support enabled. Spew
	out a warning only. Should be fixed though.
	(eog_image_is_loaded): New function.

2003-04-27  Jens Finke  <jens@triq.net>

	* libeog/eog-full-screen.c: Queue the images to load and load one
	by one. Simplified the code.

	* libeog/eog-image.[ch] (eog_image_new_uri),
	(eog_image_new): Removed load mode parameter.
	(eog_image_load): Removed return parameter. Instead, emit load
	finished signal if the image is already loaded.
	(eog_image_free_mem): Set load status to none.

	* libeog/eog-info-view.c (eog_info_view_set_image):
	* viewer/eog-image-view.c (load_uri_cb):
	* collection/eog-collection-model.c (directory_visit_cb):
	(real_file_loading): Removed load mode paramter for eog_image_new.

	* libeog/eog-scroll-view.c (eog_scroll_view_set_image): Removed
	the special case when an image is already loaded. Submit
	LOAD_DEFAULT to eog_image_load.

2003-04-27  Jens Finke  <jens@triq.net>

	* libeog/eog-full-screen.c (eog_full_screen_destroy): Remove
	cursor hide timeout handler.

2003-04-21  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.c (eog_collection_item_new):
	Don't call canvas item construct function, use the 'parent'
	property instead.

2003-04-17  Jens Finke  <jens@triq.net>

	* Makefile.am: Fixed schemas installation based on a patch by
	 Bobby Kashani <bobk@ocf.berkeley.edu>.

2003-04-12  Jens Finke  <jens@triq.net>

	* shell/eog-window.c (open_uri_list_cleanup),
	(eog_window_drag_data_received),
	(adapt_window_size),
	(eog_window_open_list): Removed debug messages.
	(eog_window_construct): Limit list of recent files to 5.

	* shell/main.c (open_window),
	(open_uri_list_cb): Removed debug messages.

2003-04-12  Jens Finke  <jens@triq.net>

	Support for list of recent files.

	* configure.in (AC_OUTPUT): Added shell/recent-files/Makefile

	* shell/Makefile.am: Build and link against recent files helper
	library.

	* shell/eog-shell-ui.xml: Placeholder for list of recent files.

	* shell/eog-window.c (open_recent_cb): New function.
	(eog_window_destroy): Free recent model/view.
	(eog_window_construct): Setup recent file objects.
	(eog_window_open_list): Add file to the list of recently opened
	files.

2003-04-08  Jens Finke  <jens@triq.net>

	* collection/GNOME_EOG_Collection.server.in.in: Added
	BonoboZoomable interface.

	* collection/eog-collection-view.c (verb_ZoomIn_cb),
	(verb_ZoomOut_cb), (verb_ZoomToDefault_cb), (verb_ZoomToFit_cb),
	(zoomable_set_frame_cb),
	(zoomable_set_zoom_level_cb),
	(zoomable_zoom_in_cb),
	(zoomable_zoom_out_cb),
	(zoomable_zoom_to_fit_cb),
	(zoomable_zoom_to_default_cb),
	(view_zoom_changed_cb): New functions.
	(create_user_interface): Connect to zoom_changed signal of scroll
	view.
	(eog_collection_view_construct): Add BonoboZoomable interface.
	(eog_collection_view_create_ui): Merge zoom verbs to user
	interface if neccessary.

2003-04-07  Mike Lei <mike.lei@sun.com>

	* configure.in: Added Makefile support for docs in
	  help/{de,es,fr,it,sv,ja,ko,zh_CN,zh_TW}

	* add docs for above lanuages

2003-04-06  Jens Finke  <jens@triq.net>

	* viewer/eog-full-screen.c (check_cursor_hide),
	(eog_full_screen_motion): Use simple counter to determine when the
	pointer should be hidden.

2003-04-06  Jens Finke  <jens@triq.net>

	* viewer/eog-image-view-ui.xml: Added mnemonics for all menu
	items (#107831).

2003-04-06  Jens Finke  <jens@triq.net>

	* libeog/cursors.c: Added invisible cursor data.
	(cursor_get): Made it a non public function.
	(cursor_set): New function, which directly set the desired cursor
	for the widget.

	* libeog/cursors.h: New cursor types: CURSOR_INVISBLE and
	CURSOR_DEFAULT.

	* libeog/eog-full-screen.c: Implemented automatic cursor
	hiding. Fixes #92184.
	(check_cursor_hide),
	(eog_full_screen_motion): New functions.
	(eog_full_screen_show): Init cursor hiding stuff.
	(eog_full_screen_class_init): Register mouse motion event
	callback.

	* libeog/eog-scroll-view.c (check_scrollbar_visibility): Set
	cursor type according to the state of the scrollbars.
	(is_image_movable): New function.
	(eog_scroll_view_button_press_event): Use cursor_set, set it only
	if the image is movable.
	(eog_scroll_view_button_release_event): Use cursor_set.

2003-04-02  Federico Mena Quintero  <federico@ximian.com>

	* libeog/eog-image.c (real_image_load): Use a macro rather than a
	hardcoded value for the buffer size.  Also, increased it to 64 KB
	so that we don't do so many system calls.

	* libeog/eog-scroll-view.c (eog_scroll_view_get_image_size):
	"*width = *height = 0", not "width = height = 0".
	(NUM_IMAGE_CALLBACKS): Use a macro rather than a hardcoded value
	for the number of signals we connect to.
	(ZoomMode): Use an enum rather than ints.
	(ProgressiveState): Likewise.
	(update_scrollbar_values): Use gtk_adjustment_changed() rather
	than emitting signals for the adjustments directly.
	(set_zoom): Use NULL, not 0, when calling
	check_scrollbar_visibility().
	(display_key_press_event): Likewise.
	(display_map_event): Likewise.
	(image_loading_update_cb): Likewise.
	(image_loading_finished_cb): Likewise.
	(image_changed_cb): Likewise.
	(eog_scroll_view_zoom_fit): Likewise.
	(eog_scroll_view_set_image): Likewise.
	(check_scrollbar_visibility): We don't use the return value
	anywhere, so make it return void.
	(is_unity_zoom): Take in an EogScrollView, not a private
	structure.
	(pack_pixbuf): Removed.
	(paint_rectangle): Compute the background color correctly for the
	TRASNP_BACKGROUND case.
	(scroll_to): Use gtk_adjustment_value_changed() rather than
	emitting signals for the adjustments directly.
	(compute_center_zoom_offsets): Do not allow negative offsets so
	the image doesn't creep to the right when we zoom down at the
	upper left corner.
	(set_zoom_fit): Set the new offsets before emitting the signal.
	(display_map_cb): Removed.
	(eog_scroll_view_new): Do not make the whole table non-double-buffered.

	* libeog/eog-scroll-view.h (TransparencyStyle): Rename
	TRANSP_CHECKEDPATTERN to TRANSP_CHECKED.

2003-03-31  Alexander Larsson  <alexl@redhat.com>

	* collection/GNOME_EOG_Collection.server.in.in:
	Add nautilus:required_directory_content_mime_types keyword.

2003-03-30  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.c (set_pixbuf): Removed
	free_pixbuf flag; calculate image position more simple.
	(eog_collection_item_construct): Add invisble frame around an
	pixbuf to ensure same size for all items.

2003-03-30  Jens Finke  <jens@triq.net>

	* eog.glade: Enable 'As background' radio button.

	* eog.schemas.in: Updated transparency indicator description.

	* libeog/eog-full-screen.c (eog_full_screen_new): Set black
	background style for scroll view widget.

	* libeog/eog-image.c (real_image_load): Use GError with
	GdkPixbufLoader.

	* libeog/eog-scroll-view.c (paint_background): Use
	gdk_window_clear_area.
	(paint_rectangle): Calculate background color correctly for
	transparent parts.
	(eog_scroll_view_style_set): New function.
	(style_set_event): Removed.

	* shell/eog-preferences.c (eog_preferences_show): Connect
	background_radio button.

2003-03-25  Jens Finke  <jens@triq.net>

	* libeog/eog-image.c (real_image_load): Close the
	gdk_pixbuf_loader before we access the pixbuf. Fixes #109139.

2003-03-24  Jens Finke  <jens@triq.net>

	* NEWS: Updated.

	Released version 2.3.0.

2003-03-23  Jens Finke  <jens@triq.net>

	* collection/main.c (main): Check if the factory is already registered,
 	before registering a new one.

	* shell/eog-window.c (eog_window_open_list): Save first loaded
	uri, for session recovery (this works in most common cases, but
	needs some fixing in case we load multiple uris in one window,
	eg. collection view).

2003-03-20  Shivram U  <shivaram.upadhyayula@wipro.com>

	* viewer/main.c (main): Check if the factory is already registered,
 	before registering a new one.

2003-03-21  Jens Finke  <jens@triq.net>

	* libeog/Makefile.am (EXTRA_DIST): Added libeog-marshal.list.

	* Makefile.am (EXTRA_DIST): Removed eog-glade.h.

2003-03-20  Jens Finke  <jens@triq.net>

	* eog.glade: Set untranslated title for color picker dialog.

	* eog.gladep: Don't output translatable strings in extra file.

	* po/POTIFLES.in: Added eog-info-view.c, removed
	eog-collection-control.c, eog-collection-preferences.c,
	eog-image-helper.c

	* po/POTFILES.skip: Removed most of the files in the collection
	dir, added GNOME_EOG_Collection.server.in, viewer/eog-image-io.c

2003-03-20  Jens Finke  <jens@triq.net>

	* eog.glade: Higified the preferences dialog and added a
	preliminary page for the slideshow component.

	* eog-glade.h: Removed from cvs (we list the glade file in
	POTFILES.in directly).

	* eog-preferences.c (key_press_cb): Removed. Ignore ESC key,
	fixes #105720.
	(eog_preferences_show): Open HIGified glade dialog.

2003-03-18  Federico Mena Quintero  <federico@ximian.com>

	* configure.in: Require eel 2.2.0 or higher.

	* shell/main.c (make_canonical_uri): Use
	eel_make_uri_from_shell_arg().

2003-03-16  Jens Finke  <jens@triq.net>

	* configure.in: Removed librsvg compile dependency. If you want
	svg support you need librsvg anyway, but gdk-pixbuf queries for
	available loader modules on runtime.

2003-03-16  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view-ui.xml: Added toolbar buttons for
	selecting next/previous image.

	* collection/eog-collection-view.c (verb_ImagePrev_cb),
	(verb_ImageNext_cb): New functions.

	* collection/eog-wrap-list.c (model_prepared): Set last_item_clicked.

	* collection/eog-wrap-list.h (eog_wrap_list_select_left),
	(eog_wrap_list_select_right): Made them public.

	* shell/eog-shell-ui-xml: Added placholder for toolbar items.

2003-03-14  Jens Finke  <jens@triq.net>

	* README: Updated.

2003-03-14  Jens Finke  <jens@triq.net>

	* libeog/eog-image.c (real_image_load): Guard the exif assertion
	with HAVE_EXIF.

2003-03-13  Jens Finke  <jens@triq.net>

	* libeog/eog-image.c (real_image_load): Assert that exif attribute
	is NULL on load.
	(eog_image_free_mem): Free exif info too.

2003-03-13  Jens Finke  <jens@triq.net>

	Added optional libexif support to read information stored in the
	images by digital cameras.

	* acconfig.h, configure.in: Added check for optional libexif
	library.

	* libeog/eog-info-view.[ch]: New widget, displays image
	information.

	* libeog/Makefile.am (SOURCES): Added eog-info-view.[ch]

	* libeog/eog-image.[ch] (eog_image_dipose): Free exif data.
	(eog_image_class_init): New signal loading_info_finished.
	(eog_image_instance_init): Init exif attribute.
	(check_load_status): Fire loading_info_finished signal, if flag is
	set.
	(exif_loader_write): New function, tries to read exif data from a
	stream of data chunks.
	(real_image_load): Take care for all the exif stuff and call
	exif_loader_write for every consumed data chunk.
	(eog_image_load): Make sure we only return TRUE if the image is
	really completely loaded.
	(eog_image_cancel_load): Don't join dead threads.
	(eog_image_get_exif_information): New public function. Returns
	exif data or NULL.

	* collection/eog-collection-view.c (handle_selection_changed):
	Feed info view with selected image.
	(create_user_interface): Add eog-info-view widget to the ui.

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-03-11  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view.c (verb_SlideShow_cb): Unref
	start image.
	(eog_collection_view_dispose): Unref displayed image.
	(eog_collection_view_instance_init): Init new variable.
	(handle_selection_changed): Free ressources of the previously
	viewed image and store reference the the new one.

2003-03-11  Jens Finke  <jens@triq.net>

	* libeog/eog-image.[ch]: Switched to a thread based loading
	mechanism.
	(eog_image_dispose): Free mutex.
	(check_load_status): New function.
	(load_area_updated),
	(load_size_prepared),
	(real_image_load),
	(eog_image_load): Reworked, so that they use the thread based
	approach.
	(eog_image_get_pixbuf): Add mutex around pixbuf accessing.
	(eog_image_cancel_load): New function.

	* libeog/eog-scroll-view.c (free_image_resources): Cancel loading
	of the previous shown image.

	* shell/eog-window.c (property_changed_cb): Be quite.

2003-03-11  Jens Finke  <jens@triq.net>

	* libeog/eog-image.[ch] (eog_image_dispose): Free caption and
	caption_key.
	(eog_image_get_caption): Save caption string for further
	use. Assure that it's a proper UTF-8 string.
	(eog_image_get_collate_key): New function, returns a key for fast
	compare of UTF strings.

	* collection/eog-collection-item.c
	(eog_collection_item_construct): Don't free caption string.

	* collection/eog-collection-model.c (compare_filename_cb): New
	function.
	(real_dir_loading): Sort image list.
	(real_file_loading): Insert image into sorted list.

2003-03-10  Jens Finke  <jens@triq.net>

	* collection/eog-wrap-list.c (ensure_item_is_visible): Removed
	debug output.

	* collection/eog-collection-view.c (create_user_interface): Add
	frame around the image and wrap list areas.

2003-03-08  Jens Finke  <jens@triq.net>

	* collection/eog-wrap-list.c (get_item_view_position): Consider
	padding on the left/upper edge.
	(handle_item_event): Make sure selected item is completely
	visible.
	(ensure_item_is_visible),
	(eog_wrap_list_select_up),
	(eog_wrap_list_select_down),
	(eog_wrap_list_select_left),
	(eog_wrap_list_select_right): New functions.
	(eog_wrap_list_key_press_cb): Handle cursor keys.
	(calculate_item_position),
	(do_item_rearrangement): Add padding on the left/upper side.

2003-03-07  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.c (thumbnail_finished_cb),
	(set_pixbuf): Removed debug messages.

	* collection/eog-collection-view.c (update_properties): Removed
	debug message.

	* collection/eog-wrap-list.c
	(model_image_added),
	(model_prepared): Set global hint for request_update properly.

2003-03-07  Jens Finke  <jens@triq.net>

	* libeog/eog-wrap-list.c: Reverted previous patch (was quite a bad
	idea).

	* collection/eog-collection-view.c (verb_SlideShow_cb): Free list
	if it comes from the wrap list.

2003-03-07  Jens Finke  <jens@triq.net>

	* libeog/eog-full-screen.[ch]: Improved the in advance loading of
	images. Also frees image data, which is probably not shown
	next.

	* libeog/eog-scroll-view.c (eog_scroll_view_dispose): Free uta and
	remove possibly active idle handler.

	* collection/eog-wrap-list.c (eog_wrap_list_get_selected_images):
	Just return pointer to internal list.

	* collection/eog-collection-view.c (verb_SlideShow_cb): Consider
	selections when assembling the list of images for the slide show.

	* viewer/eog-image-view.c (verb_FullScreen_cb): Free list.

2003-03-07  Jens Finke  <jens@triq.net>

	* libeog/eog-image.c (load_image_real): Unref GdkPixbufLoader.

2003-03-06  Jens Finke  <jens@triq.net>

	* libeog/eog-full-screen.[ch]: Extended, so that it can cope with
	a list of images (slideshow).

	* collection/eog-collection-view.c (verb_SlideShow_cb): Adapted to
	reworked EogFullScreen.
	(create_user_interface): Give wraplist focus by default.

	* collection/eog-wrap-list.c (eog_wrap_list_key_press_cb): New
	function.
	(eog_wrap_list_class_init): Overwrite default key press handler.
	(eog_wrap_list_new): Register widget events.
	(handle_canvas_click),
	(handle_item_event): Grab focus, if widget hasn't.

	* viewer/eog-image-view.c (verb_FullScreen_cb): Adapted to
	EogFullScreen.

2003-03-06  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.c (thumnail_finished_cb),
	(ensure_max_string_width): Removed unused variables.

	* collection/eog-collection-model.[ch]
	(eog_collection_model_get_image_list): New function.

	* collection/eog-collection-view.c: Fixed some minor compile
	warnings.
	(create_user_interface): Set default size for wrap list and image
	view widgets.

	* collection/eog-wrap-list.c (handle_canvas_click): Ensure that
	at least always one item is selected.
	(eog_wrap_list_size_request): Removed.
	(model_prepared): Select first item by default.

	* collection/main.c: Include stdlib.h.

	* libeog/eog-image.c: No debug output of image references.

2003-03-03  Jens Finke  <jens@triq.net>

	* shell/eog-window.c (eog_window_has_contents): Check for
	ctrl_frame != NULL.
	(eog_window_construct): Don't create BonoboControlFrame here ...
	(eog_window_open_list): ... but here. So we get a fresh control
 	frame for each new BonoboControl.

2003-03-03  Jens Finke  <jens@triq.net>

	* eog.desktop.in: Changed name to 'Image Viewer' (#12705).

2003-03-03  Jens Finke  <jens@triq.net>

	* libeog/eog-scroll-view.c (free_image_resources): New function
	which cleans up all resources related to the viewed image.
	(eog_scroll_view_set_image): Call free_image_resources if there
	has been an image loaded already.
	(eog_scroll_view_dispose): Call free_image_resources.

2003-03-03  Jens Finke  <jens@triq.net>

	* libeog/eog-image.c (dispatch_image_finished): Unref image.
	(add_image_to_queue): Ref image before putting it into the queue.
	(eog_image_new_uri),
	(eog_image_finalize): Added ref counting for all produced image
	objects.
	(real_image_load): Unref the processed image object.
	(eog_image_load): Ref the image object before submitting it to the
	real_image_load idle callback.

	* libeog/eog-scroll-view.c (eog_scroll_view_dispose): Oops,
	implemented this function. We finally free something.

	* shell/eog-window.c (open_uri_list_cleanup): New function.
	(eog_window_class_init): Register open_uri_list_cleanup as cleanup
	handler for the open-uri-list signal.

	* shell/main.c (open_uri_list_cb): Don't free the uri_list. Will
	be done by the cleanup handler in eog-window.c.

	* viewer/eog-image-view.c (load_uri_cb): Don't ref new created
	image object.

2003-03-03  Jens Finke  <jens@triq.net>

	* viewer/eog-image-view-ctrl-ui.xml: Fixed keybindings for zoom
	commands.

2003-03-02  Jens Finke  <jens@triq.net>

	* libeog/eog-image.c: Don't include eog-image-helper.h.

2003-03-02  Jens Finke  <jens@triq.net>

	* shell/eog-window.c (verb_FileOpen_cb): Allow multiple selections
	in the file open dialog.

2003-03-02  Jens Finke  <jens@triq.net>

	* viewer/eog-image-view.c (eog_image_view_get_prop): Calculate
	desired image size correctly if the image is larger than the
	screen.

2003-03-02  Jens Finke  <jens@triq.net>

	* libeog/eog-image-helper.[ch]: Removed.

2003-03-02  Jens Finke  <jens@triq.net>

	Re-enabled image saving.

	* libeog/eog-file-selection.c (get_save_formats): Moved to
	eog-pixbuf-util.
	(eog_append_menu_entry),
	(check_extension),
	(is_filename_valid),
	(changed_cb): Free values from gdk_pixbuf_format calls.

	* libeog/eog-image.c: Changed "changed" signal name to
	"image_changed".
	(eog_image_save): Rely completely on GdkPixbuf for image saving
	and use GdkPixbufFormat information to determine the filetype.
	This removes xpm saving support from eog, but the right way should
	be to put this into gdk-pixbuf anyway.

	* libeog/eog-pixbuf-util.c (eog_pixbuf_get_savable_formats): New
	function, previously in eog-file-selection.c.

	* libeog/eog-scroll-view.c (eog_scroll_view_set_image):
	s/changed/image_changed.

	* viewer/eog-iamge-view.c (verb_SaveAs_cb): Reenabled.
	(item_factory_translate_cb): Use gettext again.
	(save_uri_cb): Use HIG dialogs.

2003-03-01  Jens Finke  <jens@triq.net>

	Fixed compiler warnings in libeog.

	* libeog/accessible-image-view-factory.h: Declare get type
	function for accessible image view _factory_.

	* libeog/accessible-image-view.c
	(accessible_image_view_get_image_size):
	s/scroll_view/eog_scroll_view.

	* libeog/eog-full-screen.c (eog_full_screen_show),
	(eog_full_screen_new): Removed unused variables.

	* libeog/eog-image.c (eog_image_save): Use g_return_val_if_fail.
	(eog_image_get_caption): Return NULL if uri is NULL.

	* libeog/eog-image.h: Declare eog_image_error_quark function.

	* libeog/eog-pixbuf-util.c (eog_pixbuf_flip_horizontal),
	(eog_pixbuf_flip_vertical): Removed unused variables.
	(eog_pixbuf_rotate_90_cw),
	(eog_pixbuf_rotate_90_ccw): Return NULL if pixbuf is NULL.

	* libeog/eog-scroll-view.c (update_scrollbar_values): Removed
	unused variables.
	(paint_rectangle): Added default case on bgr style to initialize
	check_1 and check_2 variables.
	(set_zoom): Made static, removed unused variable.
	(set_zoom_fit), (eog_scroll_view_set_transparency),
	(eog_scroll_view_new): Removed unused variables.

2003-03-01  Jens Finke  <jens@triq.net>

	* libeog/eog-file-selection.c: Use GdkPixbufFormat api for
	querying the supported file formats. Remember last visited
	directory during a session (#90767). Don't force selected file
	type extensions on loading (#102117, #102116). Always allow
	directory loading.

	* libeog/eog-hig-dialog.c (eog_hig_dialog_new): Assert stock_id !=
	NULL and header != NULL. Handle case where body is NULL.

2003-02-28  Jens Finke  <jens@triq.net>

	* shell/main.c: Reworked the way file paths are converted to
	URIs. This should fix bugs #95561, #104961 and #105192. We have a
	single function now which is in charge of this, wether you use the
	commandline, the open dialog or dnd. HIGified the error
	dialogs. Removed fallbacks if no collection-view is build.

	* shell/eog-window.[ch]: Reworked the file loading. There is now
	exactly one function in charge of file loading. This simplifies
	the code a lot. Added signals for creating a new window and
	opening a file, since these actions are handled now by main.c.

	* shell/session.c (load_uri_with_role): Adapted to new
	eog_window_open function.

2003-02-26  Jens Finke  <jens@triq.net>

	* libeog/eog-hig-dialog.[ch]: New files. A HIG compatible message
	dialog.

	* libeog/Makefile.am (SOURCES): Added eog-hig-dialog.[ch] files.

2003-02-24  Jens Finke  <jens@triq.net>

	* viewer/eog-image-view.c: Fixed compiler warnings.

2003-02-24  Jens Finke  <jens@triq.net>

	* viewer/eog-image-view.c (eog_image_view_get_prop): Return image
	caption if title property is requested.

2003-02-22  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-22  Jens Finke  <jens@triq.net>

	* collection/eog-collection-model.[ch]:
	(eog_collection_model_class_init): Fixed image_added signal
	registration.
	(eog_collection_model_set_uri): Renamed to
	eog_collection_model_add_uri.
	(eog_collection_model_set_uri_list): Removed.

	* collection/eog-collection-view.c (load_uri_cb): Call
	eog_collection_model_add_uri.

	* collection/eog-wrap-list.c:
	(compare_item_caption),
	(get_item_by_unique_id): Removed.
	(eog_wrap_list_get_n_selected),
	(request_update),
	(do_update),
	(add_image),
	(handle_item_event): Fixed compiler warnings:
	(model_image_added): Connect image event signal, update n_items
	attribute, initiate loading.

2003-02-21  Jens Finke  <jens@triq.net>

	* collection/eog-collection-item.[ch]: Oops, forgot to cvs add
	these files.

2003-02-21  Jens Finke  <jens@triq.net>

	* configure.in: Removed deprecated tests for libjpeg, libpng,
	libpreview, evolution, gnocam and more compiler warnings. Always
	build collection view.  Updated library requirements and added
	gdk-pixbuf to dependency list. Use gconf macro (bug #106130, patch
	by Julio Merino <jmmv@hispabsd.org>).

	* Makefile.am: Build collection always.

	* viewer/Makefile.am,
	* collection/Makefile.am (INCLUDES):
	s/EXTRA_WARNING_CFLAGS/WARN_CFLAGS.
	(LDADD) Removed graphic libs.

	* libeog/Makefile.am,
	* shell/Makefile.am (INCLUDES): Always have collection,
	s/EXTRA_WARNING_CFLAGS/WARN_CFLAGS.


	* shell/eog-preferences.c (eog_preferences_show):
	s/g_strncascecmp/g_strcasecmp.

2003-02-21  Jens Finke  <jens@triq.net>

	Collection makes use of the new EogImage class.

	* collection/eog-collection-item.[ch]: New files. A class for
	clickable canvas items.

	* collection/eog-wrap-list.[ch]: Make use of EogCollectionItem and
	EogImage objects.

	* collection/eog-collection-view.[ch]: Merged the BonoboControl
	interface into it. Splitted the view, so that selected images in
	the collection are also displayed in a separate ScrollView.

	* collection/eog-slide-show.h: Include eog-scroll-view.h instead
	of deprecated headers.

	* collection/main.c (eog_collection_factory): Create an
	EogCollectionView object.

	* collection/Makefile.am: Removed libpreview stuff, evolution stuff (not
	supported until evo2) and deprecated files from SOURCES.

	* collection/cimage.c,
	* collection/cimage.h,
	* collection/eog-collection-control.c,
	* collection/eog-collection-control.h,
	* collection/eog-image-loader.c,
	* collection/eog-image-loader.h,
	* collection/eog-image-loader-preview.c,
	* collection/eog-image-loader-preview.h,
	* collection/eog-image-loader-simple.c,
	* collection/eog-image-loader-simple.h,
	* collection/eog-item-factory.c,
	* collection/eog-item-factory-clean.c,
	* collection/eog-item-factory-clean.h,
	* collection/eog-item-factory.h,
	* collection/eog-item-factory-simple.c,
	* collection/eog-item-factory-simple.h: Removed these files. The
	functionality of all these classes is now mainly in EogImage and
	EogCollectionItem.

2003-02-21  Jens Finke  <jens@triq.net>

	* libeog/eog-image.[ch]: Added thumbnail generation stuff.
	(eog_image_load_thumbnail),
	(eog_image_get_pixbuf_thumbnail),
	(eog_image_free_mem),
	(eog_image_get_caption): New functions.

	* libeog/scroll-view.c (eog_scroll_view_set_image): Reduced
	flicker on image switching.

	* libeog/.cvsignore: Added libeog-marshal.[ch].

2003-02-14  Jens Finke  <jens@triq.net>

	New eog architecture. Moved more stuff into libeog and basically merged
	image-view.[ch] and ui-image.[ch]. The result is eog-scroll-view.[ch].

	* libeog/ui-image.[ch],
	* libeog/image-view.[ch]: Removed.

	* libeog/eog-scroll-view.[ch]: New, basic widget for displaying an
	EogImage.

	* libeog/eog-image-helper.[ch],
	* libeog/eog-image.[ch]: Image model, provides all operations on
	an image.

	* libeog/eog-full-screen.[ch]: Moved from viewer. Uses a
	EogScrollView widget for displaying the image.

	* libeog/libeog-marshal.list: New, list of callback marshallers.

	* libeog/Makefile.am: SOURES file list updated, added
	libeog-marshal.[ch] generation.

	* libeog/accessible-image-view.[ch]: Use EogScrollView instead of
	ImageView. Fixed indention.

	* libeog/eog-pixbuf-util.c (eog_pixbuf_flip_vertical): Free
	pixbuf.

	* libeog/eog-pixbuf-util.h: Added include guards.

	* libeog/zoom.[ch] (zoom_image_has_standard_size): Removed.

	* viewer/Makefile.am (SOURCES): Removed everything except main.c
	and eog-image-view.[ch]

	* viewer/eog-image-view.[ch]: Rewritten. This bonobo object serves
	as a simple wrapper for an EogScrollView and EogImage and provides
	onyl gui and glue code. It implements the PersistFile, Control and
	Zoomable interfaces.

	* viewer/main.c (eog_image_viewer_factory): Removed EogImage
	bonobo stuff.

	* shell/eog-window.c (sb_policy_changed): Removed.
	(eog_window_init): Don't register for policy changes.
	(adapt_window_size): New function.
	(property_changed_cb): New window/width, window/height properties.
	(adapt_window_size_to_control): Simplified, call
	adapt_window_size.

	* configure.in: Bumped version to 2.3.0.

=========== branched for Gnome 2.4 development ========================

2003-02-10  Mohammad DAMT  <mdamt@bisnisweb.com>

	* configure.in: Added "id" to ALL_LINGUAS

2003-02-09  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "kn" to ALL_LINGUAS.

2003-02-08  Kang Jeong-Hee <Keizi@mail.co.kr>

        * Makefile.am: Added ACLOCAL_AMFLAGS. bug #102296

2003-01-28  Glynn Foster <glynn.foster@sun.com>

	* configure.in: Bumped to version 2.2.0
	* NEWS: Update

2003-01-28  Glynn Foster <glynn.foster@sun.com>

	* Makefile.am: Use $(builddir) instead of $(srcdir) when installing
	the gconf schemas.

2003-01-27  Irene Ryan <irene.ryan@sun.com>

	* help/C/eog.xml: updates to the manual for 2.2 and to address bug #103953.
	* help/C/eog-C.omf: updating manual release info.

2003-01-21  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2002-05-21  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in: Added Amharic (am) and Macedonian (mk) to ALL_LINGUAS.

2003-01-07  Alex Duggan <aldug@gnome.org>

	* eog.desktop.in: add startup-notification support to
	.desktop file.  Fixes # 101086

2003-01-06  Jens Finke <jens@triq.net>

	* configure.in: Bumped to version 1.1.4

	* NEWS: Updated

	Released version 1.1.4

2002-12-09  Jens Finke <jens@triq.net>

        * configure.in: Bumped to version 1.1.3.

        * NEWS: Updated.

2002-12-03  Christian Neumair  <chris@gnome-de.org>

	* shell/eog-shell-ui.xml: Add priority flags to toolbar widgets,
	thanks to Glynn Foster <glynn.foster@sun.com> (fixes #96481).

2002-11-25  Jens Finke  <jens@triq.net>

	* Release version 1.1.2.

2002-11-22  Kjartan Maraas  <kmaraas@gnome.org>

	* eog.schemas.in: Fix a small typo.

2002-11-15  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS.

2002-11-03 Jens Finke  <jens@triq.net>

	* NEWS: Updated.

	* Released version 1.1.1.

2002-11-03  Jens Finke  <jens@triq.net>

	Removed gnome-print dependency, this isn't supported
	in the Gnome2 version yet.

	* configure.in: Removed libgnomeprint dependency. Updated required
	library versions. Bumped version to 1.1.1.

	* viewer/eog-image-view.c,
	* viewer/eog-util.c: Protected print related code with #if
	GNOME2_PRINTING_WORKS.

	* viewer/Makefile.am: Removed eog-print-setup.[ch] files from
	SOURCES.

2002-10-15  Irene Ryan <irene.ryan@sun.com>

	* help/C/eog.xml: fix bug #91027
	* help/C/eog-C.omf: update manual date and version number
	* help/C/l10n.txt: new file containing instructions for
	  the L10N team about how to take screenshots for the manual

2002-10-15  Kjartan Maraas  <kmaraas@gnome.org>

	* viewer/eog-image-view-ui.xml: Fix a typo.
	* eog.glade: Fix another typo.

2002-10-14  Jens Finke  <jens@triq.net>

	* shell/main.c (make_canonical_uri): Reworked function, calls now
	gnome_vfs_unescape_string.

2002-10-13  Jens Finke  <jens@triq.net>

	* README, TODO: Updated.

	* Released version 1.1.0.

2002-10-13  Jens Finke  <jens@triq.net>

	* NEWS: Updated.

2002-10-13  Jens Finke  <jens@triq.net>

	* shell/eog-preferences.c (key_press_cb): Close dialog on ESC key.

2002-10-13  Jens Finke  <jens@triq.net>

	* Makefile.am: Added intltool rule for eog.schemas.in file.

	* eog.schemas: Renamed to eog.schemas.in.

	* eog-glade.h: String updates from the preference dialog.

2002-10-10  Jens Finke  <jens@triq.net>

	* collection/eog-collection-view.xml: Adapted to changes in view menu.

	* eog.glade: Added mnemonics to preference dialog.

	* libeog/.cvsignore: Added GNOME_EOG.server.in

2002-10-10  Jens Finke  <jens@triq.net>

	New preference dialog.

	* configure.in: Check for libglade.

	* Makefile.am: Added glade related stuff.

	* eog.schemas: Changed keys for image view, so that they better
	reflect the preference dialog settings.

	* eog.glade,
	* eog.gladep,
	* eog-glade.h: New glade related files.

	* libeog/image-view.[ch] (paint_rectangle): Consider use_check_pattern variable.
	(image_view_set_check_type),
	(image_view_set_check_size): Set use_check_pattern variable.
	(image_view_set_transparent_color): New function.

	* shell/Makefile.am: Added eog-preferences.[ch] files.

	* shell/eog-preferences.[ch]: New files.

	* shell/eog-shell-ui.xml: Added Edit/Preferences menu item.

	* shell/eog-window.c (verb_EditPreferences_cb): New function.

	* viewer/eog-image-view-ui.xml: Removed preference settings from
	the menu.

	* viewer/eog-image-view.c: Removed all stuff related to the
	setting/changing of preferences through the menu.
	(dither_changed_cb),
	(check_size_changed_cb),
	(check_type_changed_cb): Removed.
	(interp_type_changed_cb): Reworked.
	(trans_color_changed_cb),
	(transparency_changed_cb): New function.
	(eog_iamge_view_construct): Adapted to new gconf schema.
	Removed ui related properties from property bag.

	* viewer/eog-image-view.h: Adapted gconf keys.

2002-10-10  Kjartan Maraas  <kmaraas@gnome.org>

	* shell/eog-window.c (eog_window_init): Plug a leak.
	#95358.

2002-09-30  Jens Finke  <jens@triq.net>

	* NEWS: Updated.

2002-09-30  Jens Finke  <jens@triq.net>

	Better HIG compliance.

	* shell/eog-shell-ui.xml: s/New Window/_New/,
	s/Contents/_Contents/, removed delimiter between new and open file
	entry.

	* viewer/eog-image-view-ctrl-ui.xml: Fixed zoom labels and
	shortcuts.

	* viewer/eog-image-view-ui.xml: Fixed print and save labels and
	shortcuts. Define label of view and edit menu here.

	* viewer/eog-image-view.c: Fixed zoom labels and shortcuts in
	popup menu.

2002-09-23  Jens Finke  <jens@triq.net>

	* libeog/Makefile.am (SOURCES): Addee eog-pixbuf-util.[ch].

	* libeog/eog-pixbuf-util.[ch]: New files.

	* shell/eog-shell-ui.xml: Added placeholder for Edit and View
	menu.

	* shell/eog-window.c (add_control_to_ui): Don't make View menu
	visible here. This will be done automatically by bonobo now.

	* viewer/eog-image-view-ui.xml: Added Edit menu with rotate and
	flip functions.

	* viewer/eog-image-view.c (image_modified_cb),
	(verb_FlipHorizontal_cb),
	(verb_FlipVertical_cb),
	(verb_Rotate90ccw_cb),
	(verb_Rotate90cw_cb),
	(verb_Rotate180_cb): New functions.
	(eog_image_view_create_ui): Add ui callbacks for new functions.
	(eog_image_view_construct): Connect to modified signal of
	eog-image object.

	* viewer/eog-image.[ch] (eog_image_class_init): Added modified
	signal.
	(eog_image_rotate_clock_wise),
	(eog_image_rotate_counter_clock_wise),
	(eog_image_rotate_180),
	(eog_image_flip_horizontal),
	(eog_image_flip_vertical): New functions.

2002-09-23  Jens Finke  <jens@triq.net>

	* collection/eog-image-loader-preview.c
	(eog_image_loader_preview_dispose): Shutdown async cache.

2002-09-20  Arvind Samptur <arvind.samptur@wipro.com>
	* eog.desktop.in: added %U for Exec, will launch the application
	with file dropped on the icon.

2002-09-17  Jens Finke  <jens@triq.net>

	* collection/eog-image-loader-preview.c: No need for async cache
	object anymore.

2002-09-11  Federico Mena Quintero  <federico@ximian.com>

	* viewer/eog-control.c (plug_size_allocate): Count the number of
	size allocations since we were set up and if we hit a threshold,
	fit the image to the window.  This is a totally horrible hack to
	fix #88499.  Can someone with more brain power and patience
	*please* fix GTK+ and Bonobo and remove this hack.
	(zoom_changed_cb): New callback; report the changed zoom level to
	the zoomable.

2002-08-25  Alex Graveley  <alex@ximian.com>

	* libeog/GNOME_EOG.server.in.in: Add image/bmp as a supported
	mime-type, as it now exists in addition to image/x-bmp (don't ask
	me).

2002-08-21  Federico Mena Quintero  <federico@ximian.com>

	* viewer/eog-image-view.c (image_view_popup_menu_cb): New
	callback; we now support the standard Shift-F10 binding for popup
	menus.

	* libeog/image-view.c (image_view_key_press_event): Call the
	parent class handler so that bindings work.

2002-08-20  Jens Finke  <jens@triq.net>

	* shell/main.c: s/EOG_COLLECTION_WORKS/HAVE_COLLECTION

2002-08-20  Jens Finke  <jens@triq.net>

	Allow nautilus to use the collection as directory view.

	* collection/GNOME_EOG_Collection.server.in.in: Added PersistFile
	interface to list of repo_ids. Reformatted file.

	* collection/eog-collection-view.c
	(load_uri_cb): New function.
	(eog_collection_view_construct): Merge persist file interface to
	object.

2002-08-20  Federico Mena Quintero  <federico@ximian.com>

	Fixes the EOG part of #90133.  Thanks to JeyaSudha Duraipandy for
	figuring it out.

	* shell/session.c (session_save): Do save information for windows
	that do not have a URI set.
	(load_uri_with_role): Only call eog_window_open() if the URI is
	not empty.

2002-08-20  Jens Finke  <jens@triq.net>

	* collection/eog-slide-show.[ch]: New files. Implement simple
	slide show functionality.

	* collection/eog-collection-view-ui.xml: New file. Adds
	View->'Slide Show' menu item.

	* collection/Makefile.am: Added new files

	* collection/eog-collection-view.c
	(verb_SlideShow_cb): New function.
	(eog_collection_view_create_ui): Setup collection  user interface.

2002-08-19  Jens Finke  <jens@triq.net>

	* collection/eog-image-loader-preview.c: Manage a reference to a
	PreviewCacheAsync object. Removed USE_ASYNC flag.

	* collection/eog-item-factory-clean.c (update_item_image): Handle
	the case where the thumbnail is NULL properly.

2002-08-18  Jens Finke  <jens@triq.net>

	Fixes bug #85222.

	* shell/eog-window.c (eog_window_open): Use open_failure_dialog
	function to display error message.

2002-08-18  Jens Finke  <jens@triq.net>

	Fixes bug #89513.

	* viewer/eog-image-view-ui.xml: Added F11 as accel for fullscreen
	mode.

	* viewer/eog-full-screen.c (eog_full_screen_show): Fixed compiler
	warning.
	(eog_full_screen_key_press): Added F11 to the list of valid keys
	to quit the fullscreen view.

2002-08-17  Jens Finke <jens@triq.net>

	* NEWS: Updated.

2002-08-17  Jens Finke <jens@triq.net>

	Added optional usage of libpreview (CVS version), which
	implements thumbnail creation/storage after Thumbnail Management
	Standard.

	* configure.in: Added check for libpreview if collection view is
	enabled.

	* collection/Makefile.am (EXTRA_DIST): Added
	eog-collection-marshal.list.

	* collection/eog-image-loader-simple.[ch]: New files.

	* collection/eog-image-loader-preview.[ch]: New files. Image
	loader, which utilizes libpreview library.

	* collection/Makefile.am: Added libpreview conditional stuff and
	the new files.

	* collection/eog-collection-model.c: Removed image loading stuff.

	* collection/eog-collection-view.c
	(eog_collection_view_construct): Create either simple or
	libpreview image loader.

	* collection/eog-image-loader.[ch]: Reworked this as abstract
	interface. Moved previous implementation to
	eog-image-loader-simple.[ch].

	* collection/eog-item-factory-clean.[ch]: Added FACTORY DEBUG flag.
	(eog_item_factory_clean_instance_init): Set default thumbnail size
	to 96x96.
	(eog_item_factory_clean_dispose): Free image loader.
	(update_item_image): Added debug messages. Start thumbnail
	creation.
	(image_loading_finished),
	(image_loading_failed_cb): New functions.
	(eog_item_factory_clean_construct): Aded loader argument, setup
	loader object.
	(eog_item_factory_clean_new): Added loader argument.

	* collection/eog-item-factory.c: Removed marshal_* function
	declarations.

	* collection/eog-item-factory.h: Removed eog_item_factory_new
	declaration.

	* collection/eog-wrap-list.c: Fixed debug message guards.
	(do_item_selection_changed_update): Check for item != NULL.

2002-08-11  Ross Burton  <ross@burtonini.com>

	* eog.desktop.in: Add encoding keyword, and fix up Terminal and
	Categories keywords.

2002-08-13  Jens Finke  <jens@triq.net>

	* libeog/Makefile.am: Set HAVE_COLLECTION flag, if collection is
	enabled.

	* libeog/eog-file-selector.c (is_filename_valid): Check if
	filename is a directory.
	(eog_file_selection_new): Allow directories on load if we have the
	collection component.

2002-08-13  Jens Finke  <jens@triq.net>

	Misc code cleanups. Selection changes don't force the whole item
	to be updated.

	* collection/cimage.[ch] (get_unique_id): Removed.
	(cimage_instance_init): Set id = 0.
	(cimage_new_uri): Use quark from text uri as id. Set caption.
	(cimage_set_caption): Make utf8 validation check.

	* collection/eog-collection-model.c: Use consistent name scheme
	for the signals. Signals submit only the id of a _single_ modified
	image.  This required some straight forward changes in the code.
	(add_image_to_selection_list): New function.
	(select_all_images),
	(unselect_all_images): New functions, which support
	mass-selecting/-unselecting images.

	* collection/eog-collection-model.h: Use G_TYPE checks in
	macros. Changed signal declarations. s/guint unique_id/GQuark id.

	* collection/eog-collection-view.c: (delete_item),
	(model_selection_changed): Adaptions to model signal changes.

	* collection/eog-item-factory-clean.c (update_item_caption): Don't
	create caption string, just use the one from the cimage object.

	* collection/eog-wrap-list.c: Misc code cleanups.
	(model_selection_changed),
	(model_selected_all),
	(model_selected_none),
	(add_item_update): New function.
	(model_image_changed),
	(model_image_added),
	(model_image_removed): Simplified code.
	(eog_wrap_list_set_model): Adaptions to model signal changes.
	(get_next_unique_id): Removed.
	(do_item_changed_update),
	(do_item_added_update),
	(do_item_removed_update): Handle only a single image id, no lists
	anymore.
	(do_item_selection_changed_update),
	(item_selection_update_single),
	(do_item_selection_update_all): New function.
	(do_update): Check for selection updates.

2002-08-10  Jens Finke  <jens@triq.net>

	* collection/eog-item-factroy-clean.[ch]: New default icon factory
	with a much nicer look.

	* collection/Makefile.am (SOURCES): Added clean factory files.

	* collection/eog-collection-view.c
	(eog_collection_view_construct): Create a clean factory object.

	* collection/eog-image-loader.c (scale_image): Use bilinear
	scaling.

2002-08-07   Thomas Meeks <thomas@imaginator.com>

	* doc/C/eog.sgml: Added ICB file support

	* libeog/GNOME_EOG.server.in.in: ditto.

2002-08-07  Jens Finke  <jens@triq.net>

	* collection/eog-collection-control.c (handle_open_uri): Use
	CORBA_Object_release to free control frame object.

2002-08-05  Jens Finke  <jens@triq.net>

	* collection/eog-collection-control.c (handle_open_uri): Release
	control and controle frame objects properly.

	* collection/eog-collection-view.c (eog_collection_view_dispose):
	Free gconf client and ui component.
	(eog_collection_view_get_property_bag): Ref property bag.

	* collection/eog-wrap-list.c (eog_wrap_list_dispose),
	(eog_wrap_list_finalize): Removed debug messages.

2002-08-04  Jens Finke  <jens@triq.net>

	* collection/eog-collection-control.c:
	(eog_collection_control_set_ui_container),
	(eog_collection_control_unset_ui_container),
	(eog_collection_control_construct): Don't hold a BonoboUIComponent
	reference per object, this isn't neccessary.
	(eog_collection_control_activate): Use the first BonoboControl
	parameter to access collection control reference.

	* collection/eog-collection-view.c: Don't hold private reference
	to the factory object. Removed property control stuff.
	(prop_control_get_prop),
	(prop_control_get_cb): Removed.

	* collection/eog-wrap-list.c (eog_wrap_list_set_factory): Ref the
	factory object.

2002-08-04  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 1.1.0 (development version
	towards Gnome 2.2)

	* NEWS: Updated.

2002-08-04  Jens Finke  <jens@triq.net>

	Fixes #85927.

	* shell/eog-window.c (eog_window_init): ctrl_widget = NULL.
	(eog_window_construct): Don't add widget from
	bonobo_control_frame.
	(add_control_to_ui): Add control widget to shell container if not
	done yet.
	(activate_uri_cb): eog_window_open can handle uri's so don't
	extract the path first.

2002-08-04  Jens Finke  <jens@triq.net>

	Drags into an empty window will reuse it instead of opening a new
	one.

	* shell/eog-window.c (eog_window_has_contents): Determine empty
	windows through availabilty of a control not a widget.

2002-08-02  Jens Finke <jens@triq.net>

	* collection/eog-collection-model.c (directory_visit_cb): Fixed
	mime type based check, which files we display (only images).

	* collection/eog-collection-view.c (eog_collection_view_get_prop):
	Display only the filename of the selected image not the whole path.

	* collection/eog-item-factory-simple.c (ensure_max_caption_width):
	Pango aware rewrite of previous shrink_to_width function.
	(update_item_image),
	(update_item_caption),
	(update_item_selection): New functions.
	(ii_factory_update_item): Split functionality across the three new
	functions. Added hint parameter to decide which parts of the icon
	needs an update.

	* collection/eog-item-factory.[ch]
	(eog_item_factory_update_item),
	(eog_item_factory_class_init): Added hint parameter to abstract
	item update function.

	* collection/eog-wrap-list.c
	(do_item_changed_update),
	(do_item_added_update): Set update hint parameter.

	* collection/eog-collection-marshal.list: Changed paramter list
	for factory update item marshaller.

2002-07-29  Federico Mena Quintero  <federico@ximian.com>

	Fixes #89372.

	* shell/main.c (show_nonexistent_files): Oops,
	gtk_message_dialog_new() takes a printf() format, so use it - if
	our filenames contained percent characters, we would screw up.
	(make_canonical_uri): Escape the filename before passing it to
	gnome-vfs.

	* shell/eog-window.c (eog_window_open_dialog): Likewise.

	* shell/util.c (open_failure_dialog): Unescape the URI.

2002-07-29  Federico Mena Quintero  <federico@ximian.com>

	* libeog/image-view.c (image_view_scroll_event): Reverted
	scrollwheel change.  No modifiers means zoom, shift+wheel means
	scroll, shift+control+wheel means scroll in the other direction.
	Rationale:  you can already scroll around the image by simply
	dragging it around.  Zooming is more useful, I think, so that you
	can completely navigate around the image without ever touching the
	keyboard.

2002-07-29  Jens Finke  <jens@triq.net>

	* libeog/image-view.c (image_view_button_press_event): Don't
	handle the mouse buttons 4/5, this is handled by
	image_view_scroll_event.
	(image_view_scroll_event): Made the scroll wheel and modifier
	behaviour more consistent with other applications: scroll wheel =
	scroll vertical, shift + scroll wheel = zoom in/out, ctrl + scroll
	wheel = scroll horizontal.

2002-07-28  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "sq" to ALL_LINGUAS.

2002-07-25  Jens Finke  <jens@triq.net>

	Fixes #85190. Makes the UI more HIG compliant.

	* shell/eog-shell-ui.xml: Removed "Close" button from toolbar
	added "New" button.

2002-06-30  Ross Burton  <ross@burtonini.com>

	* viewer/eog-control.c: Set the location of the UI file when
	loading it (fixes #86932).

2002-07-25  Jens Finke  <jens@triq.net>

	We have a real fullscreen again.

	* viewer/eog-fullscreen-view.c (eog_full_screen_show): Call zoom
	to fit.
	(eog_full_screen_instance_init): Removed unneccessary window
	calls, move window at position 0,0.
	(eog_full_screen_new): Set window type at object creation time.

2002-07-24  Federico Mena Quintero  <federico@ximian.com>

	* configure.in: Bumped version number to 1.0.2.

	* collection/Makefile.am: Added the marshal files to
	BUILT_SOURCES.  Also, they should be named
	eog-collection-marshal.[ch], not eog-collection-view-marshal.[ch].

2002-07-20  Jens Finke <jens@triq.net>

	* collection/.cvsignore: Updated.

	* collection/Makefile.am: use .server.in.in file instead, and
	do libexec sed job on it.

	* collection/GNOME_EOG_Collection.server.in: Renamed to
	*.server.in.in and added libexec prefix dummy.

2002-07-19  Jens Finke <jens@triq.net>

	* Makefile.am (SUBDIRS): Compile collection if desired.

	* configure.in: Added compile option stuff, wether to enable the
	collection view or not (off by default).

	* collection/Makefile.am: Renamed program to eog-collection-view
	and moved it to libexec dir.

	* collection/eog-collection-control.c
	* collection/eog-collection-model.c
	* collection/eog-collection-preferences.c
	* collection/eog-collection-view.c
	* collection/eog-warp-list.c: Ported remaining GtkObject stuff to
	GObject.

	* collection/eog-item-factory-simple (ii_factory_update_item): Get
	correct pango_context.

	* shell/Makefile.am: Enable collection support if desired.

	* shell/eog-window.c (get_collection_control): Load collection
	component by iid.
	(get_collection_control):
	(get_collection_control_list): Define dummy functions of these if
	we compile without collection support.

2002-07-17  Michael Meeks  <michael@ximian.com>

	* libeog/Makefile.am: use .server.in.in file instead, and
	do libexec sed job on it.

	* viewer/Makefile.am: install eog-image-view into libexec,
	as per seeing the light finally.

2002-07-10  Jens Finke <jens@triq.net>

	Fixes #85690.

	* libeog/eog-file-selection.[ch]: New files. An extended
	GtkFileSelection dialog, which shows the list of supported file
	types.

	* libeog/Makefile.am (SOURCES): Added new files.

	* shell/eog-window.c (eog_window_open_dialog): Use new file
	selector.

	* viewer/eog-image-view.c (filesel_ok_cb): Removed.
	(save_image_as_file): New function.
	(filesel_cancel_cb): Removed.
	(verb_SaveAs_cb): Use new file selector.

2002-07-09  Federico Mena Quintero  <federico@ximian.com>

	* idl/Eog.idl (GNOME::EOG::Interpolation): Removed tiles
	interpolation, as it does not make sense for EOG.

	* viewer/eog-image-view.c (listener_Interpolation_cb): Likewise.
	(ui_id_strings_interp_type): Likewise.
	(eog_image_view_get_prop): Likewise.
	(eog_image_view_set_prop): Likewise.

	* viewer/eog-preview.c (eog_preview_update): Likewise.

	* viewer/preferences.c (prefs_interpolation): Likewise.

	* viewer/eog-image-view-ui.xml: Likewise.

	* viewer/eog-image-view.c (eog_image_view_create_ui): Use the
	computed number of elements for the interpolation types array, not
	a hardcoded constant.
	(eog_image_view_create_ui): Convert the interpolation value to a
	menu index before using it.
	(interp_type_changed_cb): Likewise.

	* viewer/eog-control.c (eog_control_construct): Do not add a
	property control interface.  The preferences code is highly
	convoluted and broken, so I'm removing it.

	* viewer/eog-imagew-view.c (eog_image_view_get_property_control):
	Removed.

	* viewer/Makefile.am (eog_image_viewer_SOURCES): Removed
	preferences.[ch].

	* viewer/preferences.[ch]: Removed.

	* shell/eog-shell-ui.xml: Removed the Edit/Preferernces item.

	* shell/eog-window.c: Removed the preferences machinery.

	* shell/Makefile.am (eog_SOURCES): Removed eog-preferences.[ch].

2002-06-26  Federico Mena Quintero  <federico@ximian.com>

	Fixes #86469.

	* shell/eog-window.c (eog_window_close_all): New function.
	(verb_FileExit_cb): Use eog_window_close_all(); this function was
	fantastically buggy.
	* shell/main.c (client_die_cb): Use eog_window_close_all().

2002-06-26  Yanko Kaneti <yaneti@declera.com>

	* configure.in: (ALL_LINGUAS) Added Bulgarian (bg).

2002-06-25  Federico Mena Quintero  <federico@ximian.com>

	Fixes #75889.

	* viewer/eog-image-view.c (setup_item_factory): Set up a
	GtkItemFactory for the image view's popup menu.
	(image_view_button_press_event_cb): Added a button press handler
	so that we can present a popup menu.
	(eog_image_view_class_init): Created a "close_item_activated"
	signal.

	* viewer/eog-full-screen.c (eog_full_screen_new): Connect to the
	"close_item_activated" signal of the image view.

	* libeog/image-view.c (image_view_button_press_event): Use
	IMAGE_VIEW_ZOOM_MULTIPLIER.
	(image_view_key_press_event): Likewise.
	(image_view_set_zoom): Added arguments to specify the zoom anchor.
	(image_view_set_zoom): Queue a resize even if we did not need to
	change the zoom factor.  This makes things work even when 1:1 and
	then zoom-fit would produce the same results.

2002-06-21  Jens Finke  <jens@triq.net>

	Fixes #72352 and #75713.

	* libeog/ui-image.c (ui_image_fit_to_screen): Removed.

	* shell/eog-window.c (adapt_shell_size_to_control): New function
	which tries to read the desired size of the control and to adapt
	the size of the eog window to it.
	(add_control_to_ui): Call adapt_shell_size_to_control.

	* viewer/eog-image-view.c (image_set_image_cb): Don't call
	ui_image_fit_to_screen.

2002-06-21  Peteris Krisjanis <pecisk@inbox.lv>

	* configure.in: Added Latvian language support.

2002-06-20  Federico Mena Quintero  <federico@ximian.com>

	* libeog/image-view.c: Removed obsolete comment.

	* libeog/GNOME_EOG.server.in: Make the nautilus:view_as_name be
	"Image" so that Nautilus will say, "View as Image".  Fixes #73651.

2002-06-20  Federico Mena Quintero  <federico@ximian.com>

	* viewer/eog-image.c (load_image_from_file): Initialize the loader
	and rsvg_handle variables, otherwise we'll b0rk if we can't open
	the URI.  Fixes #85263.

2002-06-13  Federico Mena Quintero  <federico@ximian.com>

	Fixes #85216.

	* shell/eog-window.c (eog_window_destroy): Remove the window from
	the window list here, not in eog_window_close().

	* shell/main.c (client_die_cb): Use eog_window_close() rather than
	gtk_widget_destroy() to close the windows.  This will terminate
	the main loop when appropriate.

2002-06-12  Federico Mena Quintero  <federico@ximian.com>

	* shell/main.c (sort_startup_files): Create a list of filenames
	that had errors.  Call gnome_vfs_file_info_clear() between files.
	(handle_cmdline_args): If there are files with errors, show an
	error dialog.  Fixes bug #84890.

2002-06-10  Jens Finke  <jens@triq.net>

	* Released version 1.0.0

2002-06-04  Federico Mena Quintero  <federico@ximian.com>

	* collection/Makefile.am (INCLUDES):
	* libeog/Makefile.am (INCLUDES):
	* shell/Makefile.am (INCLUDES):
	* viewer/Makefile.am (INCLUDES): Use
	$(prefix)/$(DATADIRNAME)/locale for -DGNOMELOCALEDIR.  Thanks to
	Hidetoshi Tajima <hidetoshi.tajima@sun.com> for pointing it out.
	Fixes #83642.

2002-06-03  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 0.119.0.

	* Released version 0.119.0.

2002-05-30  Federico Mena Quintero  <federico@ximian.com>

	Fixes #83233.  Note that this depends on an updated libbonoboui,
	as there was a buglet there that affected this.

	* shell/eog-window.c (add_control_to_ui): Do not add the control
	frame's widget to the box here, as it will always return the same
	socket widget.
	(eog_window_construct): Add the control frame's socket to the vbox
	here.

2002-05-30  Federico Mena Quintero  <federico@ximian.com>

	* shell/eog-window.c (verb_HelpAbout_cb): Made the translators
	translatable.

2002-05-30  Federico Mena Quintero  <federico@ximian.com>

	Fixes #82417.

	* libeog/image-view.c (unity_zoom): Oops, this was testing zoomx
	twice instead of zoomx and zoomy.
	(ImageViewPrivate): Now we only use a single microtile array.  It
	represents the dirty region for delayed drawing, which is only
	used when we are using interpolation --- the non-interpolated and
	zoom==1:1 cases are handled synchronously for speed and
	smoothness.
	(remove_dirty_region): Handle a single microtile.
	(paint_iteration_idle): Handle a single microtile.  Boy, is this
	simpler or what?
	(scroll_to): Use gdk_window_scroll() and process exposures
	synchronously.  This is basically the old EOG magic but now done
	cleanly with GDK stuff.
	(image_view_set_pixbuf): Remove the dirty region and reset the
	scrolling offsets.
	(image_view_get_zoom): Return both the X and Y zoom factors.
	(image_view_button_press_event): Do not grab the cursor now that
	we can use implicit grabs reliably.
	(image_view_button_release_event): Do not ungrab the cursor.

	* viewer/eog-image-view.c (eog_image_view_get_prop): Take the
	square root of the product of the X and Y zoom factors for the
	actual zoom factor.

	* viewer/eog-control.c (zoomable_set_zoom_level_cb): Likewise.
	(zoomable_zoom_in_cb): Likewise.
	(zoomable_zoom_out_cb): Likewise.
	(zoomable_zoom_to_fit_cb): Likewise.

	* viewer/eog-full-screen.c (eog_full_screen_button_press_event):
	Removed.

	* shell/eog-window.c (verb_HelpAbout_cb): Add the EOG icon and the
	documenters.

2002-05-29  Federico Mena Quintero  <federico@ximian.com>

	* libeog/image-view.h (ScrollType): Removed.
	(IMAGE_VIEW_ZOOM_MULTIPLIER): New constant.  We use this as the
	zoom factor multiplier when zooming.  We should be using this
	elsewhere in the program as well.

	* libeog/image-view.c (ImageViewPrivate): Removed scroll field.
	We now mandate two-pass scrolling as it Rules(tm).
	(image_view_set_scroll): Removed.
	(image_view_get_scroll): Removed.
	(image_view_get_property): Removed handling of the scroll
	property.
	(image_view_set_property): Likewise.
	(image_view_class_init): Likewise.
	(image_view_instance_init): Initialize all fields.  Set up the
	rendering defaults here.
	(image_view_instance_init): Set ourselves as not double buffered.
	(image_view_scroll_event): New handler for scroll events.  Fixes
	#79351.  N.B. The GIMP is on crack in the way it uses the scroll
	wheel.  Rationale:  images are not primarily vertical, and you can
	scroll the image around by dragging with some mouse button
	anyways.  So it is better to leave the scroll wheel for zooming.
	(scroll_by): New function to generalize scrolling by some offsets.
	(image_view_key_press_event): Use scroll_by().
	(scroll_to): Change the adjustments here, if needed, instead of
	all over the code.  Also, clamp the x/y values initially.
	(drag_to): Don't clamp now that scroll_to() does it.

	* viewer/eog-image-view.c (eog_image_view_construct): Do not set
	the scrolling method.

2002-05-29  Federico Mena Quintero  <federico@ximian.com>

	* libeog/image-view.h (FullScreenZoom): Removed.

	* libeog/image-view.c (ImageViewPrivate): Removed full_screen_zoom field.
	(image_view_set_full_screen_zoom): Removed.
	(image_view_get_full_screen_zoom): Removed.
	(image_view_set_property): Removed handling of the
	full_screen_zoom property.
	(image_view_get_property): Likewise.
	(image_view_class_init): Likewise.

2002-05-29  Jens Finke  <jens@triq.net>

	Applied patch from Ross Burton.

	* shell/eog-window.c (eog_window_construct): Submit datadir prefix
	to bonobo_ui_util_set_ui. Fixes bug #83399.

2002-05-28  Federico Mena Quintero  <federico@ximian.com>

	* shell/session.c (session_save):
	(session_load): gnome-config expects a section name in addition to
	the key name.  Fixes #82603.

	* shell/main.c (client_save_yourself_cb): Set the discard command.

2002-05-21  Federico Mena Quintero  <federico@ximian.com>

	* shell/eog-preferences.c (eog_preferences_new): Save the signal
	handler id for "destroy" on the parent window.
	(eog_preferences_destroy): Disconnect from the destroy signal of
	the parent window.  Fixes bug #82426.

2002-05-21  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 0.118.0.

	* NEWS: Updated.

	* Released version 0.118.0.

2002-05-21  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): added Walloon (wa)

2002-05-20  Federico Mena Quintero  <federico@ximian.com>

	Patch from Satyajit Kanungo <satyajit.kanungo@wipro.com> to
	include help in the preferences dialog, with some modifications.

	* shell/eog-preferences.c (eog_preferences_response): Added a
	handler for the help button.
	(eog_preferences_construct): Added a help button.
	(eog_preferences_construct): Do not let the user resize this
	window.

	* shell/eog-window.c (verb_HelpAbout_cb): Display an error dialog
	if we cannot show help.

	* help/C/eog.xml: Removed trailing carriage returns.

	* viewer/eog-image.c (load_image_from_file): Removed unused
	variable.

2002-05-15  Federico Mena Quintero  <federico@ximian.com>

	* viewer/eog-image-io.c (eog_image_save_png): We don't need to
	tell libpng to flip bytes around as pixbufs are always in RGB or
	RGBA order in memory.  Fixes #76239.

2002-05-14  Federico Mena Quintero  <federico@ximian.com>

	* viewer/eog-control.c (eog_control_construct): Do not set the
	shadow type of the scrolled window here.

	* libeog/ui-image.c (ui_image_init): Set the shadow type to
	GTK_SHADOW_IN here.
	(ui_image_zoom_fit): To avoid getting scrollbars even when we do
	"zoom to fit", set the scrollbar policy to NEVER, then change the
	zoom factor, then re-set the scrollbar policy to ALWAYS in the
	idle loop.  This is *not* a hack.  Read the comment in this
	function to see why.  Fixes bug #76406.

2002-05-14  jacob berkman  <jacob@ximian.com>

	* libeog/GNOME_EOG.server.in: we can load image/svg now

	* viewer/eog-image.c (load_image_from_stream):
	(load_image_from_file): support loading svg images (and fix some
	memleaks)

	* configure.in: require librsvg

	fixes bug #81528

2002-05-13  Federico Mena Quintero  <federico@ximian.com>

	Merging the accessibility patches from Muktha Narayan
	<muktha.narayan@wipro.com>.

	* libeog/access.[ch]: New files with utility functions for
	accessibility.

	* viewer/preferences.c (create_label): Set up the LABEL_FOR and
	LABELLED_BY relations.

	* libeog/accessible-image-view.[ch]:
	* libeog/accessible-image-view-factory.[ch]: New files with the
	accessibility object and factory for the ImageView.

2002-05-13  GNOME Hacker  <michael@gnome>

	* libeog/image-view.c (request_paint_area): remove tedious debug.

2002-05-13  Jens Finke <jens@triq.net>

	* shell/eog-shell-ui.xml: Changed 'HelpContents' label to
	'Contents'. (Hope this is before the string freeze yet :).
	Swapped help Contents and About position.

2002-05-07  Jens Finke <jens@triq.net>

	* shell/session.c (session_save): Use next field to obtain succeeding
	list element. Bug #80911.

2002-05-07  Jens Finke <jens@triq.net>

	Applied slightly edited patch by Ronald Bultje
	<rbultje@ronald.bitfreak.net>

	* shell/Makefile.am,
	* libeog/Makefile.am,
	* viewer/Makefile.am,
	* collection/Makefile.am (INCLUDES):
	Removed -I$(includedir) and -I. .

2002-04-29  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): added Vietnamese (vi)

2002-04-29  Jens Finke <jens@triq.net>

	* configure.in: bumped version to 0.117.0.

	* NEWS: Added 0.117 entry.

	* Released version 0.117.0.

2002-04-25  Federico Mena Quintero  <federico@ximian.com>

	* viewer/eog-image-view.c (eog_image_view_construct): Call the
	image_set_image_cb() *after* we have created the property bag.
	We'll get notification of a zoom change from this function, and
	the zoom change callback does need the property bag to be
	present.  Fixes bug #73606.

2002-04-25  Jens Finke  <jens@triq.net>

	Applied patch from Satyajit Kanungo <satyajit.kanungo@wipro.com>.
	This fixes bug #79156.

	* shell/eog-window.c (verb_HelpContent_cb): New function.

	* shell/eog-shell-ui.xml: Added Help Contents menu item.

	* shell/Makefile.am: Added DATADIR to INCLUDES.

	* shell/Main.c (main): Added GNOME_PARAM_APP_DATADIR to program
	init.

2002-04-24  Jens Finke  <jens@triq.net>

	* collection/eog-collection-control.[ch]: Made BonoboControl the
	base class and use EogImageView as an attribute.

	* collection/eog-collection-view.c: Use
	BONOBO_CLASS_BOILERPLATE_FULL.
	* collection/eog-collection-view.h: Use G_TYPE_CHECK functions.

	* collection/eog-image-loader.c (eog_image_loader_class_init): Use
	g_signal_new.

	* collection/eog-wrap-list.c
	(eog_wrap_list_class_init): Signal fixes.
	(eog_wrap_list_set_model): Cast model to GObject.

2002-04-23  Murray Cumming  <murrayc@usa.net>

	* shell/eog-window.c eog_window_new():
	Use construct-time properties with g_object_new() instead of
	bonobo_window_construct(), which should no longer be used.

2002-04-23  Jens Finke <jens@triq.net>

	* shell/eog-window.c: The changes in bonobo_window has been
	reverted, so the properties aren't available anymore. To avoid a
	broken eog shell, I reverted the patch by Murray Cumming.

2002-04-23  Jens Finke <jens@triq.net>

	* configure.in: Updated required library versions.

2002-04-22  Federico Mena Quintero  <federico@ximian.com>

	* viewer/eog-image-io.c: Add workaround around broken libjpeg
	headers.  See bug #79010.

2002-04-22  Murray Cumming  <murrayc@usa.net>

	* shell/eog-window.c eog_window_new():
	Use construct-time properties with g_object_new() instead of
	bonobo_window_construct(), which should no longer be used.

2002-04-19  Jens Finke  <jens@triq.net>

	* GNOME_EOG_Collection.oaf.in: Renamed to
	GNOME_EOG_Collection.server.in

	* .cvsignore: Ignore GNOME_EOG_Collection.server and
	eog-collection-marshal.[ch].

	* eog-collection-marshal.list: New file.

2002-04-19  Jens Finke  <jens@triq.net>

	* collection/Makefile.am,
	* collection/*.c,
	* collection/*.h: Ported to Gnome2 so that it at least compiles.

2002-04-17  Federico Mena Quintero  <federico@ximian.com>

	* viewer/eog-image-io.c (eog_image_save_png): If we are going to
	use a png_text property, fill out all the structure fields we
	need.  Fixes #77173.

2002-04-17  Federico Mena Quintero  <federico@ximian.com>

	* shell/session.c (session_save): Call gnome_config_sync() when we
	are done.

2002-04-17  Michael Meeks  <michael@ximian.com>

	* Version 0.116.1

2002-04-16  Michael Meeks  <michael@ximian.com>

	* libeog/image-view.c
	(image_view_focus_in_event, image_view_focus_out_event),
	(image_view_class_init): stop bad re-rendering things
	happening on focus in / out.

2002-04-16  Michael Meeks  <michael@ximian.com>

	* viewer/eog-image-io.c: don't include setjmp before
	png.h or the png headers have a fit - for no good reason.

	* viewer/*.c: s/gdk_pixbuf_[un]ref/g_object_[un]ref/

	* collection/*.c: s/gdk_pixbuf_[un]ref/g_object_[un]ref/

2002-04-15  Jens Finke <jens@triq.net>

	* configure.in: version 0.116.0, updated version requirements of
	needed libraries.

2002-04-10  Iain <iain@ximian.com>

	* shell/eog-preferences.c (eog_preferences_construct): Turn off the
	border and tabs if there's only one tab.
	(eog_preferences_new): Destroy the preferences window when the main
	app window is destroyed.

2002-04-15  Michael Meeks  <michael@ximian.com>

	* Finally fully port to Gnome 2.0 ( remove all deprecated
	stuff, but still no printing enabled as yet )

	* shell/eog-window.c (eog_window_construct): store
	the UI component on the private structure.
	(add_control_to_ui): don't use broken bonobo_ui_engine
	API stolen past the deliberate encapsulation of this.

2002-04-12  Michael Meeks  <michael@ximian.com>

	* viewer/eog-full-screen.c: port.

	* viewer/eog-image-view.c: port.

	* viewer/eog-print-setup.c
	(on_dialog_response): upd.
	(eog_print_setup_new): port.

	* viewer/eog-image.c (load_image_from_stream): port.

	* libeog/ui-image.c (ui_image_fit_to_screen):
	don't set_usize, set_size_request.

	* libeog/cursors.c (cursor_get): upd.

	* libeog/image-view.c (image_view_init): rename
	(image_view_instance_init): to this, kill (get_type)
	and use the boilerplate macros.
	(image_view_class_init): use properties not GtkArgs.
	(image_view_set_property, image_view_get_property): impl.
	(image_view_dispose): upd.
	(scroll_to, image_view_size_allocate),
	(image_view_set_scroll_adjustments),
	(image_view_set_scroll_adjustments),
	(image_view_new): much porting action.

	* configure.in (EXTRA_WARNING_CFLAGS): add the disable
	deprecated bits.

2002-04-13  Rosanna Yuen  <zana@webwynk.net>

	* libeog/image-view.c: #include <gtksignal.h>

2002-04-12  Jens Finke <jens@triq.net>

	Applied patch from Alexander Larsson.

	* libeog/image-view.c (image_view_class_init): Removed
	deprecated gtk signal stuff.

2002-04-11  Federico Mena Quintero  <federico@ximian.com>

	* shell/session.[ch]: New files with session management code.

	* shell/main.c (main): Connect to the master client's signals.

	* shell/eog-window.c (eog_get_window_list): New function to get
	the window list from the outside.
	(eog_window_init): Set up a unique role for the window.

2002-04-11  Jens Finke <jens@triq.net>

	* shell/eog-window.c: Increased default window widht/height to
	make all the toolbar items visible even with small images.

2002-04-11  Jens Finke <jens@triq.net>

	Applied slightly modified patch by Iain Holmes, which fixes most
	of the remaining issues in bug #76430.

	* shell/eog-shell-ui.xml: Rename "Exit" to "Quit". Added "..." to
	preferences item, removed these from about item. Moved preferences
	item into Edit menu. Removed settings menu.

	* viewer/eog-image-view-ctrl-ui.xml: Renamed "Zoom to Default" to
	"Zoom 1:1".

	* viewer/eog-image-view-ui.xml: Removed all the redundant words
	from the menu, added accel to "Save As"

2002-04-10  Iain Holmes <iain@ximian.com>

	* viewer/preferences.c (create_label): Take a widget that will be
	activated by the labels mnemonic.
	(eog_create_preferences_page): Add mnemonics to each of the labels.

2002-04-08  Fatih Demir <kabalak@gtranslator.org>

	* configure.in: Added "ta" (Tamil) to the languages' list.

2002-03-24  Jens Finke  <jens@triq.net>

	* NEWS: Updated.

	* Released version 0.115.0.

2002-03-24  Jens Finke  <jens@triq.net>

        * configure.in: Bumped version to 0.115.0

2002-03-21  Jens Finke  <jens@triq.net>

	This patch fixes most of the issues in bug #73805.

	* shell/eog-preferences.[ch]: Switched to GtkDialog as parent
	class, which makes it more HIG conform.

	* shell/eog-window.c (preference_dlg_closed_cb): New function.
	(verb_Preferences_cb): If a preference dialog is already visible
	present it to the user. Otherwise create a new one.
	(verb_HelpAbout_cb): Added translator credits placeholder.
	(eog_window_init): Initialize pref_dlg attribute.

2002-03-21  Jens Finke  <jens@triq.net>

	* viewer/preferences.c (create_label): New function.
	(create_preferences_page): Align lables to the right, added
	row and column spacings.

2002-03-19  Jens Finke  <jens@triq.net>

	* shell/eog-window.c (eog_window_open): Pop up error dialog if the
	loading of a file fails.

2002-03-19  Jens Finke  <jens@triq.net>

	* shell/main.c (user_wants_collection): Use new gtk_message_dialog
	API. Added an alternative implementation for this function as long
	as the collection view doesn't work.
	(handle_cmdline_args): Reenabled the check for multiple files on
	the commandline. Due to the thawed string freeze we can handle
	this now with a dialog again.
	(main): Removed unused orb variable.

2002-03-12  Jens Finke  <jens@triq.net>

	* configure.in: Bumped version to 0.114.0.

	* NEWS: updated

	* Released version 0.114.0

2002-03-12  Jens Finke  <jens@triq.net>

	* help/.cvsignore
	* help/C/.cvsignore
	* omf-install/.cvsignore: New files.

2002-03-12  Jens Finke  <jens@triq.net>

	This patch should fix bug #74083. It makes gconf consistently the
	model for all preference settings.

	* eog.schemas (check_size), (dither): Changed default.

	* eog-image-view.[ch]
	(listener_Interpolation_cb),
	(listener_Dither_cb),
	(listener_CheckType_cb),
	(listener_CheckSize_cb): Removed the bonobo property bag stuff,
	replaced it with a call to gconf.
	(set_ui_group_item): New function, which syncs the gconf value
	with the user interface.
	(eog_image_view_create_ui): Initialize preferences with the values
	stored in gconf, simplified the code.
	(eog_image_view_get_prop): Get the value of the four settings from
	gconf.
	(eog_image_view_set_prop): Update just the gconf key.
	(eog_image_view_[gs]et_interpolation),
	(eog_image_view_[gs]et_dither),
	(eog_image_view_[gs]et_check_size),
	(eog_image_view_[gs]et_check_type): Removed these functions.
	(eog_image_view_get_client): New function.
	(interp_type_changed_cb),
	(dither_changed_cb),
	(check_type_changed_cb),
	(check_size_changed_cb): New functions, central handler for all
	changes to these properties. Take care of all ui updates.
	(eog_image_view_construct): Initialize gconf, set image view
	properties to gconf stored values.

	* preferences.c: Use gconf for retrieving and setting the values
	in the preference dialog. Simplified the code.

2002-03-12  Laszlo Peter  <laca@ireland.sun.com>

	* configure.in: check for libpopt, define POPT_LIBS.

	* shell/Makefile.am: link to POPT_LIBS.

2002-03-11 Jens Finke <jens@triq.net>

	* shell/main.c (handle_cmdline_args): Bug #74012. I've commented
	out the check for multiple files and the dialog for asking the
	user about collection or single window mode. I am not quite
	comfortable with this, because eog opens now a window for every
	image file specified on the command line. But again the string/ui
	freeze prohibits an adapted dialog to these changes.
	(main): Removed commented out oaf_init call.

2002-03-10 John Fleck <jfleck@inkstain.net>

	* omf-install/Makefile.am
	fix mistake in Makefile.am - dest_dir was wrong

2002-03-09 John Fleck <jfleck@inkstain.net>

	add
	* help/Makefile.am
	* help/C/Makefile.am
	* help/C/eog-C.omf
	* help/C/eog.xml
	* help/C/legal.xml
	* help/C/figures/eog_start_window.png
	* omf-install/Makefile.am
	* xmldocs.make

	change
	* Makefile.am
	* configure.in
	adding new docs from Sun


2002-03-05  Jens Finke <jens@triq.net>

	* libeog/image-view.c (image_view_destroy): Use g_object_unref to
	free GdkPixbuf object and set pointer to NULL (to be safe).

	* viewer/eog-image-view.c (eog_image_view_destroy): Don't unref
	the widget, this is the job of the widgets parent.

	* viewer/eog-image.c (load_image_from_stream): Use g_object_unref
	to free pixbuf loader.
	(load_image_from_file): Free pixbuf loader.

2002-03-04  Jens Finke <jens@triq.net>

	* HACKING: Added explicit rules for the spec file and build fixes.

2002-03-02  Jens Finke <jens@triq.net>

	* libeog/ui-image.c (ui_image_zoom_fit): Adapt calculation of
	xthick, ythick to Gtk2.

2002-03-02  Jens Finke <jens@triq.net>

	* viewer/eog-controlc. (preferred_zoom_level_names): Updated the
	names of the zoom levels to fit previous change. Though I don't
	know if they are really anywhere used :).

2002-03-02  Jens Finke <jens@triq.net>

	* viewer/eog-control.c (preferred_zoom_levels):
	* libeog/image-view.c (MAX_ZOOM_FACTOR): Define consistent zoom
	range from 1 to 2000 percent.

2002-03-01  Jens Finke <jens@triq.net>

	Made the zooming work correctly if you use both the '+','-' Keys and
	the toolbar buttons.

	* viewer/eog-control.c: Renamed max_preferred_zoom_levels to
	n_zoom_levels to give it a meaningfull name.
	(zoomable_set_zoom_level_cb): Don't store zoom level privatly.
	(zoom_index_from_float): Removed function.
	(zoom_level_from_index): Better range checking, return sensible
	value on range error.
	(zoomable_zoom_in_cb), (zoomable_zoom_out_cb): Find the correct
	zoom level.
	(eog_control_construct): Don't initialise private zoom level
	attribute (it's no longer there), use n_zoom_levels variable.

2002-02-28  Jens Finke <jens@triq.net>

	* MAINTAINERS: Added myself with Federico's permission.

2002-02-27  Jens Finke <jens@triq.net>

	* configure.in: Don't create libeog/stock/Makefile.

2002-02-27  Jens Finke <jens@triq.net>

	* libeog/stock/*: Removed all the files in this dir. We use the
	gtk stock icons instead now.

	* libeog/Makefile.am (SUBDIRS): Removed stock dir.

2002-02-24  Jens Finke  <jens@triq.net>

	Released version 0.113.0

	* configure.in: Bumped version to 0.113.0

2002-02-24  Jens Finke  <jens@triq.net>

	* shell/eog-shell-ui.xml: Use gtk stock icon names.

	* viewer/eog-image-view-ctrl-ui.xml: Use gtk stock zoom icons.

2002-02-24  Jens Finke  <jens@triq.net>

	This patch fixes bug #72069. The image viewer component should now
	integrate smoothly into Nautilus.

	* shell/eog-shell-ui.xml: Made the placeholder compatible with
	nautilus. Added a 'View' submenu which is hidden by default and
	added new placeholders into it.

	* shell/eog-window.c (add_control_to_ui): Show 'View' menu.

	* viewer/eog-image-view-ctrl-ui.xml:
	* viewer/eog-image-view-ui.xml: Adaptions to changes in
	eog-shell-ui.xml, fixed indention.

2002-02-23  Jens Finke  <jens@triq.net>

	This fixes bug #72228. Due to the string freeze we can't add a
	more verbose error dialog.

	* shell/eog-window.c (get_viewer_control): Use g_warning instead
	of g_error.
	(eog_window_open): Check if the control object could be created
	before adding it to the window. Removed debug message.

2002-02-22  Jens Finke  <jens@triq.net>

	* configure.in: Check version numbers of required libraries.  Use
	PKG_CHECK_MODULES macro to obtain eog cflags and libs variables.

2002-02-20  Federico Mena Quintero  <federico@ximian.com>

	* ChangeLog: Got my head out of my butt and finally merged all the
	individual */ChangeLog files into this one.

	* idl/ChangeLog: Removed.

	* collection/ChangeLog: Removed.

	* libeog/ChangeLog: Removed.

	* shell/ChangeLog: Removed.

	* viewer/ChangeLog: Removed.

2002-02-19  Jens Finke <jens@triq.net>

	* shell/eog-window.c (property_changed_cb),
	(check_for_control_properties): Removed "Bonobo/Property:change:"
	prefix from the event names we are interested in. This makes the
	status bar updates work again.

2002-02-17  Jens Finke <jens@triq.net>

	* configure.in: bump version to 0.112.0

	* Released version 0.112.0

2002-02-17  jacob berkman  <jacob@ximian.com>

	* configure.in: bump the version to 0.111.1

2002-02-16  Jens Finke <jens@triq.net>

	* viewer/eog-image-view-ui.xml: Removed printing menu entries from
	user interface. They don't work for Gnome2 yet and won't be in the
	initial Gnom2 desktop release.

2002-02-16  Jens Finke <jens@triq.net>

	* configure.in: Commented out the evolution and gnocam options.
	These aren't supported in the inital gnome2 release.

	* Makefile.am: Install desktop file in $(datadir)/applications.

	* eog.desktop.in: Added Categories key.

2002-02-14  Laszlo Peter  <laca@ireland.sun.com>

	* viewer/eog-image-view.c: remove unused eog_image_view_signals
	array.  The zero length array breaks the build with Forte CC.

2002-02-14  Jens Finke <jens@triq.net>

	* viewer/eog-image-view-ctrl-ui.xml: Define labels for the zoom
	toolbar items explicitly. The default ones are too long and
	looking stupid in the toolbar.

2002-02-14  Jens Finke <jens@triq.net>

	* shell/eog-shell-ui.xml (commands/Preferences): Disable command
	by default.

	* shell/eog-window.c (add_control_to_ui): Check if the control has
	a Property_Control interface and enable/disable preference menu
	item according to this check. This fixes the useability issue in
	bug #70833.

2002-02-14  Jens Finke <jens@triq.net>

	* libeog/image-view.c (image_view_expose): Always repaint
	synchronously here, since the expose events are already send async
	by gtk+ 2.0. This fixes the flickering described in bug #70909.
	(redraw_all): Removed this function and replaced all calls to it
	with gtk_widget_queue_draw, which has the same effect.

	* libeog/gtkscrollframe.[ch]: Removed these long dead files.

2002-02-10  Jens Finke <jens@triq.net>

	* viewer/Makefile.am (ui_DATA): Added eog-image-view-ctrl-ui.xml.

	* viewer/eog-control.c (eog_control_create_ui): Use separate xml
	file for bonobo ui description. This ensures we get translated
	menu items.

	* viewer/eog-image-view-ctrl-ui.xml: New file.

2002-02-10  Jens Finke <jens@triq.net>

	* shell/eog-shell-ui.xml: Added drag'n'drop popup definition.

	* shell/eog-window.c (open_dnd_files),
	(verb_DnDNewWindow_cb), (verb_DnDSameWindow_cb),
	(verb_DnDCancel_cb): New functions regarding to popup menu
	handling.
	(eog_window_drag_data_received): Use bonobo to create popup menu,
	this ensures it get translated.
	(eog_window_construct): Code cleanup.

2002-02-10  Jens Finke <jens@triq.net>

	* configure.in: Bumped version to 0.111.0

	* Released version 0.111.0.

2002-02-09  Jens Finke <jens@triq.net>

	* viewer/preferences.c (create_prefs_menu): Call gettext for menu
	items to obtain translated string.

2002-02-06  Jens Finke <jens@triq.net>

	* viewer/eog-image-view.c (filesel_ok_cb): Fixed saving routine
	for gnome2. Note: this needs CVS libbonbo, otherwise the component
	will crash.

2002-02-05  Abel Cheung  <maddog@linux.org.hk>

	* configure.in (ALL_LINGUAS): zh_CN.GB2312 -> zh_CN

2002-02-04  Jens Finke <jens@triq.net>

	* viewer/eog-full-screen.c (eog_full_screen_init): Don't show
	window decorations.

2002-02-04  Jens Finke <jens@triq.net>

	* viewer/main.c (main): Unrolled BONOBO_ACTIVATION_FACTORY macro
	content and added bindtextdomain and friends calls. This enables
	translations for this component.

2002-02-04  Jens Finke <jens@triq.net>

	* Released version 0.110.0.

2002-02-03  Jens Finke <jens@triq.net>

	* shell/eog-window.c (eog_window_drag_data_received): Use new
	gnome vfs API to extract filenames. This fixes drag'n'drop
	handling for Gnome2.

2002-02-03  Jens Finke <jens@triq.net>

	* shell/eog-window.c (eog_window_construct): Set sane default
	window size, fixed automatic window resizing.
	(auto_size),
	(sensitize_zoom_items): Removed dead code.

2002-02-03  Jens Finke <jens@triq.net>

	* configure.in: Bumped version to 0.110.0.

2002-02-02  Michael Meeks  <michael@ximian.com>

	* viewer/eog-control.c (eog_control_set_ui_container): only merge
	in the zoom menus if we don't have a zoomable frame.

2002-02-02  Jens Finke <jens@triq.net>

	* viewer/eog-image-view.c (eog_image_view_destroy): Use
	g_object_unref to free GConfClient.

2002-02-02  Jens Finke <jens@triq.net>

	* shell/eog-preferences.c (add_property_control_page): Unref
	control object at end of function, code cleanup.
	(eog_preferences_construct): Unref prop_control object.

	* shell/eog-window.c (eog_window_destroy): Use bonobo_object_unref
	to free control frame object.

2002-02-01  Michael Meeks  <michael@ximian.com>

	* libeog/GNOME_EOG.server.in: add Unknown, ItemContainer,
	PersistStream, PersistFile, Persist to the Control.

2002-01-30  Jens Finke <jens@triq.net>

	* viewer/eog-control.c (eog_control_destroy): Removed 'Beware:'
	comment together with it's related bonobo_object_unref calls. It's
	true these aren't neccessary.
	(eog_control_construct): Re-enabled the adding of the
	property_control interface.

	* viewer/eog-image-view.c (eog_image_view_get_property_control):
	Use bonobo_property_control_new_full to set the BonoboEventSource
	explictly. [This is very strange: If we only use
	bonobo_property_control_new here the component hangs on shut
	down!?!?].
	(eog_image_view_destroy): Removed 'Beware' comment and related
	bonobo_object_unref call.

2002-01-30  Jens Finke <jens@triq.net>

	* viewer/eog-control.c (eog_control_construct): Re-enabled the
	properties stuff and fixed reference problems there.

	* viewer/eog-image-view.c (eog_image_view_get_property_bag): Don't
	ref the object before returning.

2002-01-30  Jens Finke <jens@triq.net>

	* viewer/eog-control.c: (eog_control_create_ui),
	(eog_control_set_ui_container), (eog_control_unset_ui_container),
	(eog_control_construct): Removed uic pointer from the EogControl
	struct, obtain this by bonobo_control_get_ui_component where it's
	needed.
	(zoomable_set_zoom_level_cb): Code cleanup.

	* viewer/eog-image-view.c: (eog_image_view_get_property_control),
	(eog_image_view_construct): Create control on demand, don't store
	global pointer in the EogImageView struct.

2002-01-30  Michael Meeks  <michael@ximian.com>

	* libeog/Makefile.am (idl_flags): kill bogus -D_BONOBO_COMPILATION
	this is not bonobo compiling.

2002-01-30  Jens Finke <jens@triq.net>

	* libeog/Makefile.am (CLEANFILES): Added BUILT_SOURCES and
	server_DATA files.

2002-01-28  Havoc Pennington  <hp@pobox.com>

	* configure.in (png_ok): put brackets around AC_CHECK_HEADER
	for autoconf 2.5x

2002-01-25  Jens Finke <jens@triq.net>

	Clean up the references held by EogWindow.

	* shell/eog-preferences.c (eog_preferences_construct): Obtain ui
	container through standard bonobo_window interface.

	* shell/eog-window.c (_EogWindowPrivate): Removed ui_container, ui
	and widget attributes from this struct. These are all accessable
	through the ctrl_frame object. Removed property_control attribute,
	this isn't neccessary here.
	(eog_window_destroy), (eog_window_init),
	(eog_window_has_contents), (eog_window_construct),
	(check_for_control_properties),
	(add_control_to_ui), (eog_window_open),
	(eog_window_get_property_control): Made these functions work
	without the removed global attributes.
	(eog_window_get_ui_container): Removed function, use standard
	bonobo_window access method instead.

2002-01-25  Jens Finke <jens@triq.net>

	* shell/eog-window.c (verb_HelpAbout_cb): Updated authors list and
	copyright.
	(check_for_control_properties): Use new property bag API names.

2002-01-24  Hasbullah Bin Pit <sebol@ikhlas.com>

	* configure.ini: Added Malay (ms)to ALL_LINGUAS.
	* po/ms.po: Added Malay Translation.

2002-01-23  Jens Finke <jens@triq.net>

	* shell/main.c (main): Applied path from Shingo Akagaki regarding
	bind_textdomain issues. This closes bug #68842.

2002-01-20  Jens Finke <jens@triq.net>

	* configure.in: Added gconftool-2 check and set the
	GCONF_CONFIG_SOURCE variable. This is shamelessly stolen from
	gnome-core/configure.in.

	* acconfig.h: Added GCONF related variables.

	* Makefile.am: Fixed gconf schema file installation.

2002-01-20  Jens Finke <jens@triq.net>

	* bonobo/*, src/*/*: Removed all files in these long dead
	directories.

2002-01-17  Michael Meeks  <michael@ximian.com>

	* Version 0.109.1

2002-01-15  Michael Meeks  <michael@ximian.com>

	* viewer/eog-control.c (eog_control_construct): fix remaining
	GTK_OBJECT cast.

2002-01-15  Michael Meeks  <michael@ximian.com>

	* shell/eog-window.c (eog_window_construct): get rid of annoying
	auto-activation & concomitant flickering.
	(create_gtk_file_sel): use the (simpler) bonobo file selection API
	- checkout gnome-file-selector to make this really rock.
	(open_delete_event): kill.
	(open_cancel_clicked): kill.
	(open_ok_clicked): fold into
	(create_gtk_file_sel): here and fold into
	(eog_window_open_dialog): Remove all old crufty gnome file
	selector code.

2002-01-15  Michael Meeks  <michael@ximian.com>

	* libeog/image-view.c (image_view_class_init): update
	"set_scroll_adjustments" signature to squash warnings.
	(_gtk_marshal_VOID__OBJECT_OBJECT): hack this in, due to extreme
	short-sightedness by gtk+/glib team.

2002-01-15  Michael Meeks  <michael@ximian.com>

	* Version 0.109.0

	* configure.in: update.

	* Makefile.am (install-data-local): make it pass
	distcheck.

2001-12-31  Earle Robert Nietzel <earlero@mi.madritel.es>

	* *.h: use G_BEGIN/END_DECLS instead of GNOME_DECLS

	* *.c: switch to g_signal_new everywhere.

2001-12-28  Jens Finke <jens@triq.net>

	* viewer/eog-control.c (zoomable_zoom_in_cb),
	(zoomable_zoom_out_cb),
	(zoomable_zoom_to_fit_cb),
	(zoomable_zoom_to_default_cb),
	(verb_ZoomIn_cb),
	(verb_ZoomOut_cb),
	(verb_ZoomToDefault_cb),
	(verb_ZoomToFit_cb),
	(eog_control_construct): Fixed zoom handling for gnome2.

2001-12-28  Jens Finke <jens@triq.net>

	* viewer/Makefile.am (uidir): Install ui xml files in
	$(datadir)/gnome-2.0/ui

	* viewer/eog-control.c (eog_control_create_ui): Put zoom_menu into
	the path /menu/ViewPlaceholder/View.

	* viewer/eog-image-view-ui.xml: Define our own 'View' submenu
	within the 'ViewPlaceholder' placeholder.

2001-12-27  Jens Finke <jens@triq.net>

	* viewer/Makefile.am (eog_image_viewer_LDADD): Removed
	$(INTLLIBS). Link the static eog library with -leog. This reduces
	the link time a lot.
	(eog_image_viewer_DEPENDENCIES): Added dependency to libeog.a.

2001-12-27  Jens Finke <jens@triq.net>

	* libeog/Makefile.am: Build only a convenience library without
	libtool. This reduces the link time for the other eog components a
	lot.
	(oaf_DATA),
	(oafdir),
	(oaf_in_files): s/oaf/server. Changed file suffix to
	'.server'. Install .server files in $(libdir)/bonobo/servers.
	(@INTLTOOL_OAF_RULE@): Use @INTLTOOL_SERVER_RULE@ instead.

	* libeog/GNOME_EOG.oaf.in: Renamed to GNOME_EOG.server.in.

	* libeog/ui-image[ch], image-view.[ch]: Ported to GObject type
	system.

2001-12-27  Jens Finke <jens@triq.net>

	* acconfig.h: Added #undef GETTEXT_PACKAGE

	* configure.in: Set GETTEXT_PACKAGE variable. Translations should
	work now again.

2001-12-27  Jens Finke <jens@triq.net>

	* configure.in: Removed AM_PROG_LIBTOOL. We just build a
	convinience library in libeog/ and don't need libtool for this.

	* Makefile.am (SUBDIRS): Don't visit collection/ dir. This isn't
	ready for gnome2 and needs more porting effort.

2001-12-27  Duarte Loreto <happyguy_pt@hotmail.com>

        * configure.in: Added portuguese to ALL_LINGUAS

2001-12-28  Jens Finke <jens@triq.net>

	* shell/eog-shell-ui.xml: Renamed placeholder 'View' to
	'ViewPlaceholder'.

2001-12-27  Jens Finke <jens@triq.net>

	Ported EogWindow to the GObject based type system. Fixed warning
	and error messages when quitting the program directly after
	starting it.

	* shell/eog-window.[ch] (verb_FileExit_cb): Free window list after
	traversing.
	(eog_window_get_type): Use GType type system.
	(eog_window_destroy): This function is now callable multiple times
	on the same object without crashing. Don't remove window from the
	window list here.
	(eog_window_finalize): New function for freeing the
	EogWindowPrivate data structure.
	(eog_window_class_init): Added callback for GObject finalize
	method. Set property_control = CORBA_OBJECT_NIL.
	(eog_window_delete): Simplified function.
	(eog_window_new): Use g_object_new to create new instance.
	(eog_window_construct): Don't connect to delete event. This is
	already done in eog_window_class_init.
	(eog_window_close): Remove window from window list.

2001-12-27  Jens Finke <jens@triq.net>

	* shell/eog-window.c (eog_window_close): Use bonobo_main_quit
	instead of gtk_main_quit.
	(get_viewer_control): Rewrote this function. We don't make a
	general bonobo activation query here anymore, but specify the
	control through it's iid. This is because we want _our_ control
	here and because the query mechanism doesn't work correctly.

	* shell/main.c (handle_cmdline_args): Use bonobo_main_quit instead
	of gtk_main_quit.

2001-12-27  Jens Finke <jens@triq.net>

	* shell/Makefile.am (eog_LDADD): Removed $(INTLLIBS). Link the
	static eog library with -leog. This reduces the link time a lot.
	(eog_DEPENDENCIES): Added dependency to libeog.a.

2001-12-26  Jens Finke <jens@triq.net>

	* viewer/.cvsignore: Added *~ and ~.o.

	* viewer/eog-control.[ch]: Ported to the gobject type system.
	(eog_control_construct): Commented out the property and zoom
	interface handling. This needs more gnome2 porting.

	* viewer/eog-image-view.[ch]:
	* viewer/eog-image.[ch]: Ported to the gobject type system.

2001-12-22  Jens Finke <jens@triq.net>

	* viewer/main.c: Use BONOB_ACTIVATION_FACTORY macro instead of
	deprecated BONOBO_OAF_FACTORY_MULTI. Added #include
	<bonobo/bonobo-ui-main.h>, to let the macro initialize the gui
	stuff too.

2001-12-20  Jens Finke <jens@triq.net>

	* viewer/Makefile.am: Removed the sample-container stuff.
	(SOURCES): Removed the embeddable stuff for now. This needs more
	porting effort due to completely new bonobo interfaces.

	* viewer/eog-image-view.c:
	s/bonobo_property_bag_set_value/bonobo_pbclient_set_value,
	s/bonobo_property_bag_get_value/bonobo_pbclient_get_value,
	(filesel_ok_cb): #if NEED_GNOME_2_PORTING
	(print_page): Use gnome_print_rgbimage functions.

	* viewer/eog-image.c (eog_image_class_init): Removed
	gtk_object_class_add_signals call. Does there exist a replacement
	for this in Gtk 2.0?
	(eog_image_get_object): Ignore embeddable requests.

	* viewer/eog-preview.c (eog_preview_update): Use
	bonobo_pbclient_get_value.

	* viewer/eog-print-setup.c (get_paper_name_list): New function.
	(eog_print_setup_new): Use get_paper_name_list, the
	gnome_paper_name_list function doesn't exist anymore in
	libgnomeprint.

	* viewer/eog-util.c (eog_util_load_print_settings),
	(eog_util_paper_size): libgnomeprint2 porting.

	* viewer/main.c (eog_image_viewer_factory): Ignore embeddable
	requests.

2001-12-06  Jens Finke <jens@triq.net>

	* shell/README: Removed it, it's totally outdated.

2001-12-06  Thomas Canty <tommydal@optushome.com.au>

	* shell/Makefile.am: directory for bonobo xml files is gnome-2.0
	not gnome

2001-12-05  Jens Finke <jens@triq.net>

	* viewer/Makefile.am (INCLUDES): Use EOG_CFLAGS.
	(sample_container_LDADD),
	(eog_image_viewer_LDADD): Use EOG_LIBS.

2001-12-05  Jens Finke <jens@triq.net>

	* Makefile.am: Switch from xml-i18n-tools to intltool.
	(INCLUDES): Use EOG_CFLAGS.
	(eog_collection_LDADD): Use EOG_LIBS.

2001-12-13  Stanislav Visnovsky  <visnovsky@nenya.ms.mff.cuni.cz>

	* configure.in: Added "sk" to ALL_LINGUAS.

2001-12-06  Jens Finke <jens@triq.net>

	* .cvsignore,
	* Makefile.am: s/xml-i18n/intltool

2001-12-05  Jens Finke <jens@triq.net>

	* libeog/Makefile.am: (libeog_la_LIBADD): Use EOG_LIBS.
	(INCLUDES): Use EOG_CFLAGS.
	(idl_flags): Don't call gnome-config.

2001-12-05  Jens Finke <jens@triq.net>

	* Makefile.am: Switch from xml-i18n-tools to intltool.
	(INCLUDES): Use EOG_CFLAGS.
	(eog_collection_LDADD): Use EOG_LIBS.

2001-12-05  Jens Finke <jens@triq.net>

	* Makefile.am (SUBDIRS): Removed intl directory.

	* configure.in: Replaced EXTRA_GNOME_[CFLAGS|LIBS] and
	GNOME_[CFLAGS|LIBS] with EOG_[CFLAGS|LIBS]. Don't create Makefile
	in intl directory.

2001-11-28  Seth Nickell  <snickell@stanford.edu>

	* viewer/Makefile.am:
	* viewer/eog-control.c: (eog_control_finalize),
	(zoomable_set_zoom_level_cb), (eog_control_set_ui_container),
	(eog_control_unset_ui_container), (eog_control_activate),
	(eog_control_class_init), (eog_control_construct):
	* viewer/eog-control.h:
	* viewer/eog-embeddable-view.c: (eog_embeddable_view_finalize),
	(eog_embeddable_view_class_init), (eog_embeddable_view_construct):
	* viewer/eog-embeddable-view.h:
	* viewer/eog-embeddable.c: (eog_embeddable_finalize),
	(eog_embeddable_class_init):
	* viewer/eog-embeddable.h:
	* viewer/eog-full-screen.c: (eog_full_screen_finalize),
	(eog_full_screen_class_init):
	* viewer/eog-full-screen.h:
	* viewer/eog-image-io.h:
	* viewer/eog-image-view.c: (filesel_ok_cb), (eog_image_view_print),
	(eog_image_view_create_ui), (eog_image_view_set_ui_container),
	(eog_image_view_unset_ui_container), (eog_image_view_finalize),
	(eog_image_view_class_init):
	* viewer/eog-image-view.h:
	* viewer/eog-image.c: (eog_image_finalize), (eog_image_class_init),
	(load_image_from_stream), (load_image_from_file),
	(eog_image_add_interfaces):
	* viewer/eog-image.h:
	* viewer/eog-preview-page.c:
	* viewer/eog-preview-page.h:
	* viewer/eog-preview.h:
	* viewer/eog-print-setup.c: (eog_print_setup_new):
	* viewer/eog-print-setup.h:
	* viewer/eog-util.c: (eog_util_load_print_settings),
	(eog_util_paper_size):
	* viewer/eog-util.h:
	* viewer/preferences.h:
	* viewer/sample-container.c:

	Initial port to GNOME2.

2001-11-28  Seth Nickell  <snickell@stanford.edu>

	* libeog/Makefile.am:
	* libeog/image-view.c: (image_view_class_init), (image_view_finalize),
	(image_view_size_allocate):
	* libeog/image-view.h:
	* libeog/ui-image.c: (ui_image_get_type), (ui_image_class_init),
	(ui_image_init), (ui_image_zoom_fit):
	* libeog/ui-image.h:

	Initial port to GNOME2.

2001-11-28  Seth Nickell  <snickell@stanford.edu>

	* Makefile.am:
	* autogen.sh:
	* configure.in:
	* collection/Makefile.am:

	Initial porting to GNOME 2.

2001-11-05  Jens Finke <jens@triq.net>

	* shell/eog-window.[ch] (verb_FileExit_cb),
	(eog_window_destroy),
	(eog_window_construct),
	(add_control_to_ui): More GNOME2 porting.
	(eog_window_get_ui_container): Return BonoboUIContainer rather
	than Bonobo_UIContainer.
	(eog_window_drag_data_received): Disabled the uri list extracting
	for now so that it at least compiles. I suppose the whole function
	needs more porting effort.

	* shell/eog-preferences.c: s/Bonobo_UIContainer/BonoboUIContainer,
	needed due to the changes in eog_window_get_ui_container.

	The eog shell should now compile and run with GNOME2.

2001-11-05  Jens Finke <jens@triq.net>

	* shell/Makefile.am: Removed idl related parts, it's in libeog.
	(INCLUDES): Use EOG_CFLAGS.
	(eog_LDADD): Use EOG_LIBS.

2001-11-28  Seth Nickell  <snickell@stanford.edu>

	* shell/Makefile.am:
	* shell/eog-preferences.c: (eog_preferences_finalize),
	(eog_preferences_class_init):
	* shell/eog-preferences.h:
	* shell/eog-window.c: (verb_HelpAbout_cb),
	(eog_window_drag_data_received), (eog_window_new),
	(eog_window_construct), (get_viewer_control),
	(get_collection_control), (get_collection_control_list):
	* shell/eog-window.h:
	* shell/main.c: (main):

	Initial port to GNOME2.

2001-09-30  Benedikt Roth  <Benedikt.Roth@gmx.net>

	* viewer/GNOME_EOG.oaf.in: Removed unused duplicated file

2001-09-30  Benedikt Roth  <Benedikt.Roth@gmx.net>

	* libeog/GNOME_EOG.oaf.in: Modified so "View as Embeddable EOG
	Image" won't show up in nautilus

2001-09-29  Michael Meeks  <michael@ximian.com>

	* viewer/*.h: fixup trailing gunk after endifs.

2001-09-27  Jody Goldberg <jgoldberg@home.com>

	* libeog/image-view.c (image_view_set_zoom) : add a minimum zoom
	  to avoid massive memory allocations in gdk-pixbuf.

2001-08-29  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* shell/eog-window.c (add_control_to_ui): If we fail to create a
	widget, print a warning and return instead of continuing (and
	crashing).

2001-08-21  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* collection/.cvsignore: Ignore Evolution-Composer*

	* collection/Makefile.am: if ENABLE_EVOLUTION, generate Evolution
	files

	* colleciton/cimage.c: (img != NULL) -> IS_CIMAGE (img)

	* collection/eog-collection-control.[c,h]:
	EogControl -> EogCollectionControl,
	eog_control -> eog_collection_control,
	EOG_CONTROL -> EOG_COLLECTION_CONTROL

	* collection/eog-collection-model.[c,h]: EOG_COLLECTION_MODEL_TYPE
	-> EOG_TYPE_COLLECTION_MODEL
	(eog_collection_model_foreach): New
	(eog_collection_model_remove_item): New
	(eog_collection_model_set_select_status): New

	* collection/eog-collection-view.[c,h]: Implement pop up menu with
	"Send" (only #ifdef ENABLE_EVOLUTION) and "Move to Trash" items.
	EOG_COLLECTION_VIEW_TYPE -> EOG_TYPE_COLLECTION_VIEW

	* collection/eog-item-factory.c: EOG_COLLECTION_MODEL_TYPE ->
	EOG_TYPE_...

	* collection/eog-wrap-list.[c,h]: We have now signals here:
	RIGHT_CLICK and DOUBLE_CLICK. Ifdef'd out unused code.

	* collection/main.c: eog_control_new -> eog_collection_control_new

2001-08-16  jacob berkman  <jacob@ximian.com>

	* shell/eog-window.c: update file sel stuff to new api

2001-08-14  Abel Cheung  <maddog@linux.org.hk>

	* configure.in(ALL_LINGUAS): zh_TW.Big5 -> zh_TW

2001-08-12  Abel Cheung  <maddog@linux.org.hk>

	* viewer/preferences.c: Fixed buglet in translation string.

2001-08-07  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image.c: Our parent class is BonoboXObjectClass.

	* viewer/eog-image-view.c: Unref the camera if operation has been
	cancelled.

2001-08-07  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view.c: Remove the listener after capturing is
	done.

2001-08-03  jacob berkman  <jacob@ximian.com>

	* shell/eog-window.c (create_bonobo_file_sel): _set_usize() the
	dialog since bonobo size stuff happens after realize time
	(eog_window_open_dialog): set the window icon on the open dialog

2001-08-01  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view.c: Make capturing of images async.

2001-08-01  jacob berkman  <jacob@ximian.com>

	* shell/eog-window.c (verb_FileExit_cb): destroy the windows
	rather than unreffing them

2001-07-31  jacob berkman  <jacob@ximian.com>

	* shell/eog-window.c (eog_window_destroy): remove our listener,
	and release our event source
	(create_bonobo_file_sel): retain pointers to our listener id and
	event source

2001-07-19  jacob berkman  <jacob@ximian.com>

	* shell/eog-window.c (create_bonobo_file_sel): set multi-select to
	the open_new_window gconf value
	(listener_cb): use the new api - string sequences

2001-07-18  jacob berkman  <jacob@ximian.com>

	* shell/eog-window.c (create_bonobo_file_sel): set some of the new
	properties on the file sel

2001-07-17  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view.c: GNOME_Camera_captureImage will just
	return a path.  Therefore, get the storage, capture the image, and
	then get a stream for the path.

2001-07-17  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/.cvsignore: Ignore GnoCam*.

	* viewer/Makefile.am: Build GnoCam[.h,-common.c,-skels.c,-stubs.c]
	if ENABLE_GNOCAM.

	* viewer/eog-image-view-ui.xml: Don't add the "Send" menu item
	here, do it...

	* viewer/eog-image-view.c: ... here only if ENABLE_EVOLUTION. If
	ENABLE_GNOCAM, add menu item "Acquire from camera" which lets you
	capture images with your camera and display it in EOG.

	* viewer/eog-image.[c,h]: Add (eog_image_load_image_from_stream)
	and make
	(eog_image_save_to_stream) consistent.

2001-07-17  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* shell/main.c: #include <libgnomeui/gnome-window-icon.h>

2001-07-17  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* configure.in: Fix check for evolution (--without didn't work). Add
	check for GnoCam.idl
	* acconfig.h: #undef ENABLE_GNOCAM

2001-07-13  jacob berkman  <jacob@ximian.com>

	* shell/eog-window.c (eog_window_construct): don't set the default
	window icon, as bonobo does this now
	(create_bonobo_file_sel): delimit mime-types with : rather than ;
	(create_bonobo_file_sel): use the new moniker way of setting
	properties

	* shell/main.c (main): set the default window icon

2001-07-13  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added nn to ALL_LINGUAS.

2001-07-11  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

        * viewer/Makefile.am: Remove EXTRA_[BONOBO,VFS]_[LIBS,CFLAGS],
	those are in EXTRA_GNOME_[LIBS,CFLAGS] now.

	* viewer/eog-control.c: Set shadow type here.

2001-07-11  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

        * shell/Makefile.am: Remove EXTRA_[BONOBO,VFS]_[LIBS,CFLAGS], those are in
        EXTRA_GNOME_[LIBS,CFLAGS] now.

	* shell/main.c: Remove glade_gnome_init - we don't need it.

2001-07-11  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

        * libeog/Makefile.am: Remove EXTRA_[BONOBO,VFS]_[LIBS,CFLAGS],
	those are in EXTRA_GNOME_[LIBS,CFLAGS] now.

	* libeog/image.[c,h]: Removed.
	* libeog/ui-image.c: Set shadow type to GTK_SHADOW_NONE.

2001-07-11  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* collection/Makefile.am: Remove EXTRA_[BONOBO,VFS]_[LIBS,CFLAGS],
	those are in EXTRA_GNOME_[LIBS,CFLAGS] now.

2001-07-11  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* configure.in: Don't check for libglade - we don't use it. Remove
	EXTRA_VFS_LIBS and EXTRA_BONOBO_LIBS, put those into EXTRA_GNOME_LIBS.
	Same with *_CFLAGS. This greatly reduces compilation time on my system.

2001-07-08  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	Now trying to plug ref counting leaks in gnumeric: even more debugging
	stuff (shows up when DEBUG_EOG=1).

	* viewer/eog-embeddable-view.c: Debugging stuff.

	* viewer/eog-image-view.c: Debugging stuff.

2001-07-08  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view.c: Use the filename for filename and
	description (attachment data).

2001-07-08  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-control.c: ZoomMenu -> ZoomOperations
	* viewer/eog-embeddable.c: Debugging stuff added.
	* viewer/eog-image-view-ui.xml: Print -> PrintOperations
	* viewer/eog-image-view.c: Debugging stuff added.

2001-07-08  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* shell/eog-shell-ui.xml: Print -> PrintOperations

2001-07-05  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image.c: Doh, free the old filename before loading a new image.
	Use BONOBO_EX. Clean up on error: unref the uri.

2001-07-05  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image.[c,h]: Don't rely on libeog/image.[c,h] to keep
	pixbuf and filename - we can do that ourselves.

	* viewer/eog-image-view.c: Get the pixbuf directly from eog-image,
	not through libeog/Image.

2001-07-05  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-data.[c,h]: Removed. Those two files have been
	renamed to eog-image-io.[c,h] a long time ago.

2001-07-05  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	Only show debugging messages if environment variable DEBUG_EOG is set
	to some value.

	* viewer/eog-control.c: Debugging stuff added.
	* viewer/eog-image-view.c: Debugging stuff added.
	* viewer/eog-image.c: Debugging stuff added. Don't create a new image each
	time something gets loaded. Recycle an existing one.
	* viewer/main.c: Debugging stuff added.

2001-07-05  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* shell/eog-window.c: Unref the old property control before
	getting a new one.

2001-07-04  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* configure.in: Use AC_CHECK_FILE instead of "test -f ...". This will
	let configure have access to cached values, reduce configure.in by 2
	lines and print a nice warning about cross compilation issues.

2001-07-03  Jens Finke <jens@gnome.org>

	Finally added a patch from
	Juan Pablo Mendoza <pablo_juan@yahoo.com>:

	* shell/eog-window.c (eog_window_drag_data_received): Add support
	for GDK_ACTION_ASK when draging files to EOG.
	(set_drag_dest): Also accept GDK_ACTION_ASK.

2001-06-30  Jens Finke <jens@gnome.org>

	* viewer/eog-image.c: Call gdk_pixbuf_loader_close before
	gdk_pixbuf_loader_get_pixbuf. Otherwise we fail to open xpm and
	tiff images, due to some hacks in gdk-pixbuf.

2001-06-30  Jens Finke <jens@gnome.org>

	* collection/eog-image-loader.c: Call gdk_pixbuf_loader_close
	before gdk_pixbuf_loader_get_pixbuf. Otherwise we fail to open xpm
	and tiff images, due to some hacks in gdk-pixbuf.

2001-06-30  Jens Finke <jens@gnome.org>

	* collection/eog-collection-control.c: Don't store reference to
	root widget.

2001-06-29  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-full-screen.[c,h]: New file (resurrected from eog/src).
	* viewer/Makefile.am: Add above files.
	* viewer/eog-image-view-ui.xml: Separate menus and commands. Add entry for
	full screen.
	* viewer/eog-image-view.c: Callback for full screen. Formatting.

2001-06-29  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* shell/eog-window.c: Remove debugging message which got checked in.

2001-06-29  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* shell/e-dialog-widgets.[c,h]:
	* shell/preferences.[c,h]:
	* shell/preferences-dialog.glade: Removed.

	* shell/eog-window.c:
	* shell/Makefile.am: Reflect above changes.

	* shell/eog-preferences.c: Plug leaks (i.e. unref the property bag
	so that our eog-image-viewer can exit).

2001-06-27  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	Ok, I got it. eog-image-viewer now exits when unused [1]. It basically
	boils down to adding stuff with bonobo_object_add_interface only when
	ref_count == 1 _and_ not touching it afterwards
	(i.e. _not_ bonobo_object_unref). God knows why...

	[1] Using "moniker-test -c file:/path/to/file". When using eog, the
	eog-image-viewer will still be alive after exiting eog. This has yet
	to be investigated.

	* viewer/eog-control.c: Small changes (see above).
	* viewer/eog-image-view.c Small changes (see above).

2001-06-27  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-control.c: Don't keep references to the widget (displayed by the
	control) and the image - we simply don't need them. Unref the
	image-view on destroy - we created it during construction.

2001-06-27  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/main.c: Kill 50% of all lines by using BONOBO_OAF_FACTORY_MULTI.
	* viewer/eog-image.c: Initialize gnome-vfs here (if needed).

2001-06-27  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view.c: In an attempt to clean up in order to be able
	to find the ref-leaks, remove the (unused) BonoboItemContainer.

2001-06-27  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/Makefile.am: Compile sample-container again (noinst)
	* viewer/sample-container.c: Rewrite to properly clean up behind. The
	eog-image-viewer is still alive after sample-container is done,
	therefore the ref-leaks seem to be in the eog-image-viewer and not
	in the shell.

2001-06-27  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* shell/eog-window.c: Unref the property control on destroy. Now,
	the eog-image-viewer shuts down after exiting eog. Don't ref the
	control widget - it'll get unref'd automatically on
	container_remove or exit.  All other changes to improve
	readability (I needed them in order to discover above problem).

2001-06-26  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/.cvsignore: Ignore generated Evolution* files

2001-06-26  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	While searching why eog-image-viewer is still alive even after exiting
	eog...

	* shell/eog-window.c: Fix two compile warnings
	(ENABLE_BONOBO_FILESEL), use BONOBO_EX and
	bonobo_object_release_unref (makes code more readable)

2001-06-26  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* shell/.cvsignore: Ignore eog (formerly eog-shell)

2001-06-25  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view-ui.xml: Add menu entry "Send" for sending
	images via email

	* viewer/eog-image-view.c: (verb_Send_cb): new. Starts a composer
	and attaches the current image.
	(eog_image_view_create_ui): Connect signal to above function.

2001-06-25  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* configure.in: Check if evolution is there, but let the user override
	this check with --without-evolution.

2001-06-25  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* acconfig.h: #undef ENABLE_EVOLUTION
	* configure.in: Give the user the option to compile with evolution
	support (sending images via evolution's composer).

2001-06-14  Jens Finke <jens@gnome.org>

	* collection/eog-collection-preferences.c:
	(ecp_create_view_page): Merged code from
	ecp_create_(layout|color)_page into this new function, so we have
	all properties on one page. Also added gconf support for storing
	the settings and beautified the dialog.
	(ecp_create_color_page), (ecp_create_layout_page): Removed.
	(ecp_activate_layout_cb), (ecp_activate_color_cb): Use gconf for
	storing settings.
	(eog_collection_preferences_create_page): Create only one page
	through ecp_create_view_page.

	* collection/eog-collection-view.[ch]:
	(prop_control_get_prop): Handle only one property page.
	(layout_changed_cb), (color_changed_cb): New functions, callbacks
	for changes in the gconf database.
	(set_configuration_values): New function, obtain values from gconf
	database and install listeners to key changes.
	(eog_collection_view_construct): Init gconf, use
	set_configuration_values.
	(eog_collection_view_set_layout_mode),
	(eog_collection_view_set_background_color): Removed.

2001-06-13  Stanislav Brabec  <utx@penguin.cz>

	* configure.in: Undef HAVE_STDDEF_H and HAVE_STDLIB_H in
	jpeglib.h test, otherwise file is not sometimes detected.
	Still causes warning while compiling in such case.

2001-06-12  jacob berkman  <jacob@ximian.com>

	* shell/eog-window.c (listener_cb): fix to use new event names,
	and handle when cancel is clicked

2001-06-07  jacob berkman  <jacob@ximian.com>

	* shell/eog-window.c (listener_cb): callback for events emitted by
	the file selector
	(create_bonobo_file_sel): creates a bonobo file selector.  if the
	control creation fails (due to the file selector seg faulting or
	not being present) a normal gtk one is created
	(eog_window_open_dialog): if bonobo filesel is enabled, try to
	create one instead of the gtk one

	please note that this stuff leaks bonobo references probably

2001-06-07  jacob berkman  <jacob@ximian.com>

	* configure.in: add configure option to enable new file selector
	(off by default)

2001-06-05  Jens Finke <jens@gnome.org>

	To see the effect of these changes go into a directory with a lot
	of .png's and type: eog *.png.

	* shell/eog-window.c (get_file_control): Renamed to
	get_viewer_control.
	(get_directory_control): Renamed to get_collection_control.
	(get_collection_control_list): New function, creates a collection
	with a list of multiple URIs.
	(add_control_to_ui): New helper function.
	(eog_window_open): Use add_control_to_ui helper function.
	(eog_window_open_list): New function, opens multiple URIs within a
	collection.

	* shell/eog-window.h (eog_window_open_list): New function.

	* shell/main.c (create_app): Free text uri.
	(create_app_list): Opens a new window with a list of URIs.
	(make_canonical_uri),
	(sort_startup_files),
	(open_in_single_windows),
	(user_wants_collection),
	(handle_cmdline_args): New helper functions.
	(main): Improved poptContext handling use handle_cmdline_args.

2001-06-05  Federico Mena Quintero  <federico@ximian.com>

	* Makefile.am: Removed schemadir and schema_DATA since the schemas
	are *NOT* to be installed manually; they need to be installed with
	GConf's tools.

2001-06-05  Jens Finke <jens@gnome.org>

	* README: Updated URLs, dependencies and authors list.

2001-06-01  Jens Finke <jens@gnome.org>

	* collection/Makefile.am (INCLUDES), (eog_collection_LDADD): Added
	gnome-vfs flags.

	* collection/cimage.[ch] (cimage_new): Create GnomeVFSURI from
	text uri and use cimage_new_uri.
	(cimage_new_uri): New function, creates an cimage from
	GnomeVFSURI.
	(cimage_get_uri): Return GnomeVFSURI object.
	(cimage_is_directory): Use GnomeVFS functions to determine file
	type.

	* collection/eog-collection-model.c (loading_context_free): New
	helper function.
	(directory_visit_cb): New function, opens a single file contained
	in a directory.
	(real_storage_loading): Renamed to real_dir_loading, uses GnomeVFS
	functions now, removed all the BonoboStorage/Stream stuff.
	(directory_filter_cb): New function, determines what kind of files
	we can handle within a directory.
	(real_stream_loading): Renamed to real_file_loading, uses GnomeVFS
	functions now, removed all the BonoboStorage/Stream stuff.
	(eog_collection_model_set_uri),
	(eog_collection_model_set_uri_list),
	(prepare_context): Use GnomeVFS functions, removed all the
	BonoboStorage/Stream stuff.

	* collection/eog-collection-view.c (eog_collection_view_get_prop):
	Adapted to cimage changes.

	* collection/eog-image-loader.c (load_uri): Use GnomeVFS
	functions, removed all the BonoboStorage/Stream stuff.

	* collection/eog-item-factory-simple.c (ii_factory_update_item):
	Adapted to cimage changes.

	* collection/main.c (init_server_factory): Call gnome-vfs-init.

2001-05-31  Jens Finke <jens@gnome.org>

	* viewer/Makefile.am: Stop building the sample-container program.
	(INCLUDES), (eog_image_viewer_LDADD): Added GnomeVFS flags.

	* viewer/eog-image-view.c (load_image_from_file): The filename
	will be interpreted as an URI now, using gdk_pixbuf_loader system
	to load the image.

	* viewer/main.c (init_server_factory): Added gnome_vfs_init call.

2001-05-31  Jens Finke <jens@gnome.org>

	* shell/Makefile.am (INCLUDES), (eog_LDADD): Added vfs flags.

	* shell/eog-window.c (get_file_control),
	(get_directory_control),
	(eog_window_open): We now use GnomeVFSURI for file handling here.

	* shell/main.c (main): Added gnome_vfs_init () call.

2001-05-31  Jens Finke <jens@gnome.org>

	* shell/Makefile.am: Renamed binary from eog-shell to eog.

2001-05-31  Jens Finke <jens@gnome.org>

	* collection/Makefile.am (INCLUDES): Added $(EXTRA_GNOME_CFLAGS)
	[all these extra flags are really a mess, maybe its time for a
	cleanup].
	(eog_collection_LDADD): Added $(EXTAR_GNOME_LIBS).

2001-05-31  Jens Finke <jens@gnome.org>

	* configure.in: Added check for gnome-vfs >= 1.0.0 and set
	appropriate variables.

2001-05-30  Jens Finke <jens@gnome.org>

	* collection/cimage.[ch]: (cimage_set_dimensions),
	(cimage_get_width), (cimage_get_height): New functions.

	* collection/eog-collection-model.[ch]:
	(eog_collection_model_get_selected_image): New function, which
	returns the single selected image.

	* collection/eog-collection-view.c:
	(eog_collection_view_get_prop): If only a single image is
	selected, provide detailed informations about it in the
	'window/status' text.

	* collection/eog-image-loader.c (loading_finished): Set image
	dimensions.

2001-05-29  Jens Finke <jens@gnome.org>

	* viewer/eog-image-view.c:
	(eog_image_view_get_prop): Set only image filename as window
	title, add handler for 'window/status' property.
	(image_view_zoom_changed_cb): New function, informs listeners to
	'window/status' about changed zoom factor.
	(eog_image_view_construct): Connect to 'zoom_changed' signal, add
	bonobo property 'window/status'.

2001-05-29  Jens Finke <jens@gnome.org>

	* viewer/eog-image-view.c (eog_image_view_construct): Changed
	properties to 'image/width', 'image/height' and
	'window/title'. This is more consistent with the rest of the
	bonobo property naming scheme.

2001-05-29  Jens Finke <jens@gnome.org>

	* shell/eog-window.c (eog_window_construct): Added a statusbar to
	the window bottom.
	(title_changed_cb): Renamed to property_changed_cb, which handles
	all changed control properties.
	(set_window_title): Renamed to check_for_control_properties. It
	checks for 'window/title' and 'window/status' which actually sets
	the window title and the status message and installs listeners to
	them.
	(eog_window_open): Make sure the path is an absolute path.

2001-05-29  Jens Finke <jens@gnome.org>

	* libeog/image-view.[ch]: Added new 'zoom_changed' signal.
	(image_view_key_pres): Use GDK_plus key as shortcut for zooming
	into an image (enables this also for non-american keyboards).
	(image_view_set_zoom): Emit 'zoom_changed' signal.

2001-05-29  Jens Finke <jens@gnome.org>

	* collection/eog-collection-model.[ch]:
	(eog_collection_model_class_init): Add 'base_uri_changed' signal.
	(eog_collection_model_set_uri),
	(eog_collection_model_set_uri_list): Emit 'base_uri_changed' if
	neccessary.
	(eog_collection_model_toggle_select_status),
	(select_all_images),
	(unselect_all_images): Emit 'selection_changed' signal.
	(eog_collection_model_get_selected_length): New function, which
	returns the number of selected images.

	* collection/eog-collection-view.c: Renamed properties to
	'window/title' and 'window/status', which is more consistent with
	the rest of the bonobo property naming scheme.
	(eog_collection_view_get_prop): View only the base_uri of this
	collection, new handler for the PROP_WINDOW_STATUS property.
	(update_properties),
	(update_status_text),
	(update_title_text),
	(model_size_changed),
	(model_selection_changed),
	(model_base_uri_changed): New functions (or slightly renamed),
	which introduce a nice async property change client notification.
	(eog_collection_view_construct): Connect to new model signals.

2001-05-28  Jens Finke <jens@gnome.org>

	* viewer/eog-print-setup.c (eog_print_setup_new): Added gettext
	hint for translation. This should fix bug #55349.

2001-05-27  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* libeog/Makefile.am: $(BUILT_SOURCES) got added to CLEANFILES two
	times? I guess one time is enough...

2001-05-22  Jens Finke <jens@gnome.org>

	* collection/eog-collection-view.c: Oops, forgot it at last
	commit.

2001-05-21  Jens Finke <jens@gnome.org>

	* viewer/eog-image-view.c: Renamed bonobo:title property to
	window_title, due to problems with the bonobo_event_make_name
	function in bonobo-listener.c.

2001-05-21  Jens Finke <jens@gnome.org>

	* viewer/eog-image.c (load_image_from_stream): Try to retrieve the
	name of the stream and set it as filename. We need this to
	assemble a nice bonobo:title. Unfourtunately the bonobo stream
	implementation is broken, so it doesn't work yet.

2001-05-21  Jens Finke <jens@gnome.org>

	* viewer/eog-image-view.c: Added three new read-only properties:
	'image_width', 'image_height' and 'bonobo:title'.
	(eog_image_view_get_prop): Added handler for the new properties.
	(eog_image_view_construct): Add new properties to the
	property_bag.

	* viewer/eog-image.c (load_image_from_file): Initialize filename
	in the Image-struct.

2001-05-21  Jens Finke <jens@gnome.org>

	* shell/eog-window.c (title_changed_cb) New function to update the
	window title.
	(set_window_title): Listen to changes to the 'window_title'
	property of the embedded control.

2001-05-21  Jens Finke <jens@gnome.org>

	* shell/eog-window.c (set_window_title): New function, which
	retrieves the window title from the control property
	'bonobo:title'.
	(eog_window_open): Call set_window_title.

2001-05-21  Jens Finke <jens@gnome.org>

	* collection/eog-collection-model.c:
	* collection/eog-image-loader.c:
	* collection/eog-item-factory-simple.c:
	* collection/eog-wrap-list.c: Guarded debug messages with #ifdef
	COLLECTION_DEBUG. Some were so unneccessary that I removed them
	completely.

2001-05-21  Jens Finke <jens@gnome.org>

	* collection/eog-collection-control.c (eog_control_construct): Add
	property bag to control.

	* collection/eog-collection-model.[ch]: Added a base_uri
	attribute, which stores the common part of all viewed URIs. Maybe
	this doesn't work under all conditions.
	(eog_collection_model_set_uri),
	(eog_collection_model_set_uri_list): Set base_uri.
	(eog_collection_model_get_base_uri): New function.

	* collection/eog-collection-view.[ch]: Added property bag
	attribute.
	(eog_collection_view_get_property_bag),
	(eog_collection_view_get_prop),
	(eog_collection_view_set_prop): New functions.
	(update_title_property),
	(model_interval_size_changed): New functions to update the
	'window_title' property correctly.
	(eog_collection_view_construct): Create property bag and listen to
	model interval changes.

2001-05-18  Jens Finke <jens@gnome.org>

	* viewer/eog-image-view.c (image_set_image_cb): Enlarge window to
	image size on loading.

2001-05-18  Jens Finke <jens@gnome.org>

	* shell/eog-window.c (eog_window_construct): Removed
	gtk_widget_set_usize function and replaced it with
	gtk_window_set_geometry_hints. Added window icon and allowed the
	window to shrink automatically.

2001-05-18  Jens Finke <jens@gnome.org>

	* libeog/image-view.[ch] (image_view_get_scaled_size): New
	function, which returns the image width and height, but takes also
	the zoom factor into account.

	* libeog/ui-image.[ch] (ui_image_fit_to_screen): New function,
	tries to show the whole image with zoom factor 1.0, if this
	doesn't fit onto the screen, then it scales the image down.

2001-05-07  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	Reduce complexity, make Image obsolete.

	* libeog/Makefile.am: Do not compile image.[c,h].

	* libeog/image-view.[c,h]: Don't use the Image to keep the
	pixbuf. We can do that ourselves.

	* libeog/ui-image.[c,h]: Get the pixbuf using the ImageView, not
	Image.

2001-04-27  Jens Finke <jens@gnome.org>

	* configure.in: Check for bonobo version >= 1.0.0. We really need
	this, otherwise the collection crashes.

2001-04-23  Jens Finke <jens@gnome.org>

	* idl/Eog.idl (GNOME::EOG:URIList): Added.
	(GNOME::EOG::ImageCollection): New method openURIList.

2001-04-23  Jens Finke <jens@gnome.org>

	This patch enables the collection component to load a bunch of
	single files too. It's even possible to mix directory contents and
	simple files.

	* collection/eog-collection-model.c (EogCollectionModelPrivate):
	Removed storage, uri and idle_id attributes.
	(LoadingContext): New structure which holds all neccessary
	informations to load an URI.
	(real_image_loading): Removed.
	(eog_collection_model_set_uri_list),
	(prepare_context),
	(real_storage_loading),
	(real_stream_loading): New functions.
	(eog_collection_model_set_uri): Rewrote this one.

	* collection/eog-collection-view.c
	(impl_GNOME_EOG_ImageCollection_openURIList): New function.

2001-04-23  Jens Finke <jens@gnome.org>

	* collection/cimage.[ch]: s/path/uri/

	* collection/eog_image_loader.c: Added queue and idle loop based
	loading. Due to this, the EogImageLoader doesn't depend on
	EogCollectionModel anymore.
	(eog_image_loader_set_model): Removed.
	(loading_canceled),
	(loading_finished),
	(setup_next_uri): New functions.
	(real_image_loading): Renamed to load_uri and revised.
	(eog_image_loader_start): Append image to load to queue, changed
	signature.

	* collection/eog_collection_model.c
	(eog_collection_model_get_next_loading_context): Removed.
	(eog_collection_model_real_image_loading): Assemble correct URI
	for cimage objects, call eog_image_loader_start and emit
	INTERVAL_ADDED signale for every single cimage object.
	(eog_collection_model_get_uri): Use cimage_get_uri function.

	* collection/eog_item_factory_simple.c (ii_factory_update_item): Use
	cimage_get_uri.

2001-04-18  Jens Finke <jens@gnome.org>

	* collection/eog-collection-preferences.[ch]:
	* collection/eog-item-factory-simple.[ch]:
	* collection/eog-item-factory.[ch]:
	* collection/eog-wrap-list.[ch]: Use standard program copyright
	notice at top of file.

2001-04-14  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-preview-page.c: Move all cutting helps to top-left
	when they are no longer shown. Like that, the lines will remain
	hidden even if the orientation or paper size is changed.

2001-04-14  Michael Meeks  <michael@ximian.com>

	* libeog/Makefile.am (dist-hook): add.

2001-04-12  Martin NorbÃ¤ck <d95mback@dtek.chalmers.se>

	* libeog/GNOME_EOG.oaf.in: make nautilus_view_as values
	translatable.

2001-04-11  Jens Finke <jens@gnome.org>

	* collection/eog-collection-preferences.[ch]: New files.

	* collection/Makefile.am (SOURCES): Added the new files.

	* collection/eog-collection-view.[ch]:
	(eog_collection_view_set_layout_mode),
	(eog_collection_view_set_background_color),
	(prop_control_get_prop),
	(prop_control_get_cb): New functions.
	(eog_collection_view_construct): Create BonoboPropertyControl
	object.

	* collection/eog_wrap_list.c: (eog_wrap_list_set_layout_mode),
	(eog_wrap_list_set_background_color): New function.
	(do_layout_check): Added support for different item layout
	flavours: vertical, horizontal and rectangle.
	(update): Check for new global update hint
	GLOBAL_LAYOUT_MODE_CHANGED.

	* collection/eog_wrap_list.h: (eog_wrap_list_set_layout_mode),
	(eog_wrap_list_set_background_color): New function declarations.
	(EogLayoutMode): New enumeration.

2001-04-10  Jens Finke <jens@gnome.org>

	I did the changes since 2001-04-02 on holidays in the south france
	sun without internet access, so I commit these at once now. Its
	likely that I forgot some minor changes.

	* collection/eog-item-factory-simple.c
	(eog_item_factory_simple_construct): New Function.
	(eog_item_factory_simple_new): Call construct method.
	(shade_bgr_destroy_notify_cb): New function.
	(ii_factory_update_item): Set item border to black, use shaded
	background for images, set font color to white.

2001-04-07  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view.c: Change gdouble to gint in order to get
	counting of pages right.

	* viewer/eog-print-setup.c: Fix typo that resulted in the wrong
	image for print order.

2001-04-07  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view.[ch]:
	* viewer/eog-preview-page.[ch]:
	* viewer/eog-preview.[ch]:
	* viewer/eog-print-setup.[ch]:
	* viewer/eog-util.[ch]: Implement overlap support. Moved the unit
	selection out of the notebook as it now affects overlap, too.

2001-04-07  Jens Finke <jens@gnome.org>

	* collection/eog-wrap-list.c (handle_item_event): Recognize CTRL
	and SHIFT key modifiers and behave accordingly.
	(get_item_view_position): New handy function.

	* collection/eog-collection-model.c
	(eog_collection_model_toggle_select_status): Takes a single id now
	instead of a GList of ids. The list isn't really needed and its
	much easier to use it this way.

2001-04-06  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/Makefile.am: Added $(GCONF_LIBS) to sample_container as I
	put some gconf stuff into...

	* viewer/eog-util.[ch]: Put some gconf stuff here from...

	* viewer/eog-print-setup.[ch]: Give the user the option to cancel
	everything.  We now update the preview manually from here instead
	of doing it through gconf. That makes a move away from gconf
	easier.

	* viewer/eog-image-view.[ch]: Use the functions in eog-util.c to
	retreive the settings.

	* viewer/eog-preview-page.c: If cutting help is not wanted, move
	it to (0,0) where we can hide it even if the page size shrinks.

2001-04-06  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* eog-image-view.c:
	* eog-preview-page.[ch]:
	* eog-preview.c:
	Don't let the user specify margins that are too big for the page.
	Store margins as float (we should have done this from the beginning)
	so that unit conversions won't result in rounding errors.
	Internally handle everything but pixmap sizes in gdouble. Get preview
	and printing in sync again (not 100% done - but 99,9%...).

2001-04-05  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-preview-page.c: We don't need SCALE here anywhere.

	* viewer/eog-print-setup.c: Implement unit support.

2001-04-05  Jens Finke <jens@gnome.org>

	* collection/eog-wrap-list.c (EogWrapListPrivate struct): Added
	view_order list.
	(compare_item_caption): New function to create a sorted list of
	items according to their caption.
	(do_item_added_update): Attach caption to item object and insert
	it into the sorted view_order list.
	(do_item_rearrangement): Traverse view_order list instead of hash
	table.
	(rearrange_single_item): Use GFunc like signature.

2001-04-04  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-print-setup.c: First work towards supporting
	units. Not functional yet, though.

2001-04-04  Jens Finke <jens@gnome.org>

	* collection/cimage.[ch] (cimage_toggle_select_status): New
	function

	* collection/eog-collection-model.[ch]
	(eog_collection_model_toggle_select_status),
	(eog_collection_model_set_select_status_all)
	(select_all_images),
	(unselect_all_images): New functions.

	* collection/eog-wrap-list.c (handle_canvas_click): New function.
	(eog_wrap_list_construct): Connect to canvas "button-press-event"
	signal.
	(handle_item_event): Process GDK_BUTTON_PRESS event.

	* collection/eog-item-factory-simple.c (ii_factory_update_item):
	Indicate if the thumbnail is selected or not.

2001-04-03  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view.c:
	(print_page): Always move (0,0) to bottom left at the
	beginning. This makes the code cleaner. If needed, ...
	(print_cutting_help): ... print cutting help.

2001-04-03  Michael Meeks  <michael@ximian.com>

	* shell/main.c (main): bind text domain so we get translations.

2001-04-03  Michael Meeks  <michael@ximian.com>

	* shell/eog-window.c (eog_window_construct): setup configuration.

2001-04-02  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-preview.c:
	* viewer/eog-preview-page.[ch]:
	* viewer/eog-image-view.c: Resize the pixbuf once at the
	beginning. That lets us get rid of the distinction fit_to_page -
	adjust_to and we are able to determine the interpolation type
	(gnome-print chooses its own otherwise).

2001-04-02  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-preview.c: Give the user the option to print a
	cutting help.

	* viewer/eog-preview-page.c: Show this cutting help if selected.

	* viewer/eog-image-view.c: Print a warning that we havent'
	implemented the printing of the cutting help yet...

2001-04-02  Jens Finke <jens@gnome.org>

	* collection/eog-wrap-list.c (do_item_added_update): Attach unique
	id to canvas item and connect to 'event' signal.
	(handle_item_event): Read unique id from item and propagate it
	together with emmited signal.

2001-04-01  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-preview-page.c: Show the margins as a red line. Red
	because those lines won't be printed. Shall we give the user the
	option to print them?

2001-03-31  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-preview-page.[ch]: New files

	* viewer/eog-preview.c: This is now a hbox with one or more vboxes
	containing eog-preview-pages. It creates, removes, and updates
	eog-preview-pages when gconf-settings change. The whole thing is
	much cleaner now.

	* viewer/eog-print-setup: Just show a eog-preview instead of
	creating hboxes and vboxes.

2001-03-29  Jens Finke <jens@gnome.org>

	* collection/Makefile.am (SOURCES): Removed
	gnome-icon-item-factory.[ch] and gnome-list-item-factory.[ch],
	added eog-item-factory.[ch] and eog-item-factory-simple.[ch]

	* collection/gnome-icon-item-factory.[ch],
	gnome-list-item-factory.[ch]: Removed.

	* collection/eog-item-factory.[ch]: New files, improved abstract
	interface for item factories.

	* collection/eog-item-factory-simple.[ch]: New files, implements
	abstract factory interface.

	* collection/eog-collection-view.c
	(eog_collection_view_construct): Use EogItemFactorySimple.

	* collection/eog-wrap-list.c
	(eog_wrap_list_set_factory),
	(do_item_added_update),
	(do_item_changed_update): Use EogItemFactory interface.
	(eog_wrap_list_set_factory): Initialize item_width, item_height.
	(do_layout_check),
	(calculate_item_position),
	(do_item_rearrangement): Removed hardcoded item size values,
	instead use item_width and item_height variables.

2001-03-28  Jason Leach  <jasonleach@usa.net>

	* viewer/Makefile.am (INCLUDES): builddir != srcdir fix.

2001-03-28  Jason Leach  <jasonleach@usa.net>

	* shell/Makefile.am (INCLUDES): builddir != srcdir fix.

2001-03-28 Jens Finke <jens@gnome.org>

	* shell/Makefile.am (EXTRA_DIST): Removed glade_messages in order
	to create buildable tarballs.

2001-03-28  Jason Leach  <jasonleach@usa.net>

	* collection/Makefile.am (INCLUDES): builddir != srcdir fix.

2001-03-28  Jens Finke <jens@gnome.org>

	* autogen.sh: Use 'shell' and 'viewer/main.c' to check for eog
	toplevel directory.

	* configure.in (AC_OUTPUT): Removed 'src/*', added
	'libeog/cursors/Makefile' and 'libeog/stock/Makefile'.

	* Makefile.am (SUBDIRS): Finally removed src
	directory.

2001-03-27  Jens Finke <jens@gnome.org>

	* collection/eog-collection-model.c:
	* collection/eog-wrap-list.c: Use hash table to hold all the
	loaded images, instead of a simple list.

2001-03-27  Jens Finke <jens@gnome.org>

	* collection/eog-image-list.[ch]:
	* collection/eog-image-selection-model.[ch]:
	* collection/gnome-icon-list-model.[ch]:
	* collection/gnome-list-model.[ch]:
	* collection/gnome-list-selection-model.[ch]:
	* collection/gnome-list-view.[ch]:
	* collection/gnome-position-list-model.[ch]:
	* collection/gnome-wrap-list.[ch]: Removed files. These contained
	a lot of lagacy stuff, which isn't used anymore.

	* collection/eog-wrap-list.[ch]: New files. This substitutes the
	old gnome-wrap-list, provides smooth scrolling, is faster and does
	correct layouting.

	* collection/Makefile.am (SOURCES): Adapted to above changes.

	* collection/eog-collection-model.[ch]: Use a GList of unique ids
	as parameter for the interval_added, interval_changed and
	interval_removed signals.

	* collection/eog-collection-view.c
	(eog_collection_view_construct): Use EogWrapList instead of
	GnomeWrapList.

	* collection/gnome-icon-item-factory.c
	(ii_factory_configure_item): Renamed to ii_factory_update_item,
	adapted to work with EogWrapList.
	(ii_factory_create_item): Added unique_id to parameter list.

	* collection/gnome-list-item-factory.[ch] (configure_item signal):
	Renamed to update_item, removed last 3 parameter.
	(create_item signal): Added unique_id to paramter list.

2001-03-27  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* art: New directory containing some icons (from gnumeric) the
	viewer needs.
	* configure.in: Build Makefile in art
	* Makefile.am: Add art to SUBDIRS

2001-03-26  Darin Adler  <darin@eazel.com>

	* collection/.cvsignore: Ignore the generated .oaf file.

2002-03-25  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-preview.[ch]: New files

	* viewer/Makefile.am: Added above files and -DICONDIR=..., as we
	use some icons there

	* viewer/eog-image-view.c: Support for printing one image over
	multiple pages.  Support for range specification.

	* viewer/eog-print-setup.c: Added preview. Support for print order
	specification. Support for multiple pages.

2001-03-21  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* shell/main.c (main): init_with_popt_table in order to be able to
	load given files. If we are given files (or directories), load
	each into a separate window.
	(create_app): If we are given a parameter (== filename), load it.

2001-03-20  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-print-setup.[ch]: New files

	* viewer/Makefile.am: Add above files and GCONF_LIBS, as we use
	gconf now

	* viewer/eog-image-view-ui.xml: Add menuitem "Print Setup"

	* viewer/eog-image-view.h:
	(eog_image_view_print): New function, was do_print, now used by
	eog-print-setup, too

	* viewer/eog-image-view.c: When printing, consider what the user
	specified via the new print-setup-dialog.

2001-03-18  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view-ui.xml: Added menuitems for printing
	operations.

	* viewer/eog-image-view.c:
	(do_print): New function, handles printing operations.
	(verb_PrintPreview_cb),
	(verb_Print_cb): New functions, redirect to above.

2001-03-18  Lutz MÃ¼ller  <urc8@rz.uni-karlsruhe.de>

	* shell/eog-shell-ui.xml: Added placeholder for printing
	operations.

2001-03-16  Michael Meeks  <michael@ximian.com>

	* viewer/eog-image-view.c (eog_image_view_construct): Use Bilinear
	as the default interpolation type - Hyperbolic is buggy at ~1.0
	zoom levels, no crashes - just a tartan texture.

2001-03-12  Jens Finke <jens@gnome.org>

	* shell/eog-window.c (eog_window_construct): Add
	BonoboControlFrame interface to object.
	(activate_uri_cb): New function.
	(get_directory_control): Use new GNOME:EOG:ImageCollection
	interface.
	(eog_window_open): Set BonoboControlFrame for controls.

2001-03-12  Jens Finke <jens@gnome.org>

	* idl/Eog.idl (GNOME::EOG::ImageCollection) Removed 'setStorage',
	added 'openURI'.

2001-03-12  Jens Finke <jens@gnome.org>

	* collection/eog-collection-control.[ch]: Parent class is
	EogCollectionView now. Use BonoboXObject functionality.
	(handle_open_uri): New function.
	(eog_control_construct): Rewrote this completely.

	* collection/eog-collection-model.[ch]: Handle URIs now instead of
	Bonobo_Storage objects. URIs will be resolved to storages
	internally.
	(eog_control_set_storage): Removed.
	(eog_control_set_uri): New function.
	(eog_control_get_uri): New function.
	(eog_control_destroy): Set attributes to NULL after freeing.

	* collection/eog-collection-view.c
	(impl_GNOME_EOG_ImageCollection_setStorage): Removed.
	(impl_GNOME_EOG_ImageCollection_openURI): New function.
	(eog_collection_view_class_init): Add signal 'open_uri'.
	(handle_item_dbl_click): New function.
	(eog_collection_view_construct): Connect to signal
	'item_dbl_click'.

	* collection/eog-collection-view.h (_EogCollectionViewClass):
	Signal 'open_uri' added.

	* collection/eog_image_loader.c (real_image_loading): Removed
	unneccessary io buffer initialisation. Free the buffer correctly.

	* collection/gnome-wrap-list.c (class_init): Add signal
	'item_dbl_click'.
	(handle_item_event): Added case for item double click.

	* collection/gnome-wrap-list.h (_GnomeWrapListClass): Signal
	'item_dbl_click' added.

2001-03-09  Jens Finke <jens@gnome.org>

	* shell/eog-shell-ui.xml: Added stock pixmap to 'FileNewWindow'
	command and accelerators for 'FileNewWindow', 'FileOpen' and
	'FileCloseWindow'.

2001-03-07  Jens Finke <jens@gnome.org>

	* collection/Makefile.am: Added support for xml-i18n-tools.

	* collection/GNOME_EOG_Collection.oafinfo: Renamed to
	GNOME_EOG_Collection.oaf.in and marked strings for translation
	where appropriate.

2001-03-06  Jens Finke <jens@gnome.org>

	* shell/eog-window-c (get_dir_images) Removed.
	(get_file_control): Use Bonobo_Storage Objects and new
	ImageCollection interface.

2001-03-06  Jens Finke <jens@gnome.org>

	* idl/Eog.idl (typedef Files): Removed.
	(GNOME::EOG::ImageCollection): Removed 'addFiles', added
	'setStorage'.

2001-03-06  Jens Finke <jens@gnome.org>

	* collection/GNOME_EOG_Collection.oafinfo: Added
	'x-directory/normal' to list of supported mime types.

	* collection/Makefile.am (SOURCES): eog-collection-model.[ch]
	added.

	* collection/cimage.c (get_unique_id): Uncommented.
	(cimage_new): Set unique_id again. I think we need this to support
	basic file operations like 'rename' or 'remove'.

	* collection/eog-collection-view.c
	(impl_GNOME_EOG_ImageCollection_addImages): Removed.
	(impl_GNOME_EOG_ImageCollection_setStorage): New function.
	(eog_collection_view_destroy): Free 'model', 'sel_model' and
	'factory'.
	(eog_collection_view_class_init): Set correct parent class. This
	fixes the crash, which was introduced with the BonoboXObject
	switch.
	(eog_collection_view_construct): Use EogCollectionModel now.

	* collection/eog-image-loader.c: Added 'loading_finished',
	'_canceled' and '_failed' signals.
	(eog_image_loader_set_model), (eog_image_loader_destroy): Use
	EogCollectionModel instead of EogImageListModel.
	(real_image_loading): Use Bonobo_Stream Objects instead of native
	file operations.

	* collection/eog-image-loader.h: Renamed
	'IS_EOG_IMAGE_LOADER[_CLASS]' to 'EOG_IS_IMAGE_LOADER[_CLASS]' for
	consistency.

	* collection/gnome-icon-item-factory.c:
	* collection/gnome-list-item-factory.[ch]:
	* collection/gnome-list-view.[ch]:
	* collection/gnome-wrap-list.c: Updated to use EogCollectionModel
	instead of EogImageListModel.

	* collection/eog-collection-model.[ch]: New files.

2001-03-01  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* viewer/eog-image-view-ui.xml: Added 'FileOperations' placeholder
	and menuitem 'SaveAs'.

	* viewer/eog-image-view.c
	(filesel_ok_cb), (filesel_cancel_cb), (verb_SaveAs_cb): New
	functions.
	(eog_image_view_create_ui): Added callback for 'SaveAs'.

	* viewer/eog-image.[ch]
	(save_image_to_stream): Handle type == CORBA_OBJECT_NIL.
	(eog_image_save_to_stream): New function, redirects to function
	above.

2001-03-01  Jens Finke <jens@gnome.org>

	* shell/eog-shell-ui.xml: Renamed 'Create New Window' to 'New
	Window' and 'Close Window' to 'Close'. So it's more consistent
	with other applications.

2001-03-01  Lutz MÃ¼ller <urc8@rz.uni-karlsruhe.de>

	* shell/eog-shell-ui.xml: Added 'FileOperations' placeholder and
	put 'FileOpen' in it.

2001-03-01  Jens Finke <jens@gnome.org>

	* collection/eog_collection_view.[ch]: Use BonoboXObject.
	(eog_collection_view_get_epv): Removed.
	(init_eog_collection_view_corba_class): Removed.
	(eog_collection_view_construct): Removed 'corba_object' argument.
	(eog_collection_view_get_type): Replaced with
	BONOBO_X_TYPE_FUNC_FULL.
	(eog_collection_view_corba_object_create): Removed.

2001-02-28 Jens Finke <jens@gnome.org>

	* libeog/: Copied cursors and stock directories from ../src.

	* libeog/Makefile.am (SUBDIRS): Added cursors and stock directory.

2001-02-27  Jens Finke <jens@gnome.org>

	Applied patch from Lutz Mueller <urc8@rz.uni-karlsruhe.de>:

	* viewer/eog-control.c (eog_control_create_ui): New path for
	zoom_menu.

	* viewer/eog-image-view-ui.xml: Removed 'Component' placeholder.

2001-02-27  Jens Finke <jens@gnome.org>

	Applied patch from Lutz Mueller <urc8@rz.uni-karlsruhe.de>:

	* shell/eog-shell-ui.xml: Renamed placeholder to 'View' and moved
	it between 'File' and 'Settings' menu.

2001-02-20  Martin Baulig  <baulig@suse.de>

	* viewer/preferences.[ch]: New files.

	* viewer/eog-image-view.c
	(eog_image_view_get_property_control): New function.
	(eog_image_view_construct): Create the BonoboPropertyControl.
	(eog_image_view_get/set_interpolation/dither/check_type/check_size):
	Get/set values from the PropertyBag and directly from the
	ImageView directly. This way we can "hide" the property bag in the
	implementation and transparently use the get/set function.
	(eog_image_view_get/set_prop): Operate directly on the ImageView.

	* viewer/eog-control.c (eog_control_construct): Get the
	PropertyControl from the EogImageView and
	bonobo_object_add_interface() it.

	* viewer/eog-image.[ch]: Use BonoboXObject.
	(eog_image_corba_object_create): Removed.
	(eog_image_construct): Removed `corba_object' argument.

	* viewer/eog-image-data.[ch]: Use BonoboXObject.
	(eog_image_data_corba_object_create): Removed.
	(eog_image_data_construct): Removed `corba_object' argument.

	* viewer/eog-image-view.[ch]: Use BonoboXObject.
	(eog_image_view_corba_object_create): Removed.
	(eog_image_view_construct): Removed `corba_object' argument.

	* viewer/eog-embeddable-view.h
	(eog_embeddable_view_corba_object_create): Removed prototype for
	non-existing function.

2001-02-22  Arik Devens  <arik@eazel.com>

	* viewer/Makefile.am: Added gconf cflags so that we can build.

2001-02-20  Martin Baulig  <baulig@suse.de>

	* shell/eog-preferences.[ch]: New files.

	* shell/eog-window.h: Renamed IS_EOG_WINDOW -> EOG_IS_WINDOW,
	IS_EOG_WINDOW_CLASS -> EOG_IS_WINDOW_CLASS to make it consistent
	with how it's done everywhere else.

	* shell/eog-window.c (eog_window_get_property_control): New
	function.
	(eog_window_get_ui_container): New function.
	(verb_Preferences_cb): Use the PropertyControl from
	eog-preferences.c.

2001-02-20  Martin Baulig  <baulig@suse.de>

	* AUTHORS: Added Jens Finke, Michael Meeks and myself.

2001-02-18  Martin Baulig  <baulig@suse.de>

	* collection/Makefile.am: Don't build the CORBA stuff here but
	link against ../libeog/libeog.la.

2001-02-17  Martin Baulig  <baulig@suse.de>

	* shell/main.c (main): Don't call CORBA_Object_release (orb).

	* shell/eog-window.c (sensitive_zoom_items, auto_size): Commented
	out unused functions.

2001-02-16  Michael Meeks  <michael@ximian.com>

	* autogen.sh: fix so we actually configure.
	* configure.in: ditto.

2001-02-15  Jens Finke <jens@gnome.org>

	* viewer/eog-control.c (toolbar definition): Changed name to
	'Toolbar', set correct pixmaps for 'ZoomIn' and 'ZoomOut' items.

	* viewer/eog-image-view-ui.xml: Inserted placeholder 'Component',
	renamed submenu from 'EOG' to 'View'.

2001-02-15  Martin Baulig  <baulig@suse.de>

	* shell/e-dialog-widgets.[ch], preferences.[ch],
	preferences-dialog.glade, util.[ch]: Replaced with a direct CVS
	copy which has the full history.

2001-02-15  Jens Finke <jens@gnome.org>

	* shell/eog-window.[ch]:
	* shell/eog-shell-ui.xml:
	* shell/main.c: Rewrote this completely.

	* shell/e-dialog-widgets.[ch]: Verbatim copy from ../src.
	* shell/preferences.[ch]: Verbatim copy from ../src.
	* shell/preferences-dialog.glade[.h]: Verbatim copy from ../src.
	* shell/util.[ch]: Verbatim copy from ../src.

2001-02-15  Martin Baulig  <baulig@suse.de>

	* libeog/gtkscrollframe.[ch]:
	* libeog/image-view.[ch]:
	* libeog/image.[ch]:
	* libeog/uta.[ch]:
	* libeog/cursors.[ch]:
	* libeog/ui-image.[ch]:
	* libeog/zoom.[ch]: Copied here from ../src.

	* libeog/GNOME_EOG.oaf.in: Copied here from ../viewer.

	* libeog/Makefile.am: Build the CORBA stuff here.

2001-02-15  Martin Baulig  <baulig@suse.de>

	* libeog/image-view.h
	(CheckType, CheckSize, ScrollType, FullScreenZoom): Moved here
	from preferences.h and don't include it.

2001-02-15  Jens Finke <jens@gnome.org>

	* idl/Eog.idl (typedef Files): Added.
        (GNOME::EOG:ImageCollection): New interface.

2001-02-15  Martin Baulig  <baulig@suse.de>

	* collection/cimage.c (get_unique_id): Comment out unused
	function.
	(last_id): Moved into get_unique_id ().

2001-02-15  Jens Finke <jens@gnome.org>

	Imported first version of the image collection component.

	* collection/GNOME_EOG_Collection.oafinfo: New file.
	* collection/cimage.[ch]: New files.
	* collection/eog-collection-control.[ch]: New files.
	* collection/eog-collection-view.[ch]: New files.
	* collection/eog-image-list-model.[ch]: New files.
	* collection/eog-image-loader.[ch]: New files.
	* collection/eog-image-selection-model.[ch]: New files.
	* collection/gnome-icon-item-factory.[ch]: New files.
	* collection/gnome-icon-list-model.[ch]: New files.
	* collection/gnome-list-item-factory.[ch]: New files.
	* collection/gnome-list-model.[ch]: New files.
	* collection/gnome-list-selection-model.[ch]: New files.
	* collection/gnome-list-view.[ch]: New files.
	* collection/gnome-position-list-model.[ch]: New files.
	* collection/gnome-wrap-list.[ch]: New files.
	* collection/main.c: New file.

2001-02-15  Martin Baulig  <baulig@suse.de>

	* libeog/: New directory.

2001-02-15  Jens Finke <jens@gnome.org>

	* collection/: New directory.

	* Makefile.am (SUBDIRS): Added 'shell' and 'collection'
	directories.

	* configure.in: Generate Makefiles in 'shell' and 'collection'
	dirs.

2001-02-15  Martin Baulig  <baulig@suse.de>

	Bumped version number to 0.7.

2001-02-15  Martin Baulig  <baulig@suse.de>

	* Released EOG 0.6 "Lactating Monkey".

2001-02-10  Gediminas Paulauskas <menesis@delfi.lt>

	* configure.in, Makefile.am, src/Makefile.am,
	viewer/Makefile.am, .cvsignore, src/.cvsignore,
	viewer/.cvsignore: use xml-i18n-tools for translations.
	* src/preferences-dialog.glade.h, eog.desktop,
	viewer/GNOME_EOG.oafinfo: removed, now generated.
	* eog.desktop.in, viewer/GNOME_EOG.oaf.in: new files.
	* viewer/main.c: call textdomain() to get localised menus in Nautilus.

2001-02-07  Martin Baulig  <baulig@suse.de>

	* viewer/Makefile.am (EXTRA_DIST): Added $(ui_DATA).

2001-02-07  Martin Baulig  <baulig@suse.de>

	* viewer/eog-embeddable.c
	(eog_embeddable_corba_object_create): Removed.
	(eog_embeddable_construct): Removed Bonobo_Embeddable argument.

2001-02-06  Martin Baulig  <baulig@suse.de>

	* viewer/eog-control.c (eog_control_corba_object_create): Removed.
	(eog_control_construct): Removed Bonobo_Control argument.

	* viewer/eog-embeddable-view.c
	(eog_embeddable_view_corba_object_create): Removed.
	(eog_embeddable_view_construct): Removed Bonobo_View argument.

2001-02-06  Martin Baulig  <baulig@suse.de>

	Bumped version number to 0.6.

	[Translators, this isn't the release yet; there'll
	be 2-3 days left since we need to wait for Bonobo.]

	* configure.in: Depend on Bonobo 0.35, GConf 0.12,
	gnome-print 0.25 and OAF 0.6.2.

2001-02-05  Martin Baulig  <baulig@suse.de>

	* shell/eog-window.[ch]: New files.

	* shell/eog-shell-ui.xml: New file.

	* shell/main.c: New file.

2001-01-26  Simos Xenitellis  <simos@hellug.gr>

	* eog.desktop: Added entries for el.

2001-01-21  Michael Meeks  <michael@helixcode.com>

	* viewer/eog-image.c (eog_image_get_pixbuf): only ref if we have a
	pixbuf.

	* viewer/eog-embeddable-view.c (configure_size): unref pixbuf.

	* viewer/eog-embeddable.c (render_fn): ditto.

	* viewer/main.c (bonobo_object_destroy_cb): remove expliti running
	object counting.
	(init_eog_image_viewer_factory): use a modern unref method.

2001-01-17  Michael Meeks  <michael@helixcode.com>

	* viewer/eog-image-view.c (eog_image_view_set_prop),
	(eog_image_view_get_prop): update to new property bag API.

2001-01-17  Michael Meeks  <michael@helixcode.com>

	* viewer/eog-embeddable-view.c (eog_embeddable_view_construct):
	don't allow scroll bars ever.
	(configure_size): upd.

	* viewer/eog-image-view.c (eog_image_view_set_zoom): impl.

2001-01-17  Michael Meeks  <michael@helixcode.com>

	* configure.in (have_bonobo): depend on Bonobo 0.32

2001-01-16  Michael Meeks  <michael@helixcode.com>

	* viewer/eog-embeddable-view.c (eog_embeddable_view_construct):
	connect to view_size_allocation. (configure_size): impl.
	(view_size_allocate_cb): hook up.

	* viewer/eog-image-view.c (eog_image_view_set_prop),
	(eog_image_view_get_prop): update to new property bag API.

2001-01-05  Michael Meeks  <michael@helixcode.com>

	* viewer/eog-embeddable.c (render_fn): impl.
	(eog_embeddable_construct): hook up print interface.

2000-12-19  Michael Meeks  <michael@helixcode.com>

	* configure.in (have_bonobo): depend on Bonobo 0.31

2000-12-11  Michael Meeks  <michael@helixcode.com>

	* viewer/main.c (bonobo_object_destroy_cb): remove eroneous cast.

2000-12-10  Michael Meeks  <michael@helixcode.com>

	* viewer/eog-image-view.c (eog_image_view_construct): add some
	sensible defaults for nicer rendering speed & performance.

2000-12-09  Michael Meeks  <michael@helixcode.com>

	* viewer/eog-image.c (eog_image_get_image): only ref if image !=
	NULL.

	* viewer/eog-image-view.c (eog_image_view_new),
	(eog_image_view_construct): add control, add image_set_image_cb
	call, so we can actualy see the image if we load data then request
	a view, or create new views later on.

	* viewer/eog-embeddable-view.c (eog_embeddable_view_destroy): upd.
	(eog_embeddable_view_construct): upd.

	* viewer/eog-embeddable.c (eog_embeddable_construct): update.

	* viewer/eog-image-view.c (eog_image_view_set_dither),
	(eog_image_view_get_interpolation),
	(eog_image_view_set_interpolation),
	(eog_image_view_get_dither),
	(eog_image_view_set_check_type),
	(eog_image_view_get_check_type),
	(eog_image_view_get_check_size),
	(eog_image_view_set_check_size): kill warnings.  misc. cleans.

	* viewer/eog-control.c (eog_control_construct): drasticaly prune.
	(eog_control_destroy): prune with a hook.

	* viewer/eog-image.c (eog_image_add_interfaces): split from
	(eog_image_construct): here.
	(eog_image_destroy): don't double unref item container.

	* viewer/main.c (bonobo_object_data_t): expunge substantial
	cleans.

	* viewer/eog-image.c (eog_image_construct): use
	bonobo_object_unref.

	* viewer/eog-util.c (eog_util_add_interfaces): remove.

	* viewer/GNOME_EOG.oafinfo: update naming convention.

	* viewer/main.c (eog_image_viewer_factory): ditto.

2000-12-08  Michael Meeks  <michael@helixcode.com>

	* viewer/eog-image-view.c (eog_image_view_destroy): don't unref
	other parts of the aggregate, they are fused with the view.

	* viewer/sample-container.c (main): frendlify

2000-12-08  Arik Devens  <arik@gnome.org>

	* README: Added myself as an author.

2000-12-07  Arik Devens  <arik@gnome.org>

	* THANKS: Ditto.

	* AUTHORS: Changed email address to be current.

2000-12-05  Michael Meeks  <michael@helixcode.com>

	* viewer/Makefile.am: install GNOME_EOG.oafinfo instead of
	eog-image-viewer.oafinfo.

2000-11-23  Yukihiro Nakai  <nakai@gnome.gr.jp>

	* configure.in: Add zh_CN.GB2312 to ALL_LINGUAS

2000-11-20  Martin Baulig  <baulig@suse.de>

	* viewer/eog-image-io.[ch]: New files. This provides saving code
	for XPM, PNG and JPEG.

	* viewer/eog-image.c (save_image_to_stream): New static function;
	calls one of the eog-image-io.c function depending on the content
	type.

2000-11-20  Martin Baulig  <baulig@suse.de>

	* viewer/eog-image-data.[ch]: Removed.

	* viewer/eog-image.[ch]: Moved everything from eog-image-data.[ch]
	here.
	(eog_image_get_image): Formerly known as
	eog_image_data_get_image().
	(eog_image_get_pixbuf): New function.

2000-11-20  Martin Baulig  <baulig@suse.de>

	* idl/Eog.idl (GNOME::EOG::ImageData): Removed.
	(GNOME::EOG::Image): Derive this directly from Bonobo::Unknown.

2000-11-20  Martin Baulig  <baulig@suse.de>

	* configure.in: Check for libpng and libjpeg.

2000-11-19  Martin Baulig  <baulig@suse.de>

	* viewer/eog-util.[ch]: New files.
	(eog_util_add_interfaces): New function.
	(eog_util_split_string): New function.

	* viewer/eog-embeddable.c (eog_embeddable_add_interfaces):
	Removed, use eog_util_add_interfaces() instead.

	* viewer/eog-control.c (eog_control_add_interfaces): Likewise.

	* viewer/eog-embeddable-view.c
	(eog_embeddable_view_add_interfaces): Likewise.

	* viewer/eog-image.c (eog_image_construct): Create a
	BonoboItemContainer and provide two arguments - `control' which
	calls eog_control_new() on the EogImage to return a new
	BonoboControl and `embeddable' which does the same with
	eog_embeddable_new().

	* viewer/eog-image-view.c (eog_image_view_construct): Create a
	BonoboItemContainer.

	* viewer/eog-control.c (eog_control_construct): Pass down the
	BonoboItemContainer from the EogImageView.

	* viewer/eog-embeddable-view.c (eog_embeddable_view_construct):
	Likewise.

	* viewer/main.c (eog_image_viewer_factory): Added factory for
	GNOME::EOG::Image.
	(main): Don't force fatal warnings.

	* viewer/sample-container.c: New file.

2000-11-19  Martin Baulig  <baulig@suse.de>

	Moved the zoomable from the EogImageView into the EogControl.

	* viewer/eog-image-view.h (eog_image_view_get_zoomable): Removed.
	(eog_image_view_get_zoom_factor): New function.
        (eog_image_view_set_zoom_factor): New function.
        (eog_image_view_zoom_to_fit): New function.

	* viewer/eog-control.c (eog_control_create_ui): New static
	function. This creates the zoom menus and toolbar.
	(eog_control_set_ui_container): New static function. This calls
	eog_image_view_set_ui_container() and then
	eog_control_create_ui().
	(eog_control_unset_ui_container): New static function. This calls
	eog_image_view_unset_ui_container().
	(eog_control_activate): Call eog_control_set/unset_ui_container()
	instead of eog_image_view_set/unset_ui_container().
	(eog_control_construct): Create the BonoboZoomable here.

	* viewer/eog-image-view.c
	(zoomable_set_frame_cb, zoomable_set_zoom_level_cb,
	zoom_index_from_float, zoom_level_from_index, zoomable_zoom_in_cb,
	zoomable_zoom_out_cb, zoomable_zoom_to_fit_cb,
	zoomable_zoom_to_default_cb, verb_ZoomIn_cb, verb_ZoomOut_cb,
	verb_ZoomToDefault_cb, verb_ZoomToFit_cb): Moved to eog-control.c.

	* viewer/eog-control.c:
	(zoomable_set_frame_cb, zoomable_set_zoom_level_cb,
	zoom_index_from_float, zoom_level_from_index, zoomable_zoom_in_cb,
	zoomable_zoom_out_cb, zoomable_zoom_to_fit_cb,
	zoomable_zoom_to_default_cb, verb_ZoomIn_cb, verb_ZoomOut_cb,
	verb_ZoomToDefault_cb, verb_ZoomToFit_cb): Moved here.

2000-11-19  Martin Baulig  <baulig@suse.de>

	* viewer/eog-image.[ch]: New files. This implements
	GNOME::EOG::Image which is (currently) derived from
	GNOME::EOG::ImageData.

	* viewer/eog-image-view.c (eog_image_view_new,
	eog_image_view_construct): This now takes a GNOME::EOG::Image, not
	a GNOME::EOG::ImageData.
	(eog_image_view_get_image_data): Renamed to
	eog_image_view_get_image().

	* viewer/eog-control.c (eog_control_new, eog_control_construct):
	This now takes a GNOME::EOG::Image, not a GNOME::EOG::ImageData.
	* eog-embeddable.c (eog_embeddable_new): Likewise.
	(eog_embeddable_construct): Likewise.  * eog-embeddable-view.c
	(eog_embeddable_view_new): Likewise.
	(eog_embeddable_view_construct): Likewise.

2000-11-19  Martin Baulig  <baulig@suse.de>

	* idl/Eog.idl (GNOME::EOG::Image): New interface which is derived
	from GNOME::EOG::Image (FIXME: do we really need to distinguish
	between GNOME::EOG::ImageData and GNOME::EOG::Image or can't we
	just use GNOME::EOG::Image for everything?).
	(GNOME::EOG::ImageView): Renamed getImageData() to getImage() and
	made it return a GNOME::EOG::Image.

2000-11-18  Martin Baulig  <baulig@suse.de>

	* viewer/eog-image-view.c (EogImageViewPrivate): Added
	`has_zoomable_frame'.
	(zoomable_set_frame_cb): New callback function for the "set_frame"
	signal on the Zoomable; this sets
	image_view->priv->has_zoomable_frame.
	(eog_image_view_create_ui): Manually create the UI for the zoom
	toolbar and the zoom menu entries here, but only if
	`has_zoomable_frame'.

	* viewer/eog-image-view-ui.xml: Removed the EogZoomToolbar and the
	zoom menus.

2000-11-17  Martin Baulig  <baulig@suse.de>

	* viewer/eog-image-view.c (verb_ZoomIn_cb, verb_ZoomOut_cb,
	verb_ZoomToDefault_cb, verb_ZoomToFit_cb): New callback functions;
	they emit the corresponding signals on the zoomable.
	(eog_image_viewer_verbs): Added "ZoomIn", "ZoomOut",
	"ZoomToDefault" and "ZoomToFit".

	* viewer/eog-image-view-ui.xml: Moved the config stuff into
	submenus, added some menu items for zooming and a
	"EogZoomToolbar".

2000-11-17  Martin Baulig  <baulig@suse.de>

	* idl/Eog.idl (GNOME::EOG::ImageView): Removed getZoomable(),
	getPropertyBag(), setUIContainer() and unsetUIContainer().

2000-11-17  Martin Baulig  <baulig@suse.de>

	The big while-I-was-listening-to-some-music API rename:

	- namespace: Use GNOME::EOG instead of EOG.
	- removed EOG::Control, EOG::Embeddable and EOG::EmbeddableView,
	instead we now use the Bonobo interfaces directly.
	- studlyCapsification.

2000-11-16  Martin Baulig  <baulig@suse.de>

	* viewer/eog-image-view.c (zoomable_zoom_to_fit_cb): Implemented;
	first call ui_image_zoom_fit(), then get the new zoom level from
	the ImageView and emit the "set_zoom_level" signal on the
	zoomable.
	(eog_image_view_construct): Set `has_min_zoom_level' and
	`has_max_zoom_level' on the zoomable.

2000-11-16  Martin Baulig  <baulig@suse.de>

	* bonobo/: Disable build of this directory, the
	bonobo-image-generic has been merged into the
	nautilus-image-viewer.

	* configure.in: Require Bonobo >= 0.28

2000-11-02  Michael Meeks  <michael@helixcode.com>

	* configure.in: Require Bonobo >= 0.27

2000-10-27  Martin Baulig  <baulig@suse.de>

	* viewer/eog-image-control.[ch]: Renamed to eog-control.[ch].

	* viewer/eog-embeddable.[ch]: New files.

	* viewer/eog-embeddable-view.[ch]: New files.

2000-10-27  Martin Baulig  <baulig@suse.de>

	* idl/Eog.idl (EOG::ImageControl): Renamed to EOG::Control.
	(EOG::ImageEmbeddable): Renamed to EOG::Embeddable.
	(EOG::EmbeddableView): New interface.

2000-10-27  Martin Baulig  <baulig@suse.de>

	* CVSVERSION: New file.

	* configure.in (--enable-more-warnings): New configure command line
	argument to enable additional compiler warnings.
	(EXTRA_WARNING_CFLAGS): Set and AC_SUBST this to the extra warnings.

2000-10-26  Martin Baulig  <baulig@suse.de>

	Imported first version of my new eog-image-viewer component.

	* viewer/eog-image-data.[ch]: New files.
	* viewer/eog-image-view.[ch]: New files.
	* viewer/eog-image-control.[ch]: New files.
	* viewer/eog-image-view-ui.xml: New file.
	* viewer/eog-image-viewer.oafinfo: New file.
	* viewer/main.c: New file.

2000-10-26  Martin Baulig  <baulig@suse.de>

	* idl/: New directory.
	* viewer/: New directory.

	* idl/Eog.idl: New file.

	* configure.in: Require bonobo, gnome-print and oaf.

2000-10-14  Martin Baulig  <baulig@suse.de>

	* bonobo/ChangeLog: New file.

2000-10-10  Jacob "Ulysses" Berkman  <jacob@helixcode.com>

	* configure.in: add pt_BR to ALL_LINGUAS

2000-09-25  Yukihiro Nakai  <nakai@gnome.gr.jp>

	* eog.desktop: Add Japanese entry.

2000-04-25  Christophe Merlet  <christophe@merlet.net>

	* eog.desktop : Added [fr] section .

2000-09-04  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in: Bumped version number to 0.5.

	* configure.in: Require gdk-pixbuf 0.9.0 or later.

	* eog.spec.in: Sort of updated the specfile; I have not bothered
	to test it.  If you are lazy enough to expect rpm -ta to work, you
	deserve to lose.

2000-08-20  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in (AC_OUTPUT): Added doc/Makefile and doc/C/Makefile.

	* Makefile.am (SUBDIRS): Added doc.

2000-08-16  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in: Bumped version number to 0.4.  Removed stale
	gnumeric_executable cruft from the initial cut & paste.

	* README: Updates.

	* DEPENDS: List gconf and libglade.

2000-08-10  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in: Require gconf 0.8.  HAH.

2000-08-09  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in: Require gconf 0.7 or later.

	* eog.schemas: Completed the schema descriptions.

2000-08-03  Michael Meeks  <michael@helixcode.com>

	* configure.in (have_gprint): update for BonoboX

2000-07-24  Dan Winship  <danw@helixcode.com>

	* bonobo/bonobo-image-generic.c (load_image_from_stream): Fix the
	sense of a comparison so we set a CORBA exception when something
	goes wrong, rather than when something goes right.

2000-07-10  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in: Added the GCONF_CONFIG_SOURCE stuff, from Havoc.

	* Makefile.am (install-data-local): Ditto.

2000-07-06  Michael Meeks  <michael@helixcode.com>

	* bonobo/io-png.[ch]: Create; nicked from gdk-pixbuf-save
	and updated.

	* bonobo/bonobo-image-generic.c: turn off debug [ doh ]
	(load_image_from_stream): fix some sillyness and clean, kill
	leak. (save_image_to_stream): implement.
	(destroy_view): free various widgets.

	* bonobo/Makefile.am (bonobo_image_generic_SOURCES): add io-png.[ch]

2000-07-04  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (configure_size): set allocation.
	(view_size_allocate_cb): change interpolation depending on size.

2000-06-13  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (redraw_all_cb): rename to
	(resize_all_cb): and update to just resize.
	(load_image_from_stream): use it.
	(animation_destroy): don't kill timeout.
	(animation_state_clean): instead do it here.
	(animation_init): make it start at the beggining of the
	animation. (skip_frame): re-order frame walking.
	(animation_cur_frame): implement.
	(animation_area_exposed): use it here.

2000-06-12  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (view_size_allocate_cb): set
	size_allocated to false initially. (configure_size): set size
	allocated flag.

2000-06-26  Federico Mena Quintero  <federico@helixcode.com>

	* eog.schemas: Beautified and completed the schema file.

2000-06-21  Federico Mena Quintero  <federico@helixcode.com>

	* Makefile.am: Added the GConf schema instalation foo.

	* configure.in: Likewise.

2000-06-21  Darin Adler  <darin@eazel.com>

	* configure.in: Added zm_TW.Big5 to ALL_LINGUAS.  Perhaps this is
	a mistake and the .po file should be removed.  I can't tell. But
	without this change people can't build.

2000-06-20  Arik Devens  <arik@helixcode.com>

	* configure.in: added gconf support

	* Makefile.am: added gconf support

	* src/main.c: added gconf_init

	* src/preferences.c (prefs_init): added loading of gconf values
	from database...

	* eog.schemas: added eog defaults for the gconf database

2000-06-12  Maciej Stachowiak  <mjs@eazel.com>

	* bonobo/image-generic.oafinfo: Replaced image/x with a set of
	mime types for the image types actually supported by gdk-pixbuf.

2000-06-11  Eskil Heyn Olsen  <eskil@eazel.com>

	* eog.spec.in: Added a specfile for EOG
	* configure.in: Generate the specfile
	* Makefile.am: DIST the spec.in and spec.

2000-05-29  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (load_image_from_stream): Fix
	stupid bug misordering the arguments, kill redundant exception init.

2000-05-26  Dan Winship  <danw@helixcode.com>

	* bonobo/bonobo-image-generic.c (load_image_from_stream): fix up
	CORBA exception usage.

2000-05-25  Gene Z. Ragan  <gzr@eazel.com>

	* bonobo/bonobo-image-generic.c: (load_image_from_stream),
	(bonobo_object_factory):
	Modifed this code to work with the changes made to Bonobo by
	Dan Winship.  This is untested and should be revisited.

2000-05-18  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in: Added checks for Glade.

2000-05-13  Iain Holmes  <ih@csd.abdn.ac.uk>

	* bonobo/bonobo-image-generic.c (view_factory_common): increment
	running objects to stop random death syndrome.

2000-05-01  Michael Meeks  <michael@helixcode.com>

	* configure.in (Configuration): add oaf_support printout.

2000-05-08  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in: Moved the gnome-config flags around.

2000-05-03  Pablo Saratxaga <pablo@mandrakesoft.com>

	* src/window.c: replaced 5% with 5%% in messages, to avoid false
	positives when checking the po translations files

2000-05-01  Anders Carlsson  <andersca@gnu.org>

	* configure.in: Check if bonobo uses oaf so you don't have to
	specify --enable-oaf.

2000-04-27  Maciej Stachowiak  <mjs@eazel.com>

	* bonobo/image-generic.oafinfo: Added standard Bonobo and Nautilus
	attributes so this can be automatically selected as the nautilus
	image viewer, not hardcoded.

2000-04-23  Maciej Stachowiak  <mjs@eazel.com>

	Optionally use OAF:

	* configure.in, acconfig.h: Add --enable-oaf configure option to
	allow building the bonobo control OAF-enabled instead of
	GOAD-enabled.

	* bonobo/Makefile.am: Link against OAf and install .oafinfo file when
	configured with --enable-oaf

	* bonobo/bonobo-image-generic.c: Use OAF calls and IIDs when
	configured with --enable-oaf.

	* bonobo/image-generic.oafinfo: New OAF activation record.

2000-04-23  Federico Mena Quintero  <federico@helixcode.com>

	* THANKS: Thanks.

2000-04-22  Fatih Demir	<kabalak@gmx.net>

	* eog.desktop : Added [tr] section .

2000-04-20  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in: Bumped version number to 0.3.
	(AC_INIT): src/render.c does not exist anymore; use
	src/image-view.c as the test file.

	* DEPENDS: Added gnome-print.

	* configure.in (have_gprint): We require gnome-print 0.18 or
	later.

2000-04-19 Ville Hautamaki <villeh@cs.joensuu.fi>

	* configure.in: (ALL_LINGUAS): added Finnish

2000-04-19 Jarkko Ranta <jjranta@cc.joensuu.fi>

	* ee.desktop: Finnish update

2000-04-18  Pablo Saratxaga <pablo@mandrakesoft.com>

	* configure.in (ALL_LINGUAS): added Catalan

2000-04-17  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (render_fn): add rgba gnome-print
	support; this means you need HEAD gnome-print.

2000-04-17 Jarkko Ranta <jjranta@cc.joensuu.fi>

	* ee.desktop: Finnish update

2000-04-13  Federico Mena Quintero  <federico@helixcode.com>

	* Makefile.am (EXTRA_DIST): Added TODO.

	* TODO: New file.

	* configure.in: Added check for gdk-pixbuf-0.7.0.

2000-04-13  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (render_fn): update for new print API.

2000-04-11  Darin Adler  <darin@eazel.com>

	* bonobo/bonobo-image-generic.c (render_pixbuf), (configure_size),
	(view_size_allocate_cb), (skip_frame), (animation_init),
	(animation_area_exposed): Update for new GdkPixbuf.
	* src/image-view.c (paint_rectangle): Update for new GdkPixbuf.

2000-04-09  Michael Meeks  <michael@helixcode.com>

	* acconfig.h: cover ENABLE_GPRINT

	* configure.in: gnome print support.

	* bonobo/bonobo-image-generic.c (render_fn): implement print.

2000-04-07  Pablo Saratxaga <pablo@mandrakesoft.com>

	* cofnigure.in (ALL_LINGUAS): added Lithuanian

2000-04-05  Dan Damian  <dand@dnttm.ro>

	* configure.in: Added "ro" to ALL_LINGUAS.

2000-04-01  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (get_prop, set_prop): new property API.

2000-04-01  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (scaled_view_factory): nail silly bug.
	(view_size_allocate_cb): kill annoying debug.

2000-03-27  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (view_factory_common): re-engineer to
	setup scaled and use the window more intelligently.

2000-03-26  ERDI Gergo  <cactus@cactus.rulez.org>

	* configure.in (ALL_LINGUAS): Added Hungarian (hu) translation

2000-03-22  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (animation_area_exposed): brutal hack
	for a demo at GUADEC, it seems this provides a better solution at least
	for now.

2000-03-11 Alastair McKinstry <mckinstry@computer.org>

	* configure.in (ALL_LINGUAS): Added Irish translation.

	* eog.desktop. Added Irish translation.

2000-03-07  Maciej Stachowiak  <mjs@eazel.com>

	* bonobo/bonobo-image-generic.c: Split embeddable:image-generic
	into two different views, one which always scales the image to
	available space, and one which always shows it at natural size and
	provides scrollbars if necessary.
	* bonobo/image-generic.gnorba (eog-image-viewer): new embeddable
	type, also generated from embeddable-factory:image-generic.

2000-02-26  Federico Mena Quintero  <federico@helixcode.com>

	* DEPENDS: We depend on Bonobo, too.

2000-02-16  Lauris Kaplinski  <lauris@ariman.ee>

	* configure.in: added et to ALL_LINGUAS
	* eog.desktop: added et translation

2000-02-15  Michael Meeks  <michael@helixcode.com>

	* bonobo/bonobo-image-generic.c (bonobo_animator_control_prop_value_changed_cb):
	restart animation. (skip_frame): stop it.

2000-02-11  Mathieu Lacage <mathieu@advogato.org>

	* src/.cvsignore: chuuut.
	* bonobo/.cvsignore: chuuuuuut.
	* configure.in: check against bonobo 0.7 instead of 0.4.

2000-02-04  Michael Meeks  <mmeeks@gnu.org>

	* bonobo/bonobo-image-generic.c (animation_init): fixup alpha.
	(skip_frame): fix leaks.
	Various misc. fixes all over.

2000-01-28  Michael Meeks  <michael@mejm2.dow.cam.ac.uk>

	* bonobo/bonobo-image-generic.c (render_pixbuf): split out.

2000-01-28  Michael Meeks  <michael@mejm2.dow.cam.ac.uk>

	* bonobo/bonobo-image-generic.c: Update for new bonobo API.
	Use gdk_pixbuf_scale_simple.

2000-01-16  Federico Mena Quintero  <federico@helixcode.com>

	* configure.in: Include the gnomecanvaspixbuf library in calls to
	gnome-config.

	* bonobo/Makefile.am (gnorba_DATA): Do not install the stuff in
	gnorba_DATA if we are not using bonobo.

1999-12-30  Tomasz KÂ³oczko  <kloczek@pld.org.pl>

	* configure.in, eog.desktop, po/pl.po: added Polish translation (based
	on GNOME PL translation resources).

1999-12-29  Richard Hult  <rhult@hem.passagen.se>

	* configure.in (ALL_LINGUAS): Added Swedish translation (sv).

	* eog.desktop: Dito.

1999-12-27  Yuri Syrota  <rasta@renome.rovno.ua>

        * configure.in: Added "uk" to ALL_LINGUAS.

1999-12-17  Michael Meeks  <mmeeks@gnu.org>

	* bonobo/bonobo-image-generic.c (bonobo_object_factory): update
	to new bonobo. (init_bonobo_image_generic_factory): global factory.
	(bod_destroy_cb): implement. (bod_destroy): kill.
	(view_size_query_cb): kill. (view_factory): ditto.
	(destroy_view): implement. (copy_to_file): kill nasty kludge.
	(view_size_allocate_cb): failure cases.
	Killed polymorhpic cached reproid throught.
	Scads more preconditions.

	* bonobo/image-generic.gnorba: prune guff.

	* bonobo/Makefile.am (gnorba_DATA): kill annoying warning.

1999-12-03  Federico Mena Quintero  <federico@redhat.com>

	* eog.desktop: Added .desktop file from n0mada@wanadoo.es.

	* Makefile.am: Install eog.desktop, and distribute that file and
	Tigert's turbo-studly icon.

1999-11-22  Tuomas Kuosmanen  <tigert@gimp.org>

	* gnome-eog.png: Added an icon for Eye of Gnome. Federico, I hope
	you like it? :)

1999-11-09  Michael Meeks  <mmeeks@gnu.org>

	* bonobo/bonobo-image-generic.c: Mangle up.
	(gdk_pixbuf_scale): Snarf from gdk-pixbuf ( cheat )

1999-11-09  Michael Meeks  <mmeeks@gnu.org>

	* Makefile.am: add bonobo

	* configure.in (gnumeric_executable): add Bonobo detection.

	* config.h.in: Add ENABLE_BONOBO.

1999-11-08  Matthias Warkus  <mawa@iname.com>

	* configure.in: Added "de" to ALL_LINGUAS.

1999-10-29  Sergey Panov  <sipan@mit.edu>

        * configure.in: Added "ru" to ALL_LINGUAS.

1999-10-12  Jesus Bravo Alvarez  <jba@pobox.com>

	* configure.in: Added "gl" to ALL_LINGUAS.

1999-10-04  Yukihiro Nakai <nacai@iname.com>

	* configure.in: Added "ja" to ALL_LINGUAS.

1999-10-02  Sung-Hyun Nam  <namsh@kldp.org>

	* configure.in: Added "ko" to ALL_LINGUAS.

1999-09-28  Federico Mena Quintero  <federico@redhat.com>

	* configure.in: Added "es" to ALL_LINGUAS.

1999-09-28  Kjartan Maraas  <kmaraas@online.no>

	* configure.in: Added "da" to ALL_LINGUAS.

1999-09-28  Tristan Tarrant  <ttarrant@etnoteam.it>

	* Added "it" to ALL_LINGUAS.

1999-09-27  Federico Mena Quintero  <federico@redhat.com>

	Prepared version 0.1.

	* HACKING: Included hacking policies for the Eye of Gnome.

	* NEWS: Updated for the first 0.1 release.

	* Makefile.am: Added a number of files to EXTRA_DIST.

1999-09-23  Kjartan Maraas  <kmaraas@online.no>

	* no.po: Added "no" to ALL_LINGUAS.

1999-09-23  Federico Mena Quintero  <federico@redhat.com>

	* configure.in: Output the src/stock/Makefile as well.

1999-09-15  Federico Mena Quintero  <federico@redhat.com>

	* Started the ChangeLog.

